#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
#include <string.h>
#include <ctype.h>
#include <limits.h>
#include <stdarg.h>
#include "mb.h"
#include "globals.h"
#include "bayes.h"

MrBFlt			aaJones[20][20];	         /* rates for Jones model                        */
MrBFlt			aaDayhoff[20][20];           /* rates for Dayhoff model                      */
MrBFlt			aaMtrev24[20][20];	         /* rates for mtrev24 model                      */
MrBFlt			aaMtmam[20][20];	         /* rates for mtmam model                        */
MrBFlt			aartREV[20][20];             /* rates for rtREV model                        */
MrBFlt			aaWAG[20][20];               /* rates for WAG model                          */
MrBFlt			aacpREV[20][20];             /* rates for aacpREV model                      */
MrBFlt			aaVt[20][20];                /* rates for VT model                           */
MrBFlt			aaBlosum[20][20];            /* rates for Blosum62 model                     */
MrBFlt			aaMtart[20][20];             /* rates for mtArt model                        */
MrBFlt			aaMtzoa[20][20];             /* rates for mtZoa model                        */
MrBFlt			aaPmb[20][20];               /* rates for PMB model                          */
MrBFlt			aaLg[20][20];                /* rates for LG model                           */
MrBFlt			aaHivb[20][20];              /* rates for HIVB model                         */
MrBFlt			aaHivw[20][20];              /* rates for HIVW model                         */
MrBFlt			aaFlu[20][20];               /* rates for FLU model                          */
MrBFlt			aaJonesF[20][20];	         /* rates for Jones + F model                    */
MrBFlt			aaDayhoffF[20][20];          /* rates for Dayhoff + F model                  */
MrBFlt			aaMtrev24F[20][20];	         /* rates for mtrev24 + F model                  */
MrBFlt			aaMtmamF[20][20];	         /* rates for mtmam + F model                    */
MrBFlt			aartREVF[20][20];            /* rates for rtREV + F model                    */
MrBFlt			aaWAGF[20][20];              /* rates for WAG + F model                      */
MrBFlt			aacpREVF[20][20];            /* rates for aacpREV + F model                  */
MrBFlt			aaVtF[20][20];               /* rates for VT + F model                       */
MrBFlt			aaBlosumF[20][20];           /* rates for Blosum62 + F model                 */
MrBFlt			aaMtartF[20][20];            /* rates for mtArt + F model                    */
MrBFlt			aaMtzoaF[20][20];            /* rates for mtZoa + F model                    */
MrBFlt			aaPmbF[20][20];              /* rates for PMB + F model                      */
MrBFlt			aaLgF[20][20];               /* rates for LG + F model                       */
MrBFlt			aaHivbF[20][20];             /* rates for HIVB + F model                     */
MrBFlt			aaHivwF[20][20];             /* rates for HIVW + F model                     */
MrBFlt			aaFluF[20][20];              /* rates for FLU + F model                      */
MrBFlt			jonesPi[20];                 /* stationary frequencies for Jones model       */
MrBFlt			dayhoffPi[20];               /* stationary frequencies for Dayhoff model     */
MrBFlt			mtrev24Pi[20];               /* stationary frequencies for mtrev24 model     */
MrBFlt			mtmamPi[20];                 /* stationary frequencies for mtmam model       */
MrBFlt			rtrevPi[20];                 /* stationary frequencies for rtREV model       */
MrBFlt			wagPi[20];                   /* stationary frequencies for WAG model         */
MrBFlt			cprevPi[20];                 /* stationary frequencies for aacpREV model     */
MrBFlt			vtPi[20];                    /* stationary frequencies for VT model          */
MrBFlt			blosPi[20];                  /* stationary frequencies for Blosum62 model    */
MrBFlt			mtartPi[20];                 /* stationary frequencies for mtArt model       */
MrBFlt			mtzoaPi[20];                 /* stationary frequencies for mtZoa model       */
MrBFlt			pmbPi[20];                   /* stationary frequencies for PMB model         */
MrBFlt			lgPi[20];                    /* stationary frequencies for LG model          */
MrBFlt			hivbPi[20];                  /* stationary frequencies for HIVB model        */
MrBFlt			hivwPi[20];                  /* stationary frequencies for HIVW model        */
MrBFlt			fluPi[20];                   /* stationary frequencies for FLU model         */

int SetAARates (void)

{

	int			i, j;
	MrBFlt		diff, sum, scaler;

	/* A R N D C Q E G H I L K M F P S T W Y V */

	/* jones */
	aaJones[ 0][ 0] = 0;
	aaJones[ 0][ 1] = 0.531678;
	aaJones[ 0][ 2] = 0.557967;
	aaJones[ 0][ 3] = 0.827445;
	aaJones[ 0][ 4] = 0.574478;
	aaJones[ 0][ 5] = 0.556725;
	aaJones[ 0][ 6] = 1.066681;
	aaJones[ 0][ 7] = 1.740159;
	aaJones[ 0][ 8] = 0.21997;
	aaJones[ 0][ 9] = 0.361684;
	aaJones[ 0][10] = 0.310007;
	aaJones[ 0][11] = 0.369437;
	aaJones[ 0][12] = 0.469395;
	aaJones[ 0][13] = 0.138293;
	aaJones[ 0][14] = 1.959599;
	aaJones[ 0][15] = 3.887095;
	aaJones[ 0][16] = 4.582565;
	aaJones[ 0][17] = 0.084329;
	aaJones[ 0][18] = 0.139492;
	aaJones[ 0][19] = 2.924161;
	aaJones[ 1][ 0] = 0.531678;
	aaJones[ 1][ 1] = 0;
	aaJones[ 1][ 2] = 0.451095;
	aaJones[ 1][ 3] = 0.154899;
	aaJones[ 1][ 4] = 1.019843;
	aaJones[ 1][ 5] = 3.021995;
	aaJones[ 1][ 6] = 0.318483;
	aaJones[ 1][ 7] = 1.359652;
	aaJones[ 1][ 8] = 3.210671;
	aaJones[ 1][ 9] = 0.239195;
	aaJones[ 1][10] = 0.372261;
	aaJones[ 1][11] = 6.529255;
	aaJones[ 1][12] = 0.431045;
	aaJones[ 1][13] = 0.065314;
	aaJones[ 1][14] = 0.710489;
	aaJones[ 1][15] = 1.001551;
	aaJones[ 1][16] = 0.650282;
	aaJones[ 1][17] = 1.257961;
	aaJones[ 1][18] = 0.235601;
	aaJones[ 1][19] = 0.171995;
	aaJones[ 2][ 0] = 0.557967;
	aaJones[ 2][ 1] = 0.451095;
	aaJones[ 2][ 2] = 0;
	aaJones[ 2][ 3] = 5.54953;
	aaJones[ 2][ 4] = 0.313311;
	aaJones[ 2][ 5] = 0.768834;
	aaJones[ 2][ 6] = 0.578115;
	aaJones[ 2][ 7] = 0.773313;
	aaJones[ 2][ 8] = 4.025778;
	aaJones[ 2][ 9] = 0.491003;
	aaJones[ 2][10] = 0.137289;
	aaJones[ 2][11] = 2.529517;
	aaJones[ 2][12] = 0.33072;
	aaJones[ 2][13] = 0.073481;
	aaJones[ 2][14] = 0.121804;
	aaJones[ 2][15] = 5.057964;
	aaJones[ 2][16] = 2.351311;
	aaJones[ 2][17] = 0.0277;
	aaJones[ 2][18] = 0.700693;
	aaJones[ 2][19] = 0.164525;
	aaJones[ 3][ 0] = 0.827445;
	aaJones[ 3][ 1] = 0.154899;
	aaJones[ 3][ 2] = 5.54953;
	aaJones[ 3][ 3] = 0;
	aaJones[ 3][ 4] = 0.105625;
	aaJones[ 3][ 5] = 0.521646;
	aaJones[ 3][ 6] = 7.766557;
	aaJones[ 3][ 7] = 1.272434;
	aaJones[ 3][ 8] = 1.032342;
	aaJones[ 3][ 9] = 0.115968;
	aaJones[ 3][10] = 0.061486;
	aaJones[ 3][11] = 0.282466;
	aaJones[ 3][12] = 0.190001;
	aaJones[ 3][13] = 0.032522;
	aaJones[ 3][14] = 0.127164;
	aaJones[ 3][15] = 0.589268;
	aaJones[ 3][16] = 0.425159;
	aaJones[ 3][17] = 0.057466;
	aaJones[ 3][18] = 0.453952;
	aaJones[ 3][19] = 0.315261;
	aaJones[ 4][ 0] = 0.574478;
	aaJones[ 4][ 1] = 1.019843;
	aaJones[ 4][ 2] = 0.313311;
	aaJones[ 4][ 3] = 0.105625;
	aaJones[ 4][ 4] = 0;
	aaJones[ 4][ 5] = 0.091304;
	aaJones[ 4][ 6] = 0.053907;
	aaJones[ 4][ 7] = 0.546389;
	aaJones[ 4][ 8] = 0.724998;
	aaJones[ 4][ 9] = 0.150559;
	aaJones[ 4][10] = 0.164593;
	aaJones[ 4][11] = 0.049009;
	aaJones[ 4][12] = 0.409202;
	aaJones[ 4][13] = 0.678335;
	aaJones[ 4][14] = 0.123653;
	aaJones[ 4][15] = 2.155331;
	aaJones[ 4][16] = 0.469823;
	aaJones[ 4][17] = 1.104181;
	aaJones[ 4][18] = 2.114852;
	aaJones[ 4][19] = 0.621323;
	aaJones[ 5][ 0] = 0.556725;
	aaJones[ 5][ 1] = 3.021995;
	aaJones[ 5][ 2] = 0.768834;
	aaJones[ 5][ 3] = 0.521646;
	aaJones[ 5][ 4] = 0.091304;
	aaJones[ 5][ 5] = 0;
	aaJones[ 5][ 6] = 3.417706;
	aaJones[ 5][ 7] = 0.231294;
	aaJones[ 5][ 8] = 5.68408;
	aaJones[ 5][ 9] = 0.07827;
	aaJones[ 5][10] = 0.709004;
	aaJones[ 5][11] = 2.966732;
	aaJones[ 5][12] = 0.456901;
	aaJones[ 5][13] = 0.045683;
	aaJones[ 5][14] = 1.608126;
	aaJones[ 5][15] = 0.548807;
	aaJones[ 5][16] = 0.523825;
	aaJones[ 5][17] = 0.172206;
	aaJones[ 5][18] = 0.254745;
	aaJones[ 5][19] = 0.179771;
	aaJones[ 6][ 0] = 1.066681;
	aaJones[ 6][ 1] = 0.318483;
	aaJones[ 6][ 2] = 0.578115;
	aaJones[ 6][ 3] = 7.766557;
	aaJones[ 6][ 4] = 0.053907;
	aaJones[ 6][ 5] = 3.417706;
	aaJones[ 6][ 6] = 0;
	aaJones[ 6][ 7] = 1.115632;
	aaJones[ 6][ 8] = 0.243768;
	aaJones[ 6][ 9] = 0.111773;
	aaJones[ 6][10] = 0.097485;
	aaJones[ 6][11] = 1.731684;
	aaJones[ 6][12] = 0.175084;
	aaJones[ 6][13] = 0.043829;
	aaJones[ 6][14] = 0.191994;
	aaJones[ 6][15] = 0.312449;
	aaJones[ 6][16] = 0.331584;
	aaJones[ 6][17] = 0.114381;
	aaJones[ 6][18] = 0.063452;
	aaJones[ 6][19] = 0.465271;
	aaJones[ 7][ 0] = 1.740159;
	aaJones[ 7][ 1] = 1.359652;
	aaJones[ 7][ 2] = 0.773313;
	aaJones[ 7][ 3] = 1.272434;
	aaJones[ 7][ 4] = 0.546389;
	aaJones[ 7][ 5] = 0.231294;
	aaJones[ 7][ 6] = 1.115632;
	aaJones[ 7][ 7] = 0;
	aaJones[ 7][ 8] = 0.201696;
	aaJones[ 7][ 9] = 0.053769;
	aaJones[ 7][10] = 0.069492;
	aaJones[ 7][11] = 0.26984;
	aaJones[ 7][12] = 0.130379;
	aaJones[ 7][13] = 0.050212;
	aaJones[ 7][14] = 0.208081;
	aaJones[ 7][15] = 1.874296;
	aaJones[ 7][16] = 0.316862;
	aaJones[ 7][17] = 0.54418;
	aaJones[ 7][18] = 0.0525;
	aaJones[ 7][19] = 0.47014;
	aaJones[ 8][ 0] = 0.21997;
	aaJones[ 8][ 1] = 3.210671;
	aaJones[ 8][ 2] = 4.025778;
	aaJones[ 8][ 3] = 1.032342;
	aaJones[ 8][ 4] = 0.724998;
	aaJones[ 8][ 5] = 5.68408;
	aaJones[ 8][ 6] = 0.243768;
	aaJones[ 8][ 7] = 0.201696;
	aaJones[ 8][ 8] = 0;
	aaJones[ 8][ 9] = 0.181788;
	aaJones[ 8][10] = 0.540571;
	aaJones[ 8][11] = 0.525096;
	aaJones[ 8][12] = 0.32966;
	aaJones[ 8][13] = 0.453428;
	aaJones[ 8][14] = 1.141961;
	aaJones[ 8][15] = 0.743458;
	aaJones[ 8][16] = 0.477355;
	aaJones[ 8][17] = 0.128193;
	aaJones[ 8][18] = 5.8484;
	aaJones[ 8][19] = 0.121827;
	aaJones[ 9][ 0] = 0.361684;
	aaJones[ 9][ 1] = 0.239195;
	aaJones[ 9][ 2] = 0.491003;
	aaJones[ 9][ 3] = 0.115968;
	aaJones[ 9][ 4] = 0.150559;
	aaJones[ 9][ 5] = 0.07827;
	aaJones[ 9][ 6] = 0.111773;
	aaJones[ 9][ 7] = 0.053769;
	aaJones[ 9][ 8] = 0.181788;
	aaJones[ 9][ 9] = 0;
	aaJones[ 9][10] = 2.335139;
	aaJones[ 9][11] = 0.202562;
	aaJones[ 9][12] = 4.831666;
	aaJones[ 9][13] = 0.77709;
	aaJones[ 9][14] = 0.09858;
	aaJones[ 9][15] = 0.405119;
	aaJones[ 9][16] = 2.553806;
	aaJones[ 9][17] = 0.13451;
	aaJones[ 9][18] = 0.303445;
	aaJones[ 9][19] = 9.533943;
	aaJones[10][ 0] = 0.310007;
	aaJones[10][ 1] = 0.372261;
	aaJones[10][ 2] = 0.137289;
	aaJones[10][ 3] = 0.061486;
	aaJones[10][ 4] = 0.164593;
	aaJones[10][ 5] = 0.709004;
	aaJones[10][ 6] = 0.097485;
	aaJones[10][ 7] = 0.069492;
	aaJones[10][ 8] = 0.540571;
	aaJones[10][ 9] = 2.335139;
	aaJones[10][10] = 0;
	aaJones[10][11] = 0.146481;
	aaJones[10][12] = 3.856906;
	aaJones[10][13] = 2.500294;
	aaJones[10][14] = 1.060504;
	aaJones[10][15] = 0.592511;
	aaJones[10][16] = 0.272514;
	aaJones[10][17] = 0.530324;
	aaJones[10][18] = 0.241094;
	aaJones[10][19] = 1.761439;
	aaJones[11][ 0] = 0.369437;
	aaJones[11][ 1] = 6.529255;
	aaJones[11][ 2] = 2.529517;
	aaJones[11][ 3] = 0.282466;
	aaJones[11][ 4] = 0.049009;
	aaJones[11][ 5] = 2.966732;
	aaJones[11][ 6] = 1.731684;
	aaJones[11][ 7] = 0.26984;
	aaJones[11][ 8] = 0.525096;
	aaJones[11][ 9] = 0.202562;
	aaJones[11][10] = 0.146481;
	aaJones[11][11] = 0;
	aaJones[11][12] = 0.624581;
	aaJones[11][13] = 0.024521;
	aaJones[11][14] = 0.216345;
	aaJones[11][15] = 0.474478;
	aaJones[11][16] = 0.965641;
	aaJones[11][17] = 0.089134;
	aaJones[11][18] = 0.087904;
	aaJones[11][19] = 0.124066;
	aaJones[12][ 0] = 0.469395;
	aaJones[12][ 1] = 0.431045;
	aaJones[12][ 2] = 0.33072;
	aaJones[12][ 3] = 0.190001;
	aaJones[12][ 4] = 0.409202;
	aaJones[12][ 5] = 0.456901;
	aaJones[12][ 6] = 0.175084;
	aaJones[12][ 7] = 0.130379;
	aaJones[12][ 8] = 0.32966;
	aaJones[12][ 9] = 4.831666;
	aaJones[12][10] = 3.856906;
	aaJones[12][11] = 0.624581;
	aaJones[12][12] = 0;
	aaJones[12][13] = 0.436181;
	aaJones[12][14] = 0.164215;
	aaJones[12][15] = 0.285564;
	aaJones[12][16] = 2.114728;
	aaJones[12][17] = 0.201334;
	aaJones[12][18] = 0.18987;
	aaJones[12][19] = 3.038533;
	aaJones[13][ 0] = 0.138293;
	aaJones[13][ 1] = 0.065314;
	aaJones[13][ 2] = 0.073481;
	aaJones[13][ 3] = 0.032522;
	aaJones[13][ 4] = 0.678335;
	aaJones[13][ 5] = 0.045683;
	aaJones[13][ 6] = 0.043829;
	aaJones[13][ 7] = 0.050212;
	aaJones[13][ 8] = 0.453428;
	aaJones[13][ 9] = 0.77709;
	aaJones[13][10] = 2.500294;
	aaJones[13][11] = 0.024521;
	aaJones[13][12] = 0.436181;
	aaJones[13][13] = 0;
	aaJones[13][14] = 0.148483;
	aaJones[13][15] = 0.943971;
	aaJones[13][16] = 0.138904;
	aaJones[13][17] = 0.537922;
	aaJones[13][18] = 5.484236;
	aaJones[13][19] = 0.593478;
	aaJones[14][ 0] = 1.959599;
	aaJones[14][ 1] = 0.710489;
	aaJones[14][ 2] = 0.121804;
	aaJones[14][ 3] = 0.127164;
	aaJones[14][ 4] = 0.123653;
	aaJones[14][ 5] = 1.608126;
	aaJones[14][ 6] = 0.191994;
	aaJones[14][ 7] = 0.208081;
	aaJones[14][ 8] = 1.141961;
	aaJones[14][ 9] = 0.09858;
	aaJones[14][10] = 1.060504;
	aaJones[14][11] = 0.216345;
	aaJones[14][12] = 0.164215;
	aaJones[14][13] = 0.148483;
	aaJones[14][14] = 0;
	aaJones[14][15] = 2.788406;
	aaJones[14][16] = 1.176961;
	aaJones[14][17] = 0.069965;
	aaJones[14][18] = 0.11385;
	aaJones[14][19] = 0.211561;
	aaJones[15][ 0] = 3.887095;
	aaJones[15][ 1] = 1.001551;
	aaJones[15][ 2] = 5.057964;
	aaJones[15][ 3] = 0.589268;
	aaJones[15][ 4] = 2.155331;
	aaJones[15][ 5] = 0.548807;
	aaJones[15][ 6] = 0.312449;
	aaJones[15][ 7] = 1.874296;
	aaJones[15][ 8] = 0.743458;
	aaJones[15][ 9] = 0.405119;
	aaJones[15][10] = 0.592511;
	aaJones[15][11] = 0.474478;
	aaJones[15][12] = 0.285564;
	aaJones[15][13] = 0.943971;
	aaJones[15][14] = 2.788406;
	aaJones[15][15] = 0;
	aaJones[15][16] = 4.777647;
	aaJones[15][17] = 0.310927;
	aaJones[15][18] = 0.628608;
	aaJones[15][19] = 0.408532;
	aaJones[16][ 0] = 4.582565;
	aaJones[16][ 1] = 0.650282;
	aaJones[16][ 2] = 2.351311;
	aaJones[16][ 3] = 0.425159;
	aaJones[16][ 4] = 0.469823;
	aaJones[16][ 5] = 0.523825;
	aaJones[16][ 6] = 0.331584;
	aaJones[16][ 7] = 0.316862;
	aaJones[16][ 8] = 0.477355;
	aaJones[16][ 9] = 2.553806;
	aaJones[16][10] = 0.272514;
	aaJones[16][11] = 0.965641;
	aaJones[16][12] = 2.114728;
	aaJones[16][13] = 0.138904;
	aaJones[16][14] = 1.176961;
	aaJones[16][15] = 4.777647;
	aaJones[16][16] = 0;
	aaJones[16][17] = 0.080556;
	aaJones[16][18] = 0.201094;
	aaJones[16][19] = 1.14398;
	aaJones[17][ 0] = 0.084329;
	aaJones[17][ 1] = 1.257961;
	aaJones[17][ 2] = 0.0277;
	aaJones[17][ 3] = 0.057466;
	aaJones[17][ 4] = 1.104181;
	aaJones[17][ 5] = 0.172206;
	aaJones[17][ 6] = 0.114381;
	aaJones[17][ 7] = 0.54418;
	aaJones[17][ 8] = 0.128193;
	aaJones[17][ 9] = 0.13451;
	aaJones[17][10] = 0.530324;
	aaJones[17][11] = 0.089134;
	aaJones[17][12] = 0.201334;
	aaJones[17][13] = 0.537922;
	aaJones[17][14] = 0.069965;
	aaJones[17][15] = 0.310927;
	aaJones[17][16] = 0.080556;
	aaJones[17][17] = 0;
	aaJones[17][18] = 0.747889;
	aaJones[17][19] = 0.239697;
	aaJones[18][ 0] = 0.139492;
	aaJones[18][ 1] = 0.235601;
	aaJones[18][ 2] = 0.700693;
	aaJones[18][ 3] = 0.453952;
	aaJones[18][ 4] = 2.114852;
	aaJones[18][ 5] = 0.254745;
	aaJones[18][ 6] = 0.063452;
	aaJones[18][ 7] = 0.0525;
	aaJones[18][ 8] = 5.8484;
	aaJones[18][ 9] = 0.303445;
	aaJones[18][10] = 0.241094;
	aaJones[18][11] = 0.087904;
	aaJones[18][12] = 0.18987;
	aaJones[18][13] = 5.484236;
	aaJones[18][14] = 0.11385;
	aaJones[18][15] = 0.628608;
	aaJones[18][16] = 0.201094;
	aaJones[18][17] = 0.747889;
	aaJones[18][18] = 0;
	aaJones[18][19] = 0.165473;
	aaJones[19][ 0] = 2.924161;
	aaJones[19][ 1] = 0.171995;
	aaJones[19][ 2] = 0.164525;
	aaJones[19][ 3] = 0.315261;
	aaJones[19][ 4] = 0.621323;
	aaJones[19][ 5] = 0.179771;
	aaJones[19][ 6] = 0.465271;
	aaJones[19][ 7] = 0.47014;
	aaJones[19][ 8] = 0.121827;
	aaJones[19][ 9] = 9.533943;
	aaJones[19][10] = 1.761439;
	aaJones[19][11] = 0.124066;
	aaJones[19][12] = 3.038533;
	aaJones[19][13] = 0.593478;
	aaJones[19][14] = 0.211561;
	aaJones[19][15] = 0.408532;
	aaJones[19][16] = 1.14398;
	aaJones[19][17] = 0.239697;
	aaJones[19][18] = 0.165473;
	aaJones[19][19] = 0;
	jonesPi[ 0] = 0.076862;
	jonesPi[ 1] = 0.051057;
	jonesPi[ 2] = 0.042546;
	jonesPi[ 3] = 0.051269;
	jonesPi[ 4] = 0.020279;
	jonesPi[ 5] = 0.041061;
	jonesPi[ 6] = 0.061820;
	jonesPi[ 7] = 0.074714;
	jonesPi[ 8] = 0.022983;
	jonesPi[ 9] = 0.052569;
	jonesPi[10] = 0.091111;
	jonesPi[11] = 0.059498;
	jonesPi[12] = 0.023414;
	jonesPi[13] = 0.040530;
	jonesPi[14] = 0.050532;
	jonesPi[15] = 0.068225;
	jonesPi[16] = 0.058518;
	jonesPi[17] = 0.014336;
	jonesPi[18] = 0.032303;
	jonesPi[19] = 0.066374;

	/* dayhoff */
	aaDayhoff[ 0][ 0] = 0;
	aaDayhoff[ 0][ 1] = 0.267828;
	aaDayhoff[ 0][ 2] = 0.984474;
	aaDayhoff[ 0][ 3] = 1.199805;
	aaDayhoff[ 0][ 4] = 0.360016;
	aaDayhoff[ 0][ 5] = 0.887753;
	aaDayhoff[ 0][ 6] = 1.961167;
	aaDayhoff[ 0][ 7] = 2.386111;
	aaDayhoff[ 0][ 8] = 0.228116;
	aaDayhoff[ 0][ 9] = 0.653416;
	aaDayhoff[ 0][10] = 0.406431;
	aaDayhoff[ 0][11] = 0.258635;
	aaDayhoff[ 0][12] = 0.71784;
	aaDayhoff[ 0][13] = 0.183641;
	aaDayhoff[ 0][14] = 2.48592;
	aaDayhoff[ 0][15] = 4.05187;
	aaDayhoff[ 0][16] = 3.680365;
	aaDayhoff[ 0][17] = 0;
	aaDayhoff[ 0][18] = 0.244139;
	aaDayhoff[ 0][19] = 2.059564;
	aaDayhoff[ 1][ 0] = 0.267828;
	aaDayhoff[ 1][ 1] = 0;
	aaDayhoff[ 1][ 2] = 0.327059;
	aaDayhoff[ 1][ 3] = 0;
	aaDayhoff[ 1][ 4] = 0.232374;
	aaDayhoff[ 1][ 5] = 2.439939;
	aaDayhoff[ 1][ 6] = 0;
	aaDayhoff[ 1][ 7] = 0.087791;
	aaDayhoff[ 1][ 8] = 2.383148;
	aaDayhoff[ 1][ 9] = 0.632629;
	aaDayhoff[ 1][10] = 0.154924;
	aaDayhoff[ 1][11] = 4.610124;
	aaDayhoff[ 1][12] = 0.896321;
	aaDayhoff[ 1][13] = 0.136906;
	aaDayhoff[ 1][14] = 1.028313;
	aaDayhoff[ 1][15] = 1.53159;
	aaDayhoff[ 1][16] = 0.265745;
	aaDayhoff[ 1][17] = 2.001375;
	aaDayhoff[ 1][18] = 0.078012;
	aaDayhoff[ 1][19] = 0.240368;
	aaDayhoff[ 2][ 0] = 0.984474;
	aaDayhoff[ 2][ 1] = 0.327059;
	aaDayhoff[ 2][ 2] = 0;
	aaDayhoff[ 2][ 3] = 8.931515;
	aaDayhoff[ 2][ 4] = 0;
	aaDayhoff[ 2][ 5] = 1.028509;
	aaDayhoff[ 2][ 6] = 1.493409;
	aaDayhoff[ 2][ 7] = 1.385352;
	aaDayhoff[ 2][ 8] = 5.290024;
	aaDayhoff[ 2][ 9] = 0.768024;
	aaDayhoff[ 2][10] = 0.341113;
	aaDayhoff[ 2][11] = 3.148371;
	aaDayhoff[ 2][12] = 0;
	aaDayhoff[ 2][13] = 0.138503;
	aaDayhoff[ 2][14] = 0.419244;
	aaDayhoff[ 2][15] = 4.885892;
	aaDayhoff[ 2][16] = 2.271697;
	aaDayhoff[ 2][17] = 0.224968;
	aaDayhoff[ 2][18] = 0.94694;
	aaDayhoff[ 2][19] = 0.158067;
	aaDayhoff[ 3][ 0] = 1.199805;
	aaDayhoff[ 3][ 1] = 0;
	aaDayhoff[ 3][ 2] = 8.931515;
	aaDayhoff[ 3][ 3] = 0;
	aaDayhoff[ 3][ 4] = 0;
	aaDayhoff[ 3][ 5] = 1.348551;
	aaDayhoff[ 3][ 6] = 11.388659;
	aaDayhoff[ 3][ 7] = 1.240981;
	aaDayhoff[ 3][ 8] = 0.868241;
	aaDayhoff[ 3][ 9] = 0.239248;
	aaDayhoff[ 3][10] = 0;
	aaDayhoff[ 3][11] = 0.716913;
	aaDayhoff[ 3][12] = 0;
	aaDayhoff[ 3][13] = 0;
	aaDayhoff[ 3][14] = 0.13394;
	aaDayhoff[ 3][15] = 0.956097;
	aaDayhoff[ 3][16] = 0.66093;
	aaDayhoff[ 3][17] = 0;
	aaDayhoff[ 3][18] = 0;
	aaDayhoff[ 3][19] = 0.178316;
	aaDayhoff[ 4][ 0] = 0.360016;
	aaDayhoff[ 4][ 1] = 0.232374;
	aaDayhoff[ 4][ 2] = 0;
	aaDayhoff[ 4][ 3] = 0;
	aaDayhoff[ 4][ 4] = 0;
	aaDayhoff[ 4][ 5] = 0;
	aaDayhoff[ 4][ 6] = 0;
	aaDayhoff[ 4][ 7] = 0.107278;
	aaDayhoff[ 4][ 8] = 0.282729;
	aaDayhoff[ 4][ 9] = 0.438074;
	aaDayhoff[ 4][10] = 0;
	aaDayhoff[ 4][11] = 0;
	aaDayhoff[ 4][12] = 0;
	aaDayhoff[ 4][13] = 0;
	aaDayhoff[ 4][14] = 0.18755;
	aaDayhoff[ 4][15] = 1.598356;
	aaDayhoff[ 4][16] = 0.162366;
	aaDayhoff[ 4][17] = 0;
	aaDayhoff[ 4][18] = 0.953164;
	aaDayhoff[ 4][19] = 0.484678;
	aaDayhoff[ 5][ 0] = 0.887753;
	aaDayhoff[ 5][ 1] = 2.439939;
	aaDayhoff[ 5][ 2] = 1.028509;
	aaDayhoff[ 5][ 3] = 1.348551;
	aaDayhoff[ 5][ 4] = 0;
	aaDayhoff[ 5][ 5] = 0;
	aaDayhoff[ 5][ 6] = 7.086022;
	aaDayhoff[ 5][ 7] = 0.281581;
	aaDayhoff[ 5][ 8] = 6.011613;
	aaDayhoff[ 5][ 9] = 0.180393;
	aaDayhoff[ 5][10] = 0.730772;
	aaDayhoff[ 5][11] = 1.519078;
	aaDayhoff[ 5][12] = 1.127499;
	aaDayhoff[ 5][13] = 0;
	aaDayhoff[ 5][14] = 1.526188;
	aaDayhoff[ 5][15] = 0.561828;
	aaDayhoff[ 5][16] = 0.525651;
	aaDayhoff[ 5][17] = 0;
	aaDayhoff[ 5][18] = 0;
	aaDayhoff[ 5][19] = 0.346983;
	aaDayhoff[ 6][ 0] = 1.961167;
	aaDayhoff[ 6][ 1] = 0;
	aaDayhoff[ 6][ 2] = 1.493409;
	aaDayhoff[ 6][ 3] = 11.388659;
	aaDayhoff[ 6][ 4] = 0;
	aaDayhoff[ 6][ 5] = 7.086022;
	aaDayhoff[ 6][ 6] = 0;
	aaDayhoff[ 6][ 7] = 0.811907;
	aaDayhoff[ 6][ 8] = 0.439469;
	aaDayhoff[ 6][ 9] = 0.609526;
	aaDayhoff[ 6][10] = 0.11288;
	aaDayhoff[ 6][11] = 0.830078;
	aaDayhoff[ 6][12] = 0.304803;
	aaDayhoff[ 6][13] = 0;
	aaDayhoff[ 6][14] = 0.507003;
	aaDayhoff[ 6][15] = 0.793999;
	aaDayhoff[ 6][16] = 0.340156;
	aaDayhoff[ 6][17] = 0;
	aaDayhoff[ 6][18] = 0.214717;
	aaDayhoff[ 6][19] = 0.36725;
	aaDayhoff[ 7][ 0] = 2.386111;
	aaDayhoff[ 7][ 1] = 0.087791;
	aaDayhoff[ 7][ 2] = 1.385352;
	aaDayhoff[ 7][ 3] = 1.240981;
	aaDayhoff[ 7][ 4] = 0.107278;
	aaDayhoff[ 7][ 5] = 0.281581;
	aaDayhoff[ 7][ 6] = 0.811907;
	aaDayhoff[ 7][ 7] = 0;
	aaDayhoff[ 7][ 8] = 0.106802;
	aaDayhoff[ 7][ 9] = 0;
	aaDayhoff[ 7][10] = 0.071514;
	aaDayhoff[ 7][11] = 0.267683;
	aaDayhoff[ 7][12] = 0.170372;
	aaDayhoff[ 7][13] = 0.153478;
	aaDayhoff[ 7][14] = 0.347153;
	aaDayhoff[ 7][15] = 2.322243;
	aaDayhoff[ 7][16] = 0.306662;
	aaDayhoff[ 7][17] = 0;
	aaDayhoff[ 7][18] = 0;
	aaDayhoff[ 7][19] = 0.538165;
	aaDayhoff[ 8][ 0] = 0.228116;
	aaDayhoff[ 8][ 1] = 2.383148;
	aaDayhoff[ 8][ 2] = 5.290024;
	aaDayhoff[ 8][ 3] = 0.868241;
	aaDayhoff[ 8][ 4] = 0.282729;
	aaDayhoff[ 8][ 5] = 6.011613;
	aaDayhoff[ 8][ 6] = 0.439469;
	aaDayhoff[ 8][ 7] = 0.106802;
	aaDayhoff[ 8][ 8] = 0;
	aaDayhoff[ 8][ 9] = 0.076981;
	aaDayhoff[ 8][10] = 0.443504;
	aaDayhoff[ 8][11] = 0.270475;
	aaDayhoff[ 8][12] = 0;
	aaDayhoff[ 8][13] = 0.475927;
	aaDayhoff[ 8][14] = 0.933709;
	aaDayhoff[ 8][15] = 0.353643;
	aaDayhoff[ 8][16] = 0.226333;
	aaDayhoff[ 8][17] = 0.270564;
	aaDayhoff[ 8][18] = 1.2654;
	aaDayhoff[ 8][19] = 0.438715;
	aaDayhoff[ 9][ 0] = 0.653416;
	aaDayhoff[ 9][ 1] = 0.632629;
	aaDayhoff[ 9][ 2] = 0.768024;
	aaDayhoff[ 9][ 3] = 0.239248;
	aaDayhoff[ 9][ 4] = 0.438074;
	aaDayhoff[ 9][ 5] = 0.180393;
	aaDayhoff[ 9][ 6] = 0.609526;
	aaDayhoff[ 9][ 7] = 0;
	aaDayhoff[ 9][ 8] = 0.076981;
	aaDayhoff[ 9][ 9] = 0;
	aaDayhoff[ 9][10] = 2.556685;
	aaDayhoff[ 9][11] = 0.460857;
	aaDayhoff[ 9][12] = 3.332732;
	aaDayhoff[ 9][13] = 1.951951;
	aaDayhoff[ 9][14] = 0.119152;
	aaDayhoff[ 9][15] = 0.247955;
	aaDayhoff[ 9][16] = 1.900739;
	aaDayhoff[ 9][17] = 0;
	aaDayhoff[ 9][18] = 0.374834;
	aaDayhoff[ 9][19] = 8.810038;
	aaDayhoff[10][ 0] = 0.406431;
	aaDayhoff[10][ 1] = 0.154924;
	aaDayhoff[10][ 2] = 0.341113;
	aaDayhoff[10][ 3] = 0;
	aaDayhoff[10][ 4] = 0;
	aaDayhoff[10][ 5] = 0.730772;
	aaDayhoff[10][ 6] = 0.11288;
	aaDayhoff[10][ 7] = 0.071514;
	aaDayhoff[10][ 8] = 0.443504;
	aaDayhoff[10][ 9] = 2.556685;
	aaDayhoff[10][10] = 0;
	aaDayhoff[10][11] = 0.180629;
	aaDayhoff[10][12] = 5.230115;
	aaDayhoff[10][13] = 1.56516;
	aaDayhoff[10][14] = 0.316258;
	aaDayhoff[10][15] = 0.171432;
	aaDayhoff[10][16] = 0.33109;
	aaDayhoff[10][17] = 0.461776;
	aaDayhoff[10][18] = 0.286572;
	aaDayhoff[10][19] = 1.745156;
	aaDayhoff[11][ 0] = 0.258635;
	aaDayhoff[11][ 1] = 4.610124;
	aaDayhoff[11][ 2] = 3.148371;
	aaDayhoff[11][ 3] = 0.716913;
	aaDayhoff[11][ 4] = 0;
	aaDayhoff[11][ 5] = 1.519078;
	aaDayhoff[11][ 6] = 0.830078;
	aaDayhoff[11][ 7] = 0.267683;
	aaDayhoff[11][ 8] = 0.270475;
	aaDayhoff[11][ 9] = 0.460857;
	aaDayhoff[11][10] = 0.180629;
	aaDayhoff[11][11] = 0;
	aaDayhoff[11][12] = 2.411739;
	aaDayhoff[11][13] = 0;
	aaDayhoff[11][14] = 0.335419;
	aaDayhoff[11][15] = 0.954557;
	aaDayhoff[11][16] = 1.350599;
	aaDayhoff[11][17] = 0;
	aaDayhoff[11][18] = 0.132142;
	aaDayhoff[11][19] = 0.10385;
	aaDayhoff[12][ 0] = 0.71784;
	aaDayhoff[12][ 1] = 0.896321;
	aaDayhoff[12][ 2] = 0;
	aaDayhoff[12][ 3] = 0;
	aaDayhoff[12][ 4] = 0;
	aaDayhoff[12][ 5] = 1.127499;
	aaDayhoff[12][ 6] = 0.304803;
	aaDayhoff[12][ 7] = 0.170372;
	aaDayhoff[12][ 8] = 0;
	aaDayhoff[12][ 9] = 3.332732;
	aaDayhoff[12][10] = 5.230115;
	aaDayhoff[12][11] = 2.411739;
	aaDayhoff[12][12] = 0;
	aaDayhoff[12][13] = 0.92186;
	aaDayhoff[12][14] = 0.170205;
	aaDayhoff[12][15] = 0.619951;
	aaDayhoff[12][16] = 1.031534;
	aaDayhoff[12][17] = 0;
	aaDayhoff[12][18] = 0;
	aaDayhoff[12][19] = 2.565955;
	aaDayhoff[13][ 0] = 0.183641;
	aaDayhoff[13][ 1] = 0.136906;
	aaDayhoff[13][ 2] = 0.138503;
	aaDayhoff[13][ 3] = 0;
	aaDayhoff[13][ 4] = 0;
	aaDayhoff[13][ 5] = 0;
	aaDayhoff[13][ 6] = 0;
	aaDayhoff[13][ 7] = 0.153478;
	aaDayhoff[13][ 8] = 0.475927;
	aaDayhoff[13][ 9] = 1.951951;
	aaDayhoff[13][10] = 1.56516;
	aaDayhoff[13][11] = 0;
	aaDayhoff[13][12] = 0.92186;
	aaDayhoff[13][13] = 0;
	aaDayhoff[13][14] = 0.110506;
	aaDayhoff[13][15] = 0.459901;
	aaDayhoff[13][16] = 0.136655;
	aaDayhoff[13][17] = 0.762354;
	aaDayhoff[13][18] = 6.952629;
	aaDayhoff[13][19] = 0.123606;
	aaDayhoff[14][ 0] = 2.48592;
	aaDayhoff[14][ 1] = 1.028313;
	aaDayhoff[14][ 2] = 0.419244;
	aaDayhoff[14][ 3] = 0.13394;
	aaDayhoff[14][ 4] = 0.18755;
	aaDayhoff[14][ 5] = 1.526188;
	aaDayhoff[14][ 6] = 0.507003;
	aaDayhoff[14][ 7] = 0.347153;
	aaDayhoff[14][ 8] = 0.933709;
	aaDayhoff[14][ 9] = 0.119152;
	aaDayhoff[14][10] = 0.316258;
	aaDayhoff[14][11] = 0.335419;
	aaDayhoff[14][12] = 0.170205;
	aaDayhoff[14][13] = 0.110506;
	aaDayhoff[14][14] = 0;
	aaDayhoff[14][15] = 2.427202;
	aaDayhoff[14][16] = 0.782857;
	aaDayhoff[14][17] = 0;
	aaDayhoff[14][18] = 0;
	aaDayhoff[14][19] = 0.485026;
	aaDayhoff[15][ 0] = 4.05187;
	aaDayhoff[15][ 1] = 1.53159;
	aaDayhoff[15][ 2] = 4.885892;
	aaDayhoff[15][ 3] = 0.956097;
	aaDayhoff[15][ 4] = 1.598356;
	aaDayhoff[15][ 5] = 0.561828;
	aaDayhoff[15][ 6] = 0.793999;
	aaDayhoff[15][ 7] = 2.322243;
	aaDayhoff[15][ 8] = 0.353643;
	aaDayhoff[15][ 9] = 0.247955;
	aaDayhoff[15][10] = 0.171432;
	aaDayhoff[15][11] = 0.954557;
	aaDayhoff[15][12] = 0.619951;
	aaDayhoff[15][13] = 0.459901;
	aaDayhoff[15][14] = 2.427202;
	aaDayhoff[15][15] = 0;
	aaDayhoff[15][16] = 5.436674;
	aaDayhoff[15][17] = 0.740819;
	aaDayhoff[15][18] = 0.336289;
	aaDayhoff[15][19] = 0.303836;
	aaDayhoff[16][ 0] = 3.680365;
	aaDayhoff[16][ 1] = 0.265745;
	aaDayhoff[16][ 2] = 2.271697;
	aaDayhoff[16][ 3] = 0.66093;
	aaDayhoff[16][ 4] = 0.162366;
	aaDayhoff[16][ 5] = 0.525651;
	aaDayhoff[16][ 6] = 0.340156;
	aaDayhoff[16][ 7] = 0.306662;
	aaDayhoff[16][ 8] = 0.226333;
	aaDayhoff[16][ 9] = 1.900739;
	aaDayhoff[16][10] = 0.33109;
	aaDayhoff[16][11] = 1.350599;
	aaDayhoff[16][12] = 1.031534;
	aaDayhoff[16][13] = 0.136655;
	aaDayhoff[16][14] = 0.782857;
	aaDayhoff[16][15] = 5.436674;
	aaDayhoff[16][16] = 0;
	aaDayhoff[16][17] = 0;
	aaDayhoff[16][18] = 0.417839;
	aaDayhoff[16][19] = 1.561997;
	aaDayhoff[17][ 0] = 0;
	aaDayhoff[17][ 1] = 2.001375;
	aaDayhoff[17][ 2] = 0.224968;
	aaDayhoff[17][ 3] = 0;
	aaDayhoff[17][ 4] = 0;
	aaDayhoff[17][ 5] = 0;
	aaDayhoff[17][ 6] = 0;
	aaDayhoff[17][ 7] = 0;
	aaDayhoff[17][ 8] = 0.270564;
	aaDayhoff[17][ 9] = 0;
	aaDayhoff[17][10] = 0.461776;
	aaDayhoff[17][11] = 0;
	aaDayhoff[17][12] = 0;
	aaDayhoff[17][13] = 0.762354;
	aaDayhoff[17][14] = 0;
	aaDayhoff[17][15] = 0.740819;
	aaDayhoff[17][16] = 0;
	aaDayhoff[17][17] = 0;
	aaDayhoff[17][18] = 0.60807;
	aaDayhoff[17][19] = 0;
	aaDayhoff[18][ 0] = 0.244139;
	aaDayhoff[18][ 1] = 0.078012;
	aaDayhoff[18][ 2] = 0.94694;
	aaDayhoff[18][ 3] = 0;
	aaDayhoff[18][ 4] = 0.953164;
	aaDayhoff[18][ 5] = 0;
	aaDayhoff[18][ 6] = 0.214717;
	aaDayhoff[18][ 7] = 0;
	aaDayhoff[18][ 8] = 1.2654;
	aaDayhoff[18][ 9] = 0.374834;
	aaDayhoff[18][10] = 0.286572;
	aaDayhoff[18][11] = 0.132142;
	aaDayhoff[18][12] = 0;
	aaDayhoff[18][13] = 6.952629;
	aaDayhoff[18][14] = 0;
	aaDayhoff[18][15] = 0.336289;
	aaDayhoff[18][16] = 0.417839;
	aaDayhoff[18][17] = 0.60807;
	aaDayhoff[18][18] = 0;
	aaDayhoff[18][19] = 0.279379;
	aaDayhoff[19][ 0] = 2.059564;
	aaDayhoff[19][ 1] = 0.240368;
	aaDayhoff[19][ 2] = 0.158067;
	aaDayhoff[19][ 3] = 0.178316;
	aaDayhoff[19][ 4] = 0.484678;
	aaDayhoff[19][ 5] = 0.346983;
	aaDayhoff[19][ 6] = 0.36725;
	aaDayhoff[19][ 7] = 0.538165;
	aaDayhoff[19][ 8] = 0.438715;
	aaDayhoff[19][ 9] = 8.810038;
	aaDayhoff[19][10] = 1.745156;
	aaDayhoff[19][11] = 0.10385;
	aaDayhoff[19][12] = 2.565955;
	aaDayhoff[19][13] = 0.123606;
	aaDayhoff[19][14] = 0.485026;
	aaDayhoff[19][15] = 0.303836;
	aaDayhoff[19][16] = 1.561997;
	aaDayhoff[19][17] = 0;
	aaDayhoff[19][18] = 0.279379;
	aaDayhoff[19][19] = 0;
	dayhoffPi[ 0] = 0.087127;
	dayhoffPi[ 1] = 0.040904;
	dayhoffPi[ 2] = 0.040432;
	dayhoffPi[ 3] = 0.046872;
	dayhoffPi[ 4] = 0.033474;
	dayhoffPi[ 5] = 0.038255;
	dayhoffPi[ 6] = 0.049530;
	dayhoffPi[ 7] = 0.088612;
	dayhoffPi[ 8] = 0.033619;
	dayhoffPi[ 9] = 0.036886;
	dayhoffPi[10] = 0.085357;
	dayhoffPi[11] = 0.080481;
	dayhoffPi[12] = 0.014753;
	dayhoffPi[13] = 0.039772;
	dayhoffPi[14] = 0.050680;
	dayhoffPi[15] = 0.069577;
	dayhoffPi[16] = 0.058542;
	dayhoffPi[17] = 0.010494;
	dayhoffPi[18] = 0.029916;
	dayhoffPi[19] = 0.064718;

	/* mtrev24 */
	aaMtrev24[ 0][ 0] =   0.00;
	aaMtrev24[ 0][ 1] =  23.18;
	aaMtrev24[ 0][ 2] =  26.95;
	aaMtrev24[ 0][ 3] =  17.67;
	aaMtrev24[ 0][ 4] =  59.93;
	aaMtrev24[ 0][ 5] =   1.90;
	aaMtrev24[ 0][ 6] =   9.77;
	aaMtrev24[ 0][ 7] = 120.71;
	aaMtrev24[ 0][ 8] =  13.90;
	aaMtrev24[ 0][ 9] =  96.49;
	aaMtrev24[ 0][10] =  25.46;
	aaMtrev24[ 0][11] =   8.36;
	aaMtrev24[ 0][12] = 141.88;
	aaMtrev24[ 0][13] =   6.37;
	aaMtrev24[ 0][14] =  54.31;
	aaMtrev24[ 0][15] = 387.86;
	aaMtrev24[ 0][16] = 480.72;
	aaMtrev24[ 0][17] =   1.90;
	aaMtrev24[ 0][18] =   6.48;
	aaMtrev24[ 0][19] = 195.06;
	aaMtrev24[ 1][ 0] =  23.18;
	aaMtrev24[ 1][ 1] =   0.00;
	aaMtrev24[ 1][ 2] =  13.24;
	aaMtrev24[ 1][ 3] =   1.90;
	aaMtrev24[ 1][ 4] = 103.33;
	aaMtrev24[ 1][ 5] = 220.99;
	aaMtrev24[ 1][ 6] =   1.90;
	aaMtrev24[ 1][ 7] =  23.03;
	aaMtrev24[ 1][ 8] = 165.23;
	aaMtrev24[ 1][ 9] =   1.90;
	aaMtrev24[ 1][10] =  15.58;
	aaMtrev24[ 1][11] = 141.40;
	aaMtrev24[ 1][12] =   1.90;
	aaMtrev24[ 1][13] =   4.69;
	aaMtrev24[ 1][14] =  23.64;
	aaMtrev24[ 1][15] =   6.04;
	aaMtrev24[ 1][16] =   2.08;
	aaMtrev24[ 1][17] =  21.95;
	aaMtrev24[ 1][18] =   1.90;
	aaMtrev24[ 1][19] =   7.64;
	aaMtrev24[ 2][ 0] =  26.95;
	aaMtrev24[ 2][ 1] =  13.24;
	aaMtrev24[ 2][ 2] =   0.00;
	aaMtrev24[ 2][ 3] = 794.38;
	aaMtrev24[ 2][ 4] =  58.94;
	aaMtrev24[ 2][ 5] = 173.56;
	aaMtrev24[ 2][ 6] =  63.05;
	aaMtrev24[ 2][ 7] =  53.30;
	aaMtrev24[ 2][ 8] = 496.13;
	aaMtrev24[ 2][ 9] =  27.10;
	aaMtrev24[ 2][10] =  15.16;
	aaMtrev24[ 2][11] = 608.70;
	aaMtrev24[ 2][12] =  65.41;
	aaMtrev24[ 2][13] =  15.20;
	aaMtrev24[ 2][14] =  73.31;
	aaMtrev24[ 2][15] = 494.39;
	aaMtrev24[ 2][16] = 238.46;
	aaMtrev24[ 2][17] =  10.68;
	aaMtrev24[ 2][18] = 191.36;
	aaMtrev24[ 2][19] =   1.90;
	aaMtrev24[ 3][ 0] =  17.67;
	aaMtrev24[ 3][ 1] =   1.90;
	aaMtrev24[ 3][ 2] = 794.38;
	aaMtrev24[ 3][ 3] =   0.00;
	aaMtrev24[ 3][ 4] =   1.90;
	aaMtrev24[ 3][ 5] =  55.28;
	aaMtrev24[ 3][ 6] = 583.55;
	aaMtrev24[ 3][ 7] =  56.77;
	aaMtrev24[ 3][ 8] = 113.99;
	aaMtrev24[ 3][ 9] =   4.34;
	aaMtrev24[ 3][10] =   1.90;
	aaMtrev24[ 3][11] =   2.31;
	aaMtrev24[ 3][12] =   1.90;
	aaMtrev24[ 3][13] =   4.98;
	aaMtrev24[ 3][14] =  13.43;
	aaMtrev24[ 3][15] =  69.02;
	aaMtrev24[ 3][16] =  28.01;
	aaMtrev24[ 3][17] =  19.86;
	aaMtrev24[ 3][18] =  21.21;
	aaMtrev24[ 3][19] =   1.90;
	aaMtrev24[ 4][ 0] =  59.93;
	aaMtrev24[ 4][ 1] = 103.33;
	aaMtrev24[ 4][ 2] =  58.94;
	aaMtrev24[ 4][ 3] =   1.90;
	aaMtrev24[ 4][ 4] =   0.00;
	aaMtrev24[ 4][ 5] =  75.24;
	aaMtrev24[ 4][ 6] =   1.90;
	aaMtrev24[ 4][ 7] =  30.71;
	aaMtrev24[ 4][ 8] = 141.49;
	aaMtrev24[ 4][ 9] =  62.73;
	aaMtrev24[ 4][10] =  25.65;
	aaMtrev24[ 4][11] =   1.90;
	aaMtrev24[ 4][12] =   6.18;
	aaMtrev24[ 4][13] =  70.80;
	aaMtrev24[ 4][14] =  31.26;
	aaMtrev24[ 4][15] = 277.05;
	aaMtrev24[ 4][16] = 179.97;
	aaMtrev24[ 4][17] =  33.60;
	aaMtrev24[ 4][18] = 254.77;
	aaMtrev24[ 4][19] =   1.90;
	aaMtrev24[ 5][ 0] =   1.90;
	aaMtrev24[ 5][ 1] = 220.99;
	aaMtrev24[ 5][ 2] = 173.56;
	aaMtrev24[ 5][ 3] =  55.28;
	aaMtrev24[ 5][ 4] =  75.24;
	aaMtrev24[ 5][ 5] =   0.00;
	aaMtrev24[ 5][ 6] = 313.56;
	aaMtrev24[ 5][ 7] =   6.75;
	aaMtrev24[ 5][ 8] = 582.40;
	aaMtrev24[ 5][ 9] =   8.34;
	aaMtrev24[ 5][10] =  39.70;
	aaMtrev24[ 5][11] = 465.58;
	aaMtrev24[ 5][12] =  47.37;
	aaMtrev24[ 5][13] =  19.11;
	aaMtrev24[ 5][14] = 137.29;
	aaMtrev24[ 5][15] =  54.11;
	aaMtrev24[ 5][16] =  94.93;
	aaMtrev24[ 5][17] =   1.90;
	aaMtrev24[ 5][18] =  38.82;
	aaMtrev24[ 5][19] =  19.00;
	aaMtrev24[ 6][ 0] =   9.77;
	aaMtrev24[ 6][ 1] =   1.90;
	aaMtrev24[ 6][ 2] =  63.05;
	aaMtrev24[ 6][ 3] = 583.55;
	aaMtrev24[ 6][ 4] =   1.90;
	aaMtrev24[ 6][ 5] = 313.56;
	aaMtrev24[ 6][ 6] =   0.00;
	aaMtrev24[ 6][ 7] =  28.28;
	aaMtrev24[ 6][ 8] =  49.12;
	aaMtrev24[ 6][ 9] =   3.31;
	aaMtrev24[ 6][10] =   1.90;
	aaMtrev24[ 6][11] = 313.86;
	aaMtrev24[ 6][12] =   1.90;
	aaMtrev24[ 6][13] =   2.67;
	aaMtrev24[ 6][14] =  12.83;
	aaMtrev24[ 6][15] =  54.71;
	aaMtrev24[ 6][16] =  14.82;
	aaMtrev24[ 6][17] =   1.90;
	aaMtrev24[ 6][18] =  13.12;
	aaMtrev24[ 6][19] =  21.14;
	aaMtrev24[ 7][ 0] = 120.71;
	aaMtrev24[ 7][ 1] =  23.03;
	aaMtrev24[ 7][ 2] =  53.30;
	aaMtrev24[ 7][ 3] =  56.77;
	aaMtrev24[ 7][ 4] =  30.71;
	aaMtrev24[ 7][ 5] =   6.75;
	aaMtrev24[ 7][ 6] =  28.28;
	aaMtrev24[ 7][ 7] =   0.00;
	aaMtrev24[ 7][ 8] =   1.90;
	aaMtrev24[ 7][ 9] =   5.98;
	aaMtrev24[ 7][10] =   2.41;
	aaMtrev24[ 7][11] =  22.73;
	aaMtrev24[ 7][12] =   1.90;
	aaMtrev24[ 7][13] =   1.90;
	aaMtrev24[ 7][14] =   1.90;
	aaMtrev24[ 7][15] = 125.93;
	aaMtrev24[ 7][16] =  11.17;
	aaMtrev24[ 7][17] =  10.92;
	aaMtrev24[ 7][18] =   3.21;
	aaMtrev24[ 7][19] =   2.53;
	aaMtrev24[ 8][ 0] =  13.90;
	aaMtrev24[ 8][ 1] = 165.23;
	aaMtrev24[ 8][ 2] = 496.13;
	aaMtrev24[ 8][ 3] = 113.99;
	aaMtrev24[ 8][ 4] = 141.49;
	aaMtrev24[ 8][ 5] = 582.40;
	aaMtrev24[ 8][ 6] =  49.12;
	aaMtrev24[ 8][ 7] =   1.90;
	aaMtrev24[ 8][ 8] =   0.00;
	aaMtrev24[ 8][ 9] =  12.26;
	aaMtrev24[ 8][10] =  11.49;
	aaMtrev24[ 8][11] = 127.67;
	aaMtrev24[ 8][12] =  11.97;
	aaMtrev24[ 8][13] =  48.16;
	aaMtrev24[ 8][14] =  60.97;
	aaMtrev24[ 8][15] =  77.46;
	aaMtrev24[ 8][16] =  44.78;
	aaMtrev24[ 8][17] =   7.08;
	aaMtrev24[ 8][18] = 670.14;
	aaMtrev24[ 8][19] =   1.90;
	aaMtrev24[ 9][ 0] =  96.49;
	aaMtrev24[ 9][ 1] =   1.90;
	aaMtrev24[ 9][ 2] =  27.10;
	aaMtrev24[ 9][ 3] =   4.34;
	aaMtrev24[ 9][ 4] =  62.73;
	aaMtrev24[ 9][ 5] =   8.34;
	aaMtrev24[ 9][ 6] =   3.31;
	aaMtrev24[ 9][ 7] =   5.98;
	aaMtrev24[ 9][ 8] =  12.26;
	aaMtrev24[ 9][ 9] =   0.00;
	aaMtrev24[ 9][10] = 329.09;
	aaMtrev24[ 9][11] =  19.57;
	aaMtrev24[ 9][12] = 517.98;
	aaMtrev24[ 9][13] =  84.67;
	aaMtrev24[ 9][14] =  20.63;
	aaMtrev24[ 9][15] =  47.70;
	aaMtrev24[ 9][16] = 368.43;
	aaMtrev24[ 9][17] =   1.90;
	aaMtrev24[ 9][18] =  25.01;
	aaMtrev24[ 9][19] = 1222.94;
	aaMtrev24[10][ 0] =  25.46;
	aaMtrev24[10][ 1] =  15.58;
	aaMtrev24[10][ 2] =  15.16;
	aaMtrev24[10][ 3] =   1.90;
	aaMtrev24[10][ 4] =  25.65;
	aaMtrev24[10][ 5] =  39.70;
	aaMtrev24[10][ 6] =   1.90;
	aaMtrev24[10][ 7] =   2.41;
	aaMtrev24[10][ 8] =  11.49;
	aaMtrev24[10][ 9] = 329.09;
	aaMtrev24[10][10] =   0.00;
	aaMtrev24[10][11] =  14.88;
	aaMtrev24[10][12] = 537.53;
	aaMtrev24[10][13] = 216.06;
	aaMtrev24[10][14] =  40.10;
	aaMtrev24[10][15] =  73.61;
	aaMtrev24[10][16] = 126.40;
	aaMtrev24[10][17] =  32.44;
	aaMtrev24[10][18] =  44.15;
	aaMtrev24[10][19] =  91.67;
	aaMtrev24[11][ 0] =   8.36;
	aaMtrev24[11][ 1] = 141.40;
	aaMtrev24[11][ 2] = 608.70;
	aaMtrev24[11][ 3] =   2.31;
	aaMtrev24[11][ 4] =   1.90;
	aaMtrev24[11][ 5] = 465.58;
	aaMtrev24[11][ 6] = 313.86;
	aaMtrev24[11][ 7] =  22.73;
	aaMtrev24[11][ 8] = 127.67;
	aaMtrev24[11][ 9] =  19.57;
	aaMtrev24[11][10] =  14.88;
	aaMtrev24[11][11] =   0.00;
	aaMtrev24[11][12] =  91.37;
	aaMtrev24[11][13] =   6.44;
	aaMtrev24[11][14] =  50.10;
	aaMtrev24[11][15] = 105.79;
	aaMtrev24[11][16] = 136.33;
	aaMtrev24[11][17] =  24.00;
	aaMtrev24[11][18] =  51.17;
	aaMtrev24[11][19] =   1.90;
	aaMtrev24[12][ 0] = 141.88;
	aaMtrev24[12][ 1] =   1.90;
	aaMtrev24[12][ 2] =  65.41;
	aaMtrev24[12][ 3] =   1.90;
	aaMtrev24[12][ 4] =   6.18;
	aaMtrev24[12][ 5] =  47.37;
	aaMtrev24[12][ 6] =   1.90;
	aaMtrev24[12][ 7] =   1.90;
	aaMtrev24[12][ 8] =  11.97;
	aaMtrev24[12][ 9] = 517.98;
	aaMtrev24[12][10] = 537.53;
	aaMtrev24[12][11] =  91.37;
	aaMtrev24[12][12] =   0.00;
	aaMtrev24[12][13] =  90.82;
	aaMtrev24[12][14] =  18.84;
	aaMtrev24[12][15] = 111.16;
	aaMtrev24[12][16] = 528.17;
	aaMtrev24[12][17] =  21.71;
	aaMtrev24[12][18] =  39.96;
	aaMtrev24[12][19] = 387.54;
	aaMtrev24[13][ 0] =   6.37;
	aaMtrev24[13][ 1] =   4.69;
	aaMtrev24[13][ 2] =  15.20;
	aaMtrev24[13][ 3] =   4.98;
	aaMtrev24[13][ 4] =  70.80;
	aaMtrev24[13][ 5] =  19.11;
	aaMtrev24[13][ 6] =   2.67;
	aaMtrev24[13][ 7] =   1.90;
	aaMtrev24[13][ 8] =  48.16;
	aaMtrev24[13][ 9] =  84.67;
	aaMtrev24[13][10] = 216.06;
	aaMtrev24[13][11] =   6.44;
	aaMtrev24[13][12] =  90.82;
	aaMtrev24[13][13] =   0.00;
	aaMtrev24[13][14] =  17.31;
	aaMtrev24[13][15] =  64.29;
	aaMtrev24[13][16] =  33.85;
	aaMtrev24[13][17] =   7.84;
	aaMtrev24[13][18] = 465.58;
	aaMtrev24[13][19] =   6.35;
	aaMtrev24[14][ 0] =  54.31;
	aaMtrev24[14][ 1] =  23.64;
	aaMtrev24[14][ 2] =  73.31;
	aaMtrev24[14][ 3] =  13.43;
	aaMtrev24[14][ 4] =  31.26;
	aaMtrev24[14][ 5] = 137.29;
	aaMtrev24[14][ 6] =  12.83;
	aaMtrev24[14][ 7] =   1.90;
	aaMtrev24[14][ 8] =  60.97;
	aaMtrev24[14][ 9] =  20.63;
	aaMtrev24[14][10] =  40.10;
	aaMtrev24[14][11] =  50.10;
	aaMtrev24[14][12] =  18.84;
	aaMtrev24[14][13] =  17.31;
	aaMtrev24[14][14] =   0.00;
	aaMtrev24[14][15] = 169.90;
	aaMtrev24[14][16] = 128.22;
	aaMtrev24[14][17] =   4.21;
	aaMtrev24[14][18] =  16.21;
	aaMtrev24[14][19] =   8.23;
	aaMtrev24[15][ 0] = 387.86;
	aaMtrev24[15][ 1] =   6.04;
	aaMtrev24[15][ 2] = 494.39;
	aaMtrev24[15][ 3] =  69.02;
	aaMtrev24[15][ 4] = 277.05;
	aaMtrev24[15][ 5] =  54.11;
	aaMtrev24[15][ 6] =  54.71;
	aaMtrev24[15][ 7] = 125.93;
	aaMtrev24[15][ 8] =  77.46;
	aaMtrev24[15][ 9] =  47.70;
	aaMtrev24[15][10] =  73.61;
	aaMtrev24[15][11] = 105.79;
	aaMtrev24[15][12] = 111.16;
	aaMtrev24[15][13] =  64.29;
	aaMtrev24[15][14] = 169.90;
	aaMtrev24[15][15] =   0.00;
	aaMtrev24[15][16] = 597.21;
	aaMtrev24[15][17] =  38.58;
	aaMtrev24[15][18] =  64.92;
	aaMtrev24[15][19] =   1.90;
	aaMtrev24[16][ 0] = 480.72;
	aaMtrev24[16][ 1] =   2.08;
	aaMtrev24[16][ 2] = 238.46;
	aaMtrev24[16][ 3] =  28.01;
	aaMtrev24[16][ 4] = 179.97;
	aaMtrev24[16][ 5] =  94.93;
	aaMtrev24[16][ 6] =  14.82;
	aaMtrev24[16][ 7] =  11.17;
	aaMtrev24[16][ 8] =  44.78;
	aaMtrev24[16][ 9] = 368.43;
	aaMtrev24[16][10] = 126.40;
	aaMtrev24[16][11] = 136.33;
	aaMtrev24[16][12] = 528.17;
	aaMtrev24[16][13] =  33.85;
	aaMtrev24[16][14] = 128.22;
	aaMtrev24[16][15] = 597.21;
	aaMtrev24[16][16] =   0.00;
	aaMtrev24[16][17] =   9.99;
	aaMtrev24[16][18] =  38.73;
	aaMtrev24[16][19] = 204.54;
	aaMtrev24[17][ 0] =   1.90;
	aaMtrev24[17][ 1] =  21.95;
	aaMtrev24[17][ 2] =  10.68;
	aaMtrev24[17][ 3] =  19.86;
	aaMtrev24[17][ 4] =  33.60;
	aaMtrev24[17][ 5] =   1.90;
	aaMtrev24[17][ 6] =   1.90;
	aaMtrev24[17][ 7] =  10.92;
	aaMtrev24[17][ 8] =   7.08;
	aaMtrev24[17][ 9] =   1.90;
	aaMtrev24[17][10] =  32.44;
	aaMtrev24[17][11] =  24.00;
	aaMtrev24[17][12] =  21.71;
	aaMtrev24[17][13] =   7.84;
	aaMtrev24[17][14] =   4.21;
	aaMtrev24[17][15] =  38.58;
	aaMtrev24[17][16] =   9.99;
	aaMtrev24[17][17] =   0.00;
	aaMtrev24[17][18] =  26.25;
	aaMtrev24[17][19] =   5.37;
	aaMtrev24[18][ 0] =   6.48;
	aaMtrev24[18][ 1] =   1.90;
	aaMtrev24[18][ 2] = 191.36;
	aaMtrev24[18][ 3] =  21.21;
	aaMtrev24[18][ 4] = 254.77;
	aaMtrev24[18][ 5] =  38.82;
	aaMtrev24[18][ 6] =  13.12;
	aaMtrev24[18][ 7] =   3.21;
	aaMtrev24[18][ 8] = 670.14;
	aaMtrev24[18][ 9] =  25.01;
	aaMtrev24[18][10] =  44.15;
	aaMtrev24[18][11] =  51.17;
	aaMtrev24[18][12] =  39.96;
	aaMtrev24[18][13] = 465.58;
	aaMtrev24[18][14] =  16.21;
	aaMtrev24[18][15] =  64.92;
	aaMtrev24[18][16] =  38.73;
	aaMtrev24[18][17] =  26.25;
	aaMtrev24[18][18] =   0.00;
	aaMtrev24[18][19] =   1.90;
	aaMtrev24[19][ 0] = 195.06;
	aaMtrev24[19][ 1] =   7.64;
	aaMtrev24[19][ 2] =   1.90;
	aaMtrev24[19][ 3] =   1.90;
	aaMtrev24[19][ 4] =   1.90;
	aaMtrev24[19][ 5] =  19.00;
	aaMtrev24[19][ 6] =  21.14;
	aaMtrev24[19][ 7] =   2.53;
	aaMtrev24[19][ 8] =   1.90;
	aaMtrev24[19][ 9] = 1222.94;
	aaMtrev24[19][10] =  91.67;
	aaMtrev24[19][11] =   1.90;
	aaMtrev24[19][12] = 387.54;
	aaMtrev24[19][13] =   6.35;
	aaMtrev24[19][14] =   8.23;
	aaMtrev24[19][15] =   1.90;
	aaMtrev24[19][16] = 204.54;
	aaMtrev24[19][17] =   5.37;
	aaMtrev24[19][18] =   1.90;
	aaMtrev24[19][19] =   0.00;

	mtrev24Pi[ 0] = 0.072;
	mtrev24Pi[ 1] = 0.019;
	mtrev24Pi[ 2] = 0.039;
	mtrev24Pi[ 3] = 0.019;
	mtrev24Pi[ 4] = 0.006;
	mtrev24Pi[ 5] = 0.025;
	mtrev24Pi[ 6] = 0.024;
	mtrev24Pi[ 7] = 0.056;
	mtrev24Pi[ 8] = 0.028;
	mtrev24Pi[ 9] = 0.088;
	mtrev24Pi[10] = 0.168;
	mtrev24Pi[11] = 0.023;
	mtrev24Pi[12] = 0.054;
	mtrev24Pi[13] = 0.061;
	mtrev24Pi[14] = 0.054;
	mtrev24Pi[15] = 0.072;
	mtrev24Pi[16] = 0.086;
	mtrev24Pi[17] = 0.029;
	mtrev24Pi[18] = 0.033;
	mtrev24Pi[19] = 0.043;

	/* mtmam */
	aaMtmam[ 0][ 0] =   0;
	aaMtmam[ 0][ 1] =  32;
	aaMtmam[ 0][ 2] =   2;
	aaMtmam[ 0][ 3] =  11;
	aaMtmam[ 0][ 4] =   0;
	aaMtmam[ 0][ 5] =   0;
	aaMtmam[ 0][ 6] =   0;
	aaMtmam[ 0][ 7] =  78;
	aaMtmam[ 0][ 8] =   8;
	aaMtmam[ 0][ 9] =  75;
	aaMtmam[ 0][10] =  21;
	aaMtmam[ 0][11] =   0;
	aaMtmam[ 0][12] =  76;
	aaMtmam[ 0][13] =   0;
	aaMtmam[ 0][14] =  53;
	aaMtmam[ 0][15] = 342;
	aaMtmam[ 0][16] = 681;
	aaMtmam[ 0][17] =   5;
	aaMtmam[ 0][18] =   0;
	aaMtmam[ 0][19] = 398;
	aaMtmam[ 1][ 0] =  32;
	aaMtmam[ 1][ 1] =   0;
	aaMtmam[ 1][ 2] =   4;
	aaMtmam[ 1][ 3] =   0;
	aaMtmam[ 1][ 4] = 186;
	aaMtmam[ 1][ 5] = 246;
	aaMtmam[ 1][ 6] =   0;
	aaMtmam[ 1][ 7] =  18;
	aaMtmam[ 1][ 8] = 232;
	aaMtmam[ 1][ 9] =   0;
	aaMtmam[ 1][10] =   6;
	aaMtmam[ 1][11] =  50;
	aaMtmam[ 1][12] =   0;
	aaMtmam[ 1][13] =   0;
	aaMtmam[ 1][14] =   9;
	aaMtmam[ 1][15] =   3;
	aaMtmam[ 1][16] =   0;
	aaMtmam[ 1][17] =  16;
	aaMtmam[ 1][18] =   0;
	aaMtmam[ 1][19] =   0;
	aaMtmam[ 2][ 0] =   2;
	aaMtmam[ 2][ 1] =   4;
	aaMtmam[ 2][ 2] =   0;
	aaMtmam[ 2][ 3] = 864;
	aaMtmam[ 2][ 4] =   0;
	aaMtmam[ 2][ 5] =   8;
	aaMtmam[ 2][ 6] =   0;
	aaMtmam[ 2][ 7] =  47;
	aaMtmam[ 2][ 8] = 458;
	aaMtmam[ 2][ 9] =  19;
	aaMtmam[ 2][10] =   0;
	aaMtmam[ 2][11] = 408;
	aaMtmam[ 2][12] =  21;
	aaMtmam[ 2][13] =   6;
	aaMtmam[ 2][14] =  33;
	aaMtmam[ 2][15] = 446;
	aaMtmam[ 2][16] = 110;
	aaMtmam[ 2][17] =   6;
	aaMtmam[ 2][18] = 156;
	aaMtmam[ 2][19] =   0;
	aaMtmam[ 3][ 0] =  11;
	aaMtmam[ 3][ 1] =   0;
	aaMtmam[ 3][ 2] = 864;
	aaMtmam[ 3][ 3] =   0;
	aaMtmam[ 3][ 4] =   0;
	aaMtmam[ 3][ 5] =  49;
	aaMtmam[ 3][ 6] = 569;
	aaMtmam[ 3][ 7] =  79;
	aaMtmam[ 3][ 8] =  11;
	aaMtmam[ 3][ 9] =   0;
	aaMtmam[ 3][10] =   0;
	aaMtmam[ 3][11] =   0;
	aaMtmam[ 3][12] =   0;
	aaMtmam[ 3][13] =   5;
	aaMtmam[ 3][14] =   2;
	aaMtmam[ 3][15] =  16;
	aaMtmam[ 3][16] =   0;
	aaMtmam[ 3][17] =   0;
	aaMtmam[ 3][18] =   0;
	aaMtmam[ 3][19] =  10;
	aaMtmam[ 4][ 0] =   0;
	aaMtmam[ 4][ 1] = 186;
	aaMtmam[ 4][ 2] =   0;
	aaMtmam[ 4][ 3] =   0;
	aaMtmam[ 4][ 4] =   0;
	aaMtmam[ 4][ 5] =   0;
	aaMtmam[ 4][ 6] =   0;
	aaMtmam[ 4][ 7] =   0;
	aaMtmam[ 4][ 8] = 305;
	aaMtmam[ 4][ 9] =  41;
	aaMtmam[ 4][10] =  27;
	aaMtmam[ 4][11] =   0;
	aaMtmam[ 4][12] =   0;
	aaMtmam[ 4][13] =   7;
	aaMtmam[ 4][14] =   0;
	aaMtmam[ 4][15] = 347;
	aaMtmam[ 4][16] = 114;
	aaMtmam[ 4][17] =  65;
	aaMtmam[ 4][18] = 530;
	aaMtmam[ 4][19] =   0;
	aaMtmam[ 5][ 0] =   0;
	aaMtmam[ 5][ 1] = 246;
	aaMtmam[ 5][ 2] =   8;
	aaMtmam[ 5][ 3] =  49;
	aaMtmam[ 5][ 4] =   0;
	aaMtmam[ 5][ 5] =   0;
	aaMtmam[ 5][ 6] = 274;
	aaMtmam[ 5][ 7] =   0;
	aaMtmam[ 5][ 8] = 550;
	aaMtmam[ 5][ 9] =   0;
	aaMtmam[ 5][10] =  20;
	aaMtmam[ 5][11] = 242;
	aaMtmam[ 5][12] =  22;
	aaMtmam[ 5][13] =   0;
	aaMtmam[ 5][14] =  51;
	aaMtmam[ 5][15] =  30;
	aaMtmam[ 5][16] =   0;
	aaMtmam[ 5][17] =   0;
	aaMtmam[ 5][18] =  54;
	aaMtmam[ 5][19] =  33;
	aaMtmam[ 6][ 0] =   0;
	aaMtmam[ 6][ 1] =   0;
	aaMtmam[ 6][ 2] =   0;
	aaMtmam[ 6][ 3] = 569;
	aaMtmam[ 6][ 4] =   0;
	aaMtmam[ 6][ 5] = 274;
	aaMtmam[ 6][ 6] =   0;
	aaMtmam[ 6][ 7] =  22;
	aaMtmam[ 6][ 8] =  22;
	aaMtmam[ 6][ 9] =   0;
	aaMtmam[ 6][10] =   0;
	aaMtmam[ 6][11] = 215;
	aaMtmam[ 6][12] =   0;
	aaMtmam[ 6][13] =   0;
	aaMtmam[ 6][14] =   0;
	aaMtmam[ 6][15] =  21;
	aaMtmam[ 6][16] =   4;
	aaMtmam[ 6][17] =   0;
	aaMtmam[ 6][18] =   0;
	aaMtmam[ 6][19] =  20;
	aaMtmam[ 7][ 0] =  78;
	aaMtmam[ 7][ 1] =  18;
	aaMtmam[ 7][ 2] =  47;
	aaMtmam[ 7][ 3] =  79;
	aaMtmam[ 7][ 4] =   0;
	aaMtmam[ 7][ 5] =   0;
	aaMtmam[ 7][ 6] =  22;
	aaMtmam[ 7][ 7] =   0;
	aaMtmam[ 7][ 8] =   0;
	aaMtmam[ 7][ 9] =   0;
	aaMtmam[ 7][10] =   0;
	aaMtmam[ 7][11] =   0;
	aaMtmam[ 7][12] =   0;
	aaMtmam[ 7][13] =   0;
	aaMtmam[ 7][14] =   0;
	aaMtmam[ 7][15] = 112;
	aaMtmam[ 7][16] =   0;
	aaMtmam[ 7][17] =   0;
	aaMtmam[ 7][18] =   1;
	aaMtmam[ 7][19] =   5;
	aaMtmam[ 8][ 0] =   8;
	aaMtmam[ 8][ 1] = 232;
	aaMtmam[ 8][ 2] = 458;
	aaMtmam[ 8][ 3] =  11;
	aaMtmam[ 8][ 4] = 305;
	aaMtmam[ 8][ 5] = 550;
	aaMtmam[ 8][ 6] =  22;
	aaMtmam[ 8][ 7] =   0;
	aaMtmam[ 8][ 8] =   0;
	aaMtmam[ 8][ 9] =   0;
	aaMtmam[ 8][10] =  26;
	aaMtmam[ 8][11] =   0;
	aaMtmam[ 8][12] =   0;
	aaMtmam[ 8][13] =   0;
	aaMtmam[ 8][14] =  53;
	aaMtmam[ 8][15] =  20;
	aaMtmam[ 8][16] =   1;
	aaMtmam[ 8][17] =   0;
	aaMtmam[ 8][18] = 1525;
	aaMtmam[ 8][19] =   0;
	aaMtmam[ 9][ 0] =  75;
	aaMtmam[ 9][ 1] =   0;
	aaMtmam[ 9][ 2] =  19;
	aaMtmam[ 9][ 3] =   0;
	aaMtmam[ 9][ 4] =  41;
	aaMtmam[ 9][ 5] =   0;
	aaMtmam[ 9][ 6] =   0;
	aaMtmam[ 9][ 7] =   0;
	aaMtmam[ 9][ 8] =   0;
	aaMtmam[ 9][ 9] =   0;
	aaMtmam[ 9][10] = 232;
	aaMtmam[ 9][11] =   6;
	aaMtmam[ 9][12] = 378;
	aaMtmam[ 9][13] =  57;
	aaMtmam[ 9][14] =   5;
	aaMtmam[ 9][15] =   0;
	aaMtmam[ 9][16] = 360;
	aaMtmam[ 9][17] =   0;
	aaMtmam[ 9][18] =  16;
	aaMtmam[ 9][19] = 2220;
	aaMtmam[10][ 0] =  21;
	aaMtmam[10][ 1] =   6;
	aaMtmam[10][ 2] =   0;
	aaMtmam[10][ 3] =   0;
	aaMtmam[10][ 4] =  27;
	aaMtmam[10][ 5] =  20;
	aaMtmam[10][ 6] =   0;
	aaMtmam[10][ 7] =   0;
	aaMtmam[10][ 8] =  26;
	aaMtmam[10][ 9] = 232;
	aaMtmam[10][10] =   0;
	aaMtmam[10][11] =   4;
	aaMtmam[10][12] = 609;
	aaMtmam[10][13] = 246;
	aaMtmam[10][14] =  43;
	aaMtmam[10][15] =  74;
	aaMtmam[10][16] =  34;
	aaMtmam[10][17] =  12;
	aaMtmam[10][18] =  25;
	aaMtmam[10][19] = 100;
	aaMtmam[11][ 0] =   0;
	aaMtmam[11][ 1] =  50;
	aaMtmam[11][ 2] = 408;
	aaMtmam[11][ 3] =   0;
	aaMtmam[11][ 4] =   0;
	aaMtmam[11][ 5] = 242;
	aaMtmam[11][ 6] = 215;
	aaMtmam[11][ 7] =   0;
	aaMtmam[11][ 8] =   0;
	aaMtmam[11][ 9] =   6;
	aaMtmam[11][10] =   4;
	aaMtmam[11][11] =   0;
	aaMtmam[11][12] =  59;
	aaMtmam[11][13] =   0;
	aaMtmam[11][14] =  18;
	aaMtmam[11][15] =  65;
	aaMtmam[11][16] =  50;
	aaMtmam[11][17] =   0;
	aaMtmam[11][18] =  67;
	aaMtmam[11][19] =   0;
	aaMtmam[12][ 0] =  76;
	aaMtmam[12][ 1] =   0;
	aaMtmam[12][ 2] =  21;
	aaMtmam[12][ 3] =   0;
	aaMtmam[12][ 4] =   0;
	aaMtmam[12][ 5] =  22;
	aaMtmam[12][ 6] =   0;
	aaMtmam[12][ 7] =   0;
	aaMtmam[12][ 8] =   0;
	aaMtmam[12][ 9] = 378;
	aaMtmam[12][10] = 609;
	aaMtmam[12][11] =  59;
	aaMtmam[12][12] =   0;
	aaMtmam[12][13] =  11;
	aaMtmam[12][14] =   0;
	aaMtmam[12][15] =  47;
	aaMtmam[12][16] = 691;
	aaMtmam[12][17] =  13;
	aaMtmam[12][18] =   0;
	aaMtmam[12][19] = 832;
	aaMtmam[13][ 0] =   0;
	aaMtmam[13][ 1] =   0;
	aaMtmam[13][ 2] =   6;
	aaMtmam[13][ 3] =   5;
	aaMtmam[13][ 4] =   7;
	aaMtmam[13][ 5] =   0;
	aaMtmam[13][ 6] =   0;
	aaMtmam[13][ 7] =   0;
	aaMtmam[13][ 8] =   0;
	aaMtmam[13][ 9] =  57;
	aaMtmam[13][10] = 246;
	aaMtmam[13][11] =   0;
	aaMtmam[13][12] =  11;
	aaMtmam[13][13] =   0;
	aaMtmam[13][14] =  17;
	aaMtmam[13][15] =  90;
	aaMtmam[13][16] =   8;
	aaMtmam[13][17] =   0;
	aaMtmam[13][18] = 682;
	aaMtmam[13][19] =   6;
	aaMtmam[14][ 0] =  53;
	aaMtmam[14][ 1] =   9;
	aaMtmam[14][ 2] =  33;
	aaMtmam[14][ 3] =   2;
	aaMtmam[14][ 4] =   0;
	aaMtmam[14][ 5] =  51;
	aaMtmam[14][ 6] =   0;
	aaMtmam[14][ 7] =   0;
	aaMtmam[14][ 8] =  53;
	aaMtmam[14][ 9] =   5;
	aaMtmam[14][10] =  43;
	aaMtmam[14][11] =  18;
	aaMtmam[14][12] =   0;
	aaMtmam[14][13] =  17;
	aaMtmam[14][14] =   0;
	aaMtmam[14][15] = 202;
	aaMtmam[14][16] =  78;
	aaMtmam[14][17] =   7;
	aaMtmam[14][18] =   8;
	aaMtmam[14][19] =   0;
	aaMtmam[15][ 0] = 342;
	aaMtmam[15][ 1] =   3;
	aaMtmam[15][ 2] = 446;
	aaMtmam[15][ 3] =  16;
	aaMtmam[15][ 4] = 347;
	aaMtmam[15][ 5] =  30;
	aaMtmam[15][ 6] =  21;
	aaMtmam[15][ 7] = 112;
	aaMtmam[15][ 8] =  20;
	aaMtmam[15][ 9] =   0;
	aaMtmam[15][10] =  74;
	aaMtmam[15][11] =  65;
	aaMtmam[15][12] =  47;
	aaMtmam[15][13] =  90;
	aaMtmam[15][14] = 202;
	aaMtmam[15][15] =   0;
	aaMtmam[15][16] = 614;
	aaMtmam[15][17] =  17;
	aaMtmam[15][18] = 107;
	aaMtmam[15][19] =   0;
	aaMtmam[16][ 0] = 681;
	aaMtmam[16][ 1] =   0;
	aaMtmam[16][ 2] = 110;
	aaMtmam[16][ 3] =   0;
	aaMtmam[16][ 4] = 114;
	aaMtmam[16][ 5] =   0;
	aaMtmam[16][ 6] =   4;
	aaMtmam[16][ 7] =   0;
	aaMtmam[16][ 8] =   1;
	aaMtmam[16][ 9] = 360;
	aaMtmam[16][10] =  34;
	aaMtmam[16][11] =  50;
	aaMtmam[16][12] = 691;
	aaMtmam[16][13] =   8;
	aaMtmam[16][14] =  78;
	aaMtmam[16][15] = 614;
	aaMtmam[16][16] =   0;
	aaMtmam[16][17] =   0;
	aaMtmam[16][18] =   0;
	aaMtmam[16][19] = 237;
	aaMtmam[17][ 0] =   5;
	aaMtmam[17][ 1] =  16;
	aaMtmam[17][ 2] =   6;
	aaMtmam[17][ 3] =   0;
	aaMtmam[17][ 4] =  65;
	aaMtmam[17][ 5] =   0;
	aaMtmam[17][ 6] =   0;
	aaMtmam[17][ 7] =   0;
	aaMtmam[17][ 8] =   0;
	aaMtmam[17][ 9] =   0;
	aaMtmam[17][10] =  12;
	aaMtmam[17][11] =   0;
	aaMtmam[17][12] =  13;
	aaMtmam[17][13] =   0;
	aaMtmam[17][14] =   7;
	aaMtmam[17][15] =  17;
	aaMtmam[17][16] =   0;
	aaMtmam[17][17] =   0;
	aaMtmam[17][18] =  14;
	aaMtmam[17][19] =   0;
	aaMtmam[18][ 0] =   0;
	aaMtmam[18][ 1] =   0;
	aaMtmam[18][ 2] = 156;
	aaMtmam[18][ 3] =   0;
	aaMtmam[18][ 4] = 530;
	aaMtmam[18][ 5] =  54;
	aaMtmam[18][ 6] =   0;
	aaMtmam[18][ 7] =   1;
	aaMtmam[18][ 8] = 1525;
	aaMtmam[18][ 9] =  16;
	aaMtmam[18][10] =  25;
	aaMtmam[18][11] =  67;
	aaMtmam[18][12] =   0;
	aaMtmam[18][13] = 682;
	aaMtmam[18][14] =   8;
	aaMtmam[18][15] = 107;
	aaMtmam[18][16] =   0;
	aaMtmam[18][17] =  14;
	aaMtmam[18][18] =   0;
	aaMtmam[18][19] =   0;
	aaMtmam[19][ 0] = 398;
	aaMtmam[19][ 1] =   0;
	aaMtmam[19][ 2] =   0;
	aaMtmam[19][ 3] =  10;
	aaMtmam[19][ 4] =   0;
	aaMtmam[19][ 5] =  33;
	aaMtmam[19][ 6] =  20;
	aaMtmam[19][ 7] =   5;
	aaMtmam[19][ 8] =   0;
	aaMtmam[19][ 9] = 2220;
	aaMtmam[19][10] = 100;
	aaMtmam[19][11] =   0;
	aaMtmam[19][12] = 832;
	aaMtmam[19][13] =   6;
	aaMtmam[19][14] =   0;
	aaMtmam[19][15] =   0;
	aaMtmam[19][16] = 237;
	aaMtmam[19][17] =   0;
	aaMtmam[19][18] =   0;
	aaMtmam[19][19] =   0;

	mtmamPi[ 0] = 0.0692;
	mtmamPi[ 1] = 0.0184;
	mtmamPi[ 2] = 0.0400;
	mtmamPi[ 3] = 0.0186;
	mtmamPi[ 4] = 0.0065;
	mtmamPi[ 5] = 0.0238;
	mtmamPi[ 6] = 0.0236;
	mtmamPi[ 7] = 0.0557;
	mtmamPi[ 8] = 0.0277;
	mtmamPi[ 9] = 0.0905;
	mtmamPi[10] = 0.1675;
	mtmamPi[11] = 0.0221;
	mtmamPi[12] = 0.0561;
	mtmamPi[13] = 0.0611;
	mtmamPi[14] = 0.0536;
	mtmamPi[15] = 0.0725;
	mtmamPi[16] = 0.0870;
	mtmamPi[17] = 0.0293;
	mtmamPi[18] = 0.0340;
	mtmamPi[19] = 0.0428;

	/* rtRev */
	aartREV[ 0][ 0] =   0;
	aartREV[ 1][ 0] =  34;
	aartREV[ 2][ 0] =  51;
	aartREV[ 3][ 0] =  10;
	aartREV[ 4][ 0] = 439;
	aartREV[ 5][ 0] =  32;
	aartREV[ 6][ 0] =  81;
	aartREV[ 7][ 0] = 135;
	aartREV[ 8][ 0] =  30;
	aartREV[ 9][ 0] =   1;
	aartREV[10][ 0] =  45;
	aartREV[11][ 0] =  38;
	aartREV[12][ 0] = 235;
	aartREV[13][ 0] =   1;
	aartREV[14][ 0] =  97;
	aartREV[15][ 0] = 460;
	aartREV[16][ 0] = 258;
	aartREV[17][ 0] =   5;
	aartREV[18][ 0] =  55;
	aartREV[19][ 0] = 197;
	aartREV[ 0][ 1] =  34;
	aartREV[ 1][ 1] =   0;
	aartREV[ 2][ 1] =  35;
	aartREV[ 3][ 1] =  30;
	aartREV[ 4][ 1] =  92;
	aartREV[ 5][ 1] = 221;
	aartREV[ 6][ 1] =  10;
	aartREV[ 7][ 1] =  41;
	aartREV[ 8][ 1] =  90;
	aartREV[ 9][ 1] =  24;
	aartREV[10][ 1] =  18;
	aartREV[11][ 1] = 593;
	aartREV[12][ 1] =  57;
	aartREV[13][ 1] =   7;
	aartREV[14][ 1] =  24;
	aartREV[15][ 1] = 102;
	aartREV[16][ 1] =  64;
	aartREV[17][ 1] =  13;
	aartREV[18][ 1] =  47;
	aartREV[19][ 1] =  29;
	aartREV[ 0][ 2] =  51;
	aartREV[ 1][ 2] =  35;
	aartREV[ 2][ 2] =   0;
	aartREV[ 3][ 2] = 384;
	aartREV[ 4][ 2] = 128;
	aartREV[ 5][ 2] = 236;
	aartREV[ 6][ 2] =  79;
	aartREV[ 7][ 2] =  94;
	aartREV[ 8][ 2] = 320;
	aartREV[ 9][ 2] =  35;
	aartREV[10][ 2] =  15;
	aartREV[11][ 2] = 123;
	aartREV[12][ 2] =   1;
	aartREV[13][ 2] =  49;
	aartREV[14][ 2] =  33;
	aartREV[15][ 2] = 294;
	aartREV[16][ 2] = 148;
	aartREV[17][ 2] =  16;
	aartREV[18][ 2] =  28;
	aartREV[19][ 2] =  21;
	aartREV[ 0][ 3] =  10;
	aartREV[ 1][ 3] =  30;
	aartREV[ 2][ 3] = 384;
	aartREV[ 3][ 3] =   0;
	aartREV[ 4][ 3] =   1;
	aartREV[ 5][ 3] =  78;
	aartREV[ 6][ 3] = 542;
	aartREV[ 7][ 3] =  61;
	aartREV[ 8][ 3] =  91;
	aartREV[ 9][ 3] =   1;
	aartREV[10][ 3] =   5;
	aartREV[11][ 3] =  20;
	aartREV[12][ 3] =   1;
	aartREV[13][ 3] =   1;
	aartREV[14][ 3] =  55;
	aartREV[15][ 3] = 136;
	aartREV[16][ 3] =  55;
	aartREV[17][ 3] =   1;
	aartREV[18][ 3] =   1;
	aartREV[19][ 3] =   6;
	aartREV[ 0][ 4] = 439;
	aartREV[ 1][ 4] =  92;
	aartREV[ 2][ 4] = 128;
	aartREV[ 3][ 4] =   1;
	aartREV[ 4][ 4] =   0;
	aartREV[ 5][ 4] =  70;
	aartREV[ 6][ 4] =   1;
	aartREV[ 7][ 4] =  48;
	aartREV[ 8][ 4] = 124;
	aartREV[ 9][ 4] = 104;
	aartREV[10][ 4] = 110;
	aartREV[11][ 4] =  16;
	aartREV[12][ 4] = 156;
	aartREV[13][ 4] =  70;
	aartREV[14][ 4] =   1;
	aartREV[15][ 4] =  75;
	aartREV[16][ 4] = 117;
	aartREV[17][ 4] =  55;
	aartREV[18][ 4] = 131;
	aartREV[19][ 4] = 295;
	aartREV[ 0][ 5] =  32;
	aartREV[ 1][ 5] = 221;
	aartREV[ 2][ 5] = 236;
	aartREV[ 3][ 5] =  78;
	aartREV[ 4][ 5] =  70;
	aartREV[ 5][ 5] =   0;
	aartREV[ 6][ 5] = 372;
	aartREV[ 7][ 5] =  18;
	aartREV[ 8][ 5] = 387;
	aartREV[ 9][ 5] =  33;
	aartREV[10][ 5] =  54;
	aartREV[11][ 5] = 309;
	aartREV[12][ 5] = 158;
	aartREV[13][ 5] =   1;
	aartREV[14][ 5] =  68;
	aartREV[15][ 5] = 225;
	aartREV[16][ 5] = 146;
	aartREV[17][ 5] =  10;
	aartREV[18][ 5] =  45;
	aartREV[19][ 5] =  36;
	aartREV[ 0][ 6] =  81;
	aartREV[ 1][ 6] =  10;
	aartREV[ 2][ 6] =  79;
	aartREV[ 3][ 6] = 542;
	aartREV[ 4][ 6] =   1;
	aartREV[ 5][ 6] = 372;
	aartREV[ 6][ 6] =   0;
	aartREV[ 7][ 6] =  70;
	aartREV[ 8][ 6] =  34;
	aartREV[ 9][ 6] =   1;
	aartREV[10][ 6] =  21;
	aartREV[11][ 6] = 141;
	aartREV[12][ 6] =   1;
	aartREV[13][ 6] =   1;
	aartREV[14][ 6] =  52;
	aartREV[15][ 6] =  95;
	aartREV[16][ 6] =  82;
	aartREV[17][ 6] =  17;
	aartREV[18][ 6] =   1;
	aartREV[19][ 6] =  35;
	aartREV[ 0][ 7] = 135;
	aartREV[ 1][ 7] =  41;
	aartREV[ 2][ 7] =  94;
	aartREV[ 3][ 7] =  61;
	aartREV[ 4][ 7] =  48;
	aartREV[ 5][ 7] =  18;
	aartREV[ 6][ 7] =  70;
	aartREV[ 7][ 7] =   0;
	aartREV[ 8][ 7] =  68;
	aartREV[ 9][ 7] =   1;
	aartREV[10][ 7] =   3;
	aartREV[11][ 7] =  30;
	aartREV[12][ 7] =  37;
	aartREV[13][ 7] =   7;
	aartREV[14][ 7] =  17;
	aartREV[15][ 7] = 152;
	aartREV[16][ 7] =   7;
	aartREV[17][ 7] =  23;
	aartREV[18][ 7] =  21;
	aartREV[19][ 7] =   3;
	aartREV[ 0][ 8] =  30;
	aartREV[ 1][ 8] =  90;
	aartREV[ 2][ 8] = 320;
	aartREV[ 3][ 8] =  91;
	aartREV[ 4][ 8] = 124;
	aartREV[ 5][ 8] = 387;
	aartREV[ 6][ 8] =  34;
	aartREV[ 7][ 8] =  68;
	aartREV[ 8][ 8] =   0;
	aartREV[ 9][ 8] =  34;
	aartREV[10][ 8] =  51;
	aartREV[11][ 8] =  76;
	aartREV[12][ 8] = 116;
	aartREV[13][ 8] = 141;
	aartREV[14][ 8] =  44;
	aartREV[15][ 8] = 183;
	aartREV[16][ 8] =  49;
	aartREV[17][ 8] =  48;
	aartREV[18][ 8] = 307;
	aartREV[19][ 8] =   1;
	aartREV[ 0][ 9] =   1;
	aartREV[ 1][ 9] =  24;
	aartREV[ 2][ 9] =  35;
	aartREV[ 3][ 9] =   1;
	aartREV[ 4][ 9] = 104;
	aartREV[ 5][ 9] =  33;
	aartREV[ 6][ 9] =   1;
	aartREV[ 7][ 9] =   1;
	aartREV[ 8][ 9] =  34;
	aartREV[ 9][ 9] =   0;
	aartREV[10][ 9] = 385;
	aartREV[11][ 9] =  34;
	aartREV[12][ 9] = 375;
	aartREV[13][ 9] =  64;
	aartREV[14][ 9] =  10;
	aartREV[15][ 9] =   4;
	aartREV[16][ 9] =  72;
	aartREV[17][ 9] =  39;
	aartREV[18][ 9] =  26;
	aartREV[19][ 9] = 1048;
	aartREV[ 0][10] =  45;
	aartREV[ 1][10] =  18;
	aartREV[ 2][10] =  15;
	aartREV[ 3][10] =   5;
	aartREV[ 4][10] = 110;
	aartREV[ 5][10] =  54;
	aartREV[ 6][10] =  21;
	aartREV[ 7][10] =   3;
	aartREV[ 8][10] =  51;
	aartREV[ 9][10] = 385;
	aartREV[10][10] =   0;
	aartREV[11][10] =  23;
	aartREV[12][10] = 581;
	aartREV[13][10] = 179;
	aartREV[14][10] =  22;
	aartREV[15][10] =  24;
	aartREV[16][10] =  25;
	aartREV[17][10] =  47;
	aartREV[18][10] =  64;
	aartREV[19][10] = 112;
	aartREV[ 0][11] =  38;
	aartREV[ 1][11] = 593;
	aartREV[ 2][11] = 123;
	aartREV[ 3][11] =  20;
	aartREV[ 4][11] =  16;
	aartREV[ 5][11] = 309;
	aartREV[ 6][11] = 141;
	aartREV[ 7][11] =  30;
	aartREV[ 8][11] =  76;
	aartREV[ 9][11] =  34;
	aartREV[10][11] =  23;
	aartREV[11][11] =   0;
	aartREV[12][11] = 134;
	aartREV[13][11] =  14;
	aartREV[14][11] =  43;
	aartREV[15][11] =  77;
	aartREV[16][11] = 110;
	aartREV[17][11] =   6;
	aartREV[18][11] =   1;
	aartREV[19][11] =  19;
	aartREV[ 0][12] = 235;
	aartREV[ 1][12] =  57;
	aartREV[ 2][12] =   1;
	aartREV[ 3][12] =   1;
	aartREV[ 4][12] = 156;
	aartREV[ 5][12] = 158;
	aartREV[ 6][12] =   1;
	aartREV[ 7][12] =  37;
	aartREV[ 8][12] = 116;
	aartREV[ 9][12] = 375;
	aartREV[10][12] = 581;
	aartREV[11][12] = 134;
	aartREV[12][12] =   0;
	aartREV[13][12] = 247;
	aartREV[14][12] =   1;
	aartREV[15][12] =   1;
	aartREV[16][12] = 131;
	aartREV[17][12] = 111;
	aartREV[18][12] =  74;
	aartREV[19][12] = 236;
	aartREV[ 0][13] =   1;
	aartREV[ 1][13] =   7;
	aartREV[ 2][13] =  49;
	aartREV[ 3][13] =   1;
	aartREV[ 4][13] =  70;
	aartREV[ 5][13] =   1;
	aartREV[ 6][13] =   1;
	aartREV[ 7][13] =   7;
	aartREV[ 8][13] = 141;
	aartREV[ 9][13] =  64;
	aartREV[10][13] = 179;
	aartREV[11][13] =  14;
	aartREV[12][13] = 247;
	aartREV[13][13] =   0;
	aartREV[14][13] =  11;
	aartREV[15][13] =  20;
	aartREV[16][13] =  69;
	aartREV[17][13] = 182;
	aartREV[18][13] = 1017;
	aartREV[19][13] =  92;
	aartREV[ 0][14] =  97;
	aartREV[ 1][14] =  24;
	aartREV[ 2][14] =  33;
	aartREV[ 3][14] =  55;
	aartREV[ 4][14] =   1;
	aartREV[ 5][14] =  68;
	aartREV[ 6][14] =  52;
	aartREV[ 7][14] =  17;
	aartREV[ 8][14] =  44;
	aartREV[ 9][14] =  10;
	aartREV[10][14] =  22;
	aartREV[11][14] =  43;
	aartREV[12][14] =   1;
	aartREV[13][14] =  11;
	aartREV[14][14] =   0;
	aartREV[15][14] = 134;
	aartREV[16][14] =  62;
	aartREV[17][14] =   9;
	aartREV[18][14] =  14;
	aartREV[19][14] =  25;
	aartREV[ 0][15] = 460;
	aartREV[ 1][15] = 102;
	aartREV[ 2][15] = 294;
	aartREV[ 3][15] = 136;
	aartREV[ 4][15] =  75;
	aartREV[ 5][15] = 225;
	aartREV[ 6][15] =  95;
	aartREV[ 7][15] = 152;
	aartREV[ 8][15] = 183;
	aartREV[ 9][15] =   4;
	aartREV[10][15] =  24;
	aartREV[11][15] =  77;
	aartREV[12][15] =   1;
	aartREV[13][15] =  20;
	aartREV[14][15] = 134;
	aartREV[15][15] =   0;
	aartREV[16][15] = 671;
	aartREV[17][15] =  14;
	aartREV[18][15] =  31;
	aartREV[19][15] =  39;
	aartREV[ 0][16] = 258;
	aartREV[ 1][16] =  64;
	aartREV[ 2][16] = 148;
	aartREV[ 3][16] =  55;
	aartREV[ 4][16] = 117;
	aartREV[ 5][16] = 146;
	aartREV[ 6][16] =  82;
	aartREV[ 7][16] =   7;
	aartREV[ 8][16] =  49;
	aartREV[ 9][16] =  72;
	aartREV[10][16] =  25;
	aartREV[11][16] = 110;
	aartREV[12][16] = 131;
	aartREV[13][16] =  69;
	aartREV[14][16] =  62;
	aartREV[15][16] = 671;
	aartREV[16][16] =   0;
	aartREV[17][16] =   1;
	aartREV[18][16] =  34;
	aartREV[19][16] = 196;
	aartREV[ 0][17] =   5;
	aartREV[ 1][17] =  13;
	aartREV[ 2][17] =  16;
	aartREV[ 3][17] =   1;
	aartREV[ 4][17] =  55;
	aartREV[ 5][17] =  10;
	aartREV[ 6][17] =  17;
	aartREV[ 7][17] =  23;
	aartREV[ 8][17] =  48;
	aartREV[ 9][17] =  39;
	aartREV[10][17] =  47;
	aartREV[11][17] =   6;
	aartREV[12][17] = 111;
	aartREV[13][17] = 182;
	aartREV[14][17] =   9;
	aartREV[15][17] =  14;
	aartREV[16][17] =   1;
	aartREV[17][17] =   0;
	aartREV[18][17] = 176;
	aartREV[19][17] =  26;
	aartREV[ 0][18] =  55;
	aartREV[ 1][18] =  47;
	aartREV[ 2][18] =  28;
	aartREV[ 3][18] =   1;
	aartREV[ 4][18] = 131;
	aartREV[ 5][18] =  45;
	aartREV[ 6][18] =   1;
	aartREV[ 7][18] =  21;
	aartREV[ 8][18] = 307;
	aartREV[ 9][18] =  26;
	aartREV[10][18] =  64;
	aartREV[11][18] =   1;
	aartREV[12][18] =  74;
	aartREV[13][18] = 1017;
	aartREV[14][18] =  14;
	aartREV[15][18] =  31;
	aartREV[16][18] =  34;
	aartREV[17][18] = 176;
	aartREV[18][18] =   0;
	aartREV[19][18] =  59;
	aartREV[ 0][19] = 197;
	aartREV[ 1][19] =  29;
	aartREV[ 2][19] =  21;
	aartREV[ 3][19] =   6;
	aartREV[ 4][19] = 295;
	aartREV[ 5][19] =  36;
	aartREV[ 6][19] =  35;
	aartREV[ 7][19] =   3;
	aartREV[ 8][19] =   1;
	aartREV[ 9][19] = 1048;
	aartREV[10][19] = 112;
	aartREV[11][19] =  19;
	aartREV[12][19] = 236;
	aartREV[13][19] =  92;
	aartREV[14][19] =  25;
	aartREV[15][19] =  39;
	aartREV[16][19] = 196;
	aartREV[17][19] =  26;
	aartREV[18][19] =  59;
	aartREV[19][19] =   0;
	rtrevPi[ 0] = 0.0646;
	rtrevPi[ 1] = 0.0453;
	rtrevPi[ 2] = 0.0376;
	rtrevPi[ 3] = 0.0422;
	rtrevPi[ 4] = 0.0114;
	rtrevPi[ 5] = 0.0606;
	rtrevPi[ 6] = 0.0607;
	rtrevPi[ 7] = 0.0639;
	rtrevPi[ 8] = 0.0273;
	rtrevPi[ 9] = 0.0679;
	rtrevPi[10] = 0.1018;
	rtrevPi[11] = 0.0751;
	rtrevPi[12] = 0.0150;
	rtrevPi[13] = 0.0287;
	rtrevPi[14] = 0.0681;
	rtrevPi[15] = 0.0488;
	rtrevPi[16] = 0.0622;
	rtrevPi[17] = 0.0251;
	rtrevPi[18] = 0.0318;
	rtrevPi[19] = 0.0619;

	/* wag */
	aaWAG[ 0][ 0] = 0.0000000;
	aaWAG[ 1][ 0] = 0.5515710;
	aaWAG[ 2][ 0] = 0.5098480;
	aaWAG[ 3][ 0] = 0.7389980;
	aaWAG[ 4][ 0] = 1.0270400;
	aaWAG[ 5][ 0] = 0.9085980;
	aaWAG[ 6][ 0] = 1.5828500;
	aaWAG[ 7][ 0] = 1.4167200;
	aaWAG[ 8][ 0] = 0.3169540;
	aaWAG[ 9][ 0] = 0.1933350;
	aaWAG[10][ 0] = 0.3979150;
	aaWAG[11][ 0] = 0.9062650;
	aaWAG[12][ 0] = 0.8934960;
	aaWAG[13][ 0] = 0.2104940;
	aaWAG[14][ 0] = 1.4385500;
	aaWAG[15][ 0] = 3.3707900;
	aaWAG[16][ 0] = 2.1211100;
	aaWAG[17][ 0] = 0.1131330;
	aaWAG[18][ 0] = 0.2407350;
	aaWAG[19][ 0] = 2.0060100;
	aaWAG[ 0][ 1] = 0.5515710;
	aaWAG[ 1][ 1] = 0.0000000;
	aaWAG[ 2][ 1] = 0.6353460;
	aaWAG[ 3][ 1] = 0.1473040;
	aaWAG[ 4][ 1] = 0.5281910;
	aaWAG[ 5][ 1] = 3.0355000;
	aaWAG[ 6][ 1] = 0.4391570;
	aaWAG[ 7][ 1] = 0.5846650;
	aaWAG[ 8][ 1] = 2.1371500;
	aaWAG[ 9][ 1] = 0.1869790;
	aaWAG[10][ 1] = 0.4976710;
	aaWAG[11][ 1] = 5.3514200;
	aaWAG[12][ 1] = 0.6831620;
	aaWAG[13][ 1] = 0.1027110;
	aaWAG[14][ 1] = 0.6794890;
	aaWAG[15][ 1] = 1.2241900;
	aaWAG[16][ 1] = 0.5544130;
	aaWAG[17][ 1] = 1.1639200;
	aaWAG[18][ 1] = 0.3815330;
	aaWAG[19][ 1] = 0.2518490;
	aaWAG[ 0][ 2] = 0.5098480;
	aaWAG[ 1][ 2] = 0.6353460;
	aaWAG[ 2][ 2] = 0.0000000;
	aaWAG[ 3][ 2] = 5.4294200;
	aaWAG[ 4][ 2] = 0.2652560;
	aaWAG[ 5][ 2] = 1.5436400;
	aaWAG[ 6][ 2] = 0.9471980;
	aaWAG[ 7][ 2] = 1.1255600;
	aaWAG[ 8][ 2] = 3.9562900;
	aaWAG[ 9][ 2] = 0.5542360;
	aaWAG[10][ 2] = 0.1315280;
	aaWAG[11][ 2] = 3.0120100;
	aaWAG[12][ 2] = 0.1982210;
	aaWAG[13][ 2] = 0.0961621;
	aaWAG[14][ 2] = 0.1950810;
	aaWAG[15][ 2] = 3.9742300;
	aaWAG[16][ 2] = 2.0300600;
	aaWAG[17][ 2] = 0.0719167;
	aaWAG[18][ 2] = 1.0860000;
	aaWAG[19][ 2] = 0.1962460;
	aaWAG[ 0][ 3] = 0.7389980;
	aaWAG[ 1][ 3] = 0.1473040;
	aaWAG[ 2][ 3] = 5.4294200;
	aaWAG[ 3][ 3] = 0.0000000;
	aaWAG[ 4][ 3] = 0.0302949;
	aaWAG[ 5][ 3] = 0.6167830;
	aaWAG[ 6][ 3] = 6.1741600;
	aaWAG[ 7][ 3] = 0.8655840;
	aaWAG[ 8][ 3] = 0.9306760;
	aaWAG[ 9][ 3] = 0.0394370;
	aaWAG[10][ 3] = 0.0848047;
	aaWAG[11][ 3] = 0.4798550;
	aaWAG[12][ 3] = 0.1037540;
	aaWAG[13][ 3] = 0.0467304;
	aaWAG[14][ 3] = 0.4239840;
	aaWAG[15][ 3] = 1.0717600;
	aaWAG[16][ 3] = 0.3748660;
	aaWAG[17][ 3] = 0.1297670;
	aaWAG[18][ 3] = 0.3257110;
	aaWAG[19][ 3] = 0.1523350;
	aaWAG[ 0][ 4] = 1.0270400;
	aaWAG[ 1][ 4] = 0.5281910;
	aaWAG[ 2][ 4] = 0.2652560;
	aaWAG[ 3][ 4] = 0.0302949;
	aaWAG[ 4][ 4] = 0.0000000;
	aaWAG[ 5][ 4] = 0.0988179;
	aaWAG[ 6][ 4] = 0.0213520;
	aaWAG[ 7][ 4] = 0.3066740;
	aaWAG[ 8][ 4] = 0.2489720;
	aaWAG[ 9][ 4] = 0.1701350;
	aaWAG[10][ 4] = 0.3842870;
	aaWAG[11][ 4] = 0.0740339;
	aaWAG[12][ 4] = 0.3904820;
	aaWAG[13][ 4] = 0.3980200;
	aaWAG[14][ 4] = 0.1094040;
	aaWAG[15][ 4] = 1.4076600;
	aaWAG[16][ 4] = 0.5129840;
	aaWAG[17][ 4] = 0.7170700;
	aaWAG[18][ 4] = 0.5438330;
	aaWAG[19][ 4] = 1.0021400;
	aaWAG[ 0][ 5] = 0.9085980;
	aaWAG[ 1][ 5] = 3.0355000;
	aaWAG[ 2][ 5] = 1.5436400;
	aaWAG[ 3][ 5] = 0.6167830;
	aaWAG[ 4][ 5] = 0.0988179;
	aaWAG[ 5][ 5] = 0.0000000;
	aaWAG[ 6][ 5] = 5.4694700;
	aaWAG[ 7][ 5] = 0.3300520;
	aaWAG[ 8][ 5] = 4.2941100;
	aaWAG[ 9][ 5] = 0.1139170;
	aaWAG[10][ 5] = 0.8694890;
	aaWAG[11][ 5] = 3.8949000;
	aaWAG[12][ 5] = 1.5452600;
	aaWAG[13][ 5] = 0.0999208;
	aaWAG[14][ 5] = 0.9333720;
	aaWAG[15][ 5] = 1.0288700;
	aaWAG[16][ 5] = 0.8579280;
	aaWAG[17][ 5] = 0.2157370;
	aaWAG[18][ 5] = 0.2277100;
	aaWAG[19][ 5] = 0.3012810;
	aaWAG[ 0][ 6] = 1.5828500;
	aaWAG[ 1][ 6] = 0.4391570;
	aaWAG[ 2][ 6] = 0.9471980;
	aaWAG[ 3][ 6] = 6.1741600;
	aaWAG[ 4][ 6] = 0.0213520;
	aaWAG[ 5][ 6] = 5.4694700;
	aaWAG[ 6][ 6] = 0.0000000;
	aaWAG[ 7][ 6] = 0.5677170;
	aaWAG[ 8][ 6] = 0.5700250;
	aaWAG[ 9][ 6] = 0.1273950;
	aaWAG[10][ 6] = 0.1542630;
	aaWAG[11][ 6] = 2.5844300;
	aaWAG[12][ 6] = 0.3151240;
	aaWAG[13][ 6] = 0.0811339;
	aaWAG[14][ 6] = 0.6823550;
	aaWAG[15][ 6] = 0.7049390;
	aaWAG[16][ 6] = 0.8227650;
	aaWAG[17][ 6] = 0.1565570;
	aaWAG[18][ 6] = 0.1963030;
	aaWAG[19][ 6] = 0.5887310;
	aaWAG[ 0][ 7] = 1.4167200;
	aaWAG[ 1][ 7] = 0.5846650;
	aaWAG[ 2][ 7] = 1.1255600;
	aaWAG[ 3][ 7] = 0.8655840;
	aaWAG[ 4][ 7] = 0.3066740;
	aaWAG[ 5][ 7] = 0.3300520;
	aaWAG[ 6][ 7] = 0.5677170;
	aaWAG[ 7][ 7] = 0.0000000;
	aaWAG[ 8][ 7] = 0.2494100;
	aaWAG[ 9][ 7] = 0.0304501;
	aaWAG[10][ 7] = 0.0613037;
	aaWAG[11][ 7] = 0.3735580;
	aaWAG[12][ 7] = 0.1741000;
	aaWAG[13][ 7] = 0.0499310;
	aaWAG[14][ 7] = 0.2435700;
	aaWAG[15][ 7] = 1.3418200;
	aaWAG[16][ 7] = 0.2258330;
	aaWAG[17][ 7] = 0.3369830;
	aaWAG[18][ 7] = 0.1036040;
	aaWAG[19][ 7] = 0.1872470;
	aaWAG[ 0][ 8] = 0.3169540;
	aaWAG[ 1][ 8] = 2.1371500;
	aaWAG[ 2][ 8] = 3.9562900;
	aaWAG[ 3][ 8] = 0.9306760;
	aaWAG[ 4][ 8] = 0.2489720;
	aaWAG[ 5][ 8] = 4.2941100;
	aaWAG[ 6][ 8] = 0.5700250;
	aaWAG[ 7][ 8] = 0.2494100;
	aaWAG[ 8][ 8] = 0.0000000;
	aaWAG[ 9][ 8] = 0.1381900;
	aaWAG[10][ 8] = 0.4994620;
	aaWAG[11][ 8] = 0.8904320;
	aaWAG[12][ 8] = 0.4041410;
	aaWAG[13][ 8] = 0.6793710;
	aaWAG[14][ 8] = 0.6961980;
	aaWAG[15][ 8] = 0.7401690;
	aaWAG[16][ 8] = 0.4733070;
	aaWAG[17][ 8] = 0.2625690;
	aaWAG[18][ 8] = 3.8734400;
	aaWAG[19][ 8] = 0.1183580;
	aaWAG[ 0][ 9] = 0.1933350;
	aaWAG[ 1][ 9] = 0.1869790;
	aaWAG[ 2][ 9] = 0.5542360;
	aaWAG[ 3][ 9] = 0.0394370;
	aaWAG[ 4][ 9] = 0.1701350;
	aaWAG[ 5][ 9] = 0.1139170;
	aaWAG[ 6][ 9] = 0.1273950;
	aaWAG[ 7][ 9] = 0.0304501;
	aaWAG[ 8][ 9] = 0.1381900;
	aaWAG[ 9][ 9] = 0.0000000;
	aaWAG[10][ 9] = 3.1709700;
	aaWAG[11][ 9] = 0.3238320;
	aaWAG[12][ 9] = 4.2574600;
	aaWAG[13][ 9] = 1.0594700;
	aaWAG[14][ 9] = 0.0999288;
	aaWAG[15][ 9] = 0.3194400;
	aaWAG[16][ 9] = 1.4581600;
	aaWAG[17][ 9] = 0.2124830;
	aaWAG[18][ 9] = 0.4201700;
	aaWAG[19][ 9] = 7.8213000;
	aaWAG[ 0][10] = 0.3979150;
	aaWAG[ 1][10] = 0.4976710;
	aaWAG[ 2][10] = 0.1315280;
	aaWAG[ 3][10] = 0.0848047;
	aaWAG[ 4][10] = 0.3842870;
	aaWAG[ 5][10] = 0.8694890;
	aaWAG[ 6][10] = 0.1542630;
	aaWAG[ 7][10] = 0.0613037;
	aaWAG[ 8][10] = 0.4994620;
	aaWAG[ 9][10] = 3.1709700;
	aaWAG[10][10] = 0.0000000;
	aaWAG[11][10] = 0.2575550;
	aaWAG[12][10] = 4.8540200;
	aaWAG[13][10] = 2.1151700;
	aaWAG[14][10] = 0.4158440;
	aaWAG[15][10] = 0.3447390;
	aaWAG[16][10] = 0.3266220;
	aaWAG[17][10] = 0.6653090;
	aaWAG[18][10] = 0.3986180;
	aaWAG[19][10] = 1.8003400;
	aaWAG[ 0][11] = 0.9062650;
	aaWAG[ 1][11] = 5.3514200;
	aaWAG[ 2][11] = 3.0120100;
	aaWAG[ 3][11] = 0.4798550;
	aaWAG[ 4][11] = 0.0740339;
	aaWAG[ 5][11] = 3.8949000;
	aaWAG[ 6][11] = 2.5844300;
	aaWAG[ 7][11] = 0.3735580;
	aaWAG[ 8][11] = 0.8904320;
	aaWAG[ 9][11] = 0.3238320;
	aaWAG[10][11] = 0.2575550;
	aaWAG[11][11] = 0.0000000;
	aaWAG[12][11] = 0.9342760;
	aaWAG[13][11] = 0.0888360;
	aaWAG[14][11] = 0.5568960;
	aaWAG[15][11] = 0.9671300;
	aaWAG[16][11] = 1.3869800;
	aaWAG[17][11] = 0.1375050;
	aaWAG[18][11] = 0.1332640;
	aaWAG[19][11] = 0.3054340;
	aaWAG[ 0][12] = 0.8934960;
	aaWAG[ 1][12] = 0.6831620;
	aaWAG[ 2][12] = 0.1982210;
	aaWAG[ 3][12] = 0.1037540;
	aaWAG[ 4][12] = 0.3904820;
	aaWAG[ 5][12] = 1.5452600;
	aaWAG[ 6][12] = 0.3151240;
	aaWAG[ 7][12] = 0.1741000;
	aaWAG[ 8][12] = 0.4041410;
	aaWAG[ 9][12] = 4.2574600;
	aaWAG[10][12] = 4.8540200;
	aaWAG[11][12] = 0.9342760;
	aaWAG[12][12] = 0.0000000;
	aaWAG[13][12] = 1.1906300;
	aaWAG[14][12] = 0.1713290;
	aaWAG[15][12] = 0.4939050;
	aaWAG[16][12] = 1.5161200;
	aaWAG[17][12] = 0.5157060;
	aaWAG[18][12] = 0.4284370;
	aaWAG[19][12] = 2.0584500;
	aaWAG[ 0][13] = 0.2104940;
	aaWAG[ 1][13] = 0.1027110;
	aaWAG[ 2][13] = 0.0961621;
	aaWAG[ 3][13] = 0.0467304;
	aaWAG[ 4][13] = 0.3980200;
	aaWAG[ 5][13] = 0.0999208;
	aaWAG[ 6][13] = 0.0811339;
	aaWAG[ 7][13] = 0.0499310;
	aaWAG[ 8][13] = 0.6793710;
	aaWAG[ 9][13] = 1.0594700;
	aaWAG[10][13] = 2.1151700;
	aaWAG[11][13] = 0.0888360;
	aaWAG[12][13] = 1.1906300;
	aaWAG[13][13] = 0.0000000;
	aaWAG[14][13] = 0.1614440;
	aaWAG[15][13] = 0.5459310;
	aaWAG[16][13] = 0.1719030;
	aaWAG[17][13] = 1.5296400;
	aaWAG[18][13] = 6.4542800;
	aaWAG[19][13] = 0.6498920;
	aaWAG[ 0][14] = 1.4385500;
	aaWAG[ 1][14] = 0.6794890;
	aaWAG[ 2][14] = 0.1950810;
	aaWAG[ 3][14] = 0.4239840;
	aaWAG[ 4][14] = 0.1094040;
	aaWAG[ 5][14] = 0.9333720;
	aaWAG[ 6][14] = 0.6823550;
	aaWAG[ 7][14] = 0.2435700;
	aaWAG[ 8][14] = 0.6961980;
	aaWAG[ 9][14] = 0.0999288;
	aaWAG[10][14] = 0.4158440;
	aaWAG[11][14] = 0.5568960;
	aaWAG[12][14] = 0.1713290;
	aaWAG[13][14] = 0.1614440;
	aaWAG[14][14] = 0.0000000;
	aaWAG[15][14] = 1.6132800;
	aaWAG[16][14] = 0.7953840;
	aaWAG[17][14] = 0.1394050;
	aaWAG[18][14] = 0.2160460;
	aaWAG[19][14] = 0.3148870;
	aaWAG[ 0][15] = 3.3707900;
	aaWAG[ 1][15] = 1.2241900;
	aaWAG[ 2][15] = 3.9742300;
	aaWAG[ 3][15] = 1.0717600;
	aaWAG[ 4][15] = 1.4076600;
	aaWAG[ 5][15] = 1.0288700;
	aaWAG[ 6][15] = 0.7049390;
	aaWAG[ 7][15] = 1.3418200;
	aaWAG[ 8][15] = 0.7401690;
	aaWAG[ 9][15] = 0.3194400;
	aaWAG[10][15] = 0.3447390;
	aaWAG[11][15] = 0.9671300;
	aaWAG[12][15] = 0.4939050;
	aaWAG[13][15] = 0.5459310;
	aaWAG[14][15] = 1.6132800;
	aaWAG[15][15] = 0.0000000;
	aaWAG[16][15] = 4.3780200;
	aaWAG[17][15] = 0.5237420;
	aaWAG[18][15] = 0.7869930;
	aaWAG[19][15] = 0.2327390;
	aaWAG[ 0][16] = 2.1211100;
	aaWAG[ 1][16] = 0.5544130;
	aaWAG[ 2][16] = 2.0300600;
	aaWAG[ 3][16] = 0.3748660;
	aaWAG[ 4][16] = 0.5129840;
	aaWAG[ 5][16] = 0.8579280;
	aaWAG[ 6][16] = 0.8227650;
	aaWAG[ 7][16] = 0.2258330;
	aaWAG[ 8][16] = 0.4733070;
	aaWAG[ 9][16] = 1.4581600;
	aaWAG[10][16] = 0.3266220;
	aaWAG[11][16] = 1.3869800;
	aaWAG[12][16] = 1.5161200;
	aaWAG[13][16] = 0.1719030;
	aaWAG[14][16] = 0.7953840;
	aaWAG[15][16] = 4.3780200;
	aaWAG[16][16] = 0.0000000;
	aaWAG[17][16] = 0.1108640;
	aaWAG[18][16] = 0.2911480;
	aaWAG[19][16] = 1.3882300;
	aaWAG[ 0][17] = 0.1131330;
	aaWAG[ 1][17] = 1.1639200;
	aaWAG[ 2][17] = 0.0719167;
	aaWAG[ 3][17] = 0.1297670;
	aaWAG[ 4][17] = 0.7170700;
	aaWAG[ 5][17] = 0.2157370;
	aaWAG[ 6][17] = 0.1565570;
	aaWAG[ 7][17] = 0.3369830;
	aaWAG[ 8][17] = 0.2625690;
	aaWAG[ 9][17] = 0.2124830;
	aaWAG[10][17] = 0.6653090;
	aaWAG[11][17] = 0.1375050;
	aaWAG[12][17] = 0.5157060;
	aaWAG[13][17] = 1.5296400;
	aaWAG[14][17] = 0.1394050;
	aaWAG[15][17] = 0.5237420;
	aaWAG[16][17] = 0.1108640;
	aaWAG[17][17] = 0.0000000;
	aaWAG[18][17] = 2.4853900;
	aaWAG[19][17] = 0.3653690;
	aaWAG[ 0][18] = 0.2407350;
	aaWAG[ 1][18] = 0.3815330;
	aaWAG[ 2][18] = 1.0860000;
	aaWAG[ 3][18] = 0.3257110;
	aaWAG[ 4][18] = 0.5438330;
	aaWAG[ 5][18] = 0.2277100;
	aaWAG[ 6][18] = 0.1963030;
	aaWAG[ 7][18] = 0.1036040;
	aaWAG[ 8][18] = 3.8734400;
	aaWAG[ 9][18] = 0.4201700;
	aaWAG[10][18] = 0.3986180;
	aaWAG[11][18] = 0.1332640;
	aaWAG[12][18] = 0.4284370;
	aaWAG[13][18] = 6.4542800;
	aaWAG[14][18] = 0.2160460;
	aaWAG[15][18] = 0.7869930;
	aaWAG[16][18] = 0.2911480;
	aaWAG[17][18] = 2.4853900;
	aaWAG[18][18] = 0.0000000;
	aaWAG[19][18] = 0.3147300;
	aaWAG[ 0][19] = 2.0060100;
	aaWAG[ 1][19] = 0.2518490;
	aaWAG[ 2][19] = 0.1962460;
	aaWAG[ 3][19] = 0.1523350;
	aaWAG[ 4][19] = 1.0021400;
	aaWAG[ 5][19] = 0.3012810;
	aaWAG[ 6][19] = 0.5887310;
	aaWAG[ 7][19] = 0.1872470;
	aaWAG[ 8][19] = 0.1183580;
	aaWAG[ 9][19] = 7.8213000;
	aaWAG[10][19] = 1.8003400;
	aaWAG[11][19] = 0.3054340;
	aaWAG[12][19] = 2.0584500;
	aaWAG[13][19] = 0.6498920;
	aaWAG[14][19] = 0.3148870;
	aaWAG[15][19] = 0.2327390;
	aaWAG[16][19] = 1.3882300;
	aaWAG[17][19] = 0.3653690;
	aaWAG[18][19] = 0.3147300;
	aaWAG[19][19] = 0.0000000;
	wagPi[ 0] = 0.08662790;
	wagPi[ 1] = 0.04397200;
	wagPi[ 2] = 0.03908940;
	wagPi[ 3] = 0.05704510;
	wagPi[ 4] = 0.01930780;
	wagPi[ 5] = 0.03672810;
	wagPi[ 6] = 0.05805890;
	wagPi[ 7] = 0.08325180;
	wagPi[ 8] = 0.02443130;
	wagPi[ 9] = 0.04846600;
	wagPi[10] = 0.08620970;
	wagPi[11] = 0.06202860;
	wagPi[12] = 0.01950273;
	wagPi[13] = 0.03843190;
	wagPi[14] = 0.04576310;
	wagPi[15] = 0.06951790;
	wagPi[16] = 0.06101270;
	wagPi[17] = 0.01438590;
	wagPi[18] = 0.03527420;
	wagPi[19] = 0.07089560;

	/* cpRev */
	aacpREV[ 0][ 0] =    0;
	aacpREV[ 0][ 1] =  105;
	aacpREV[ 0][ 2] =  227;
	aacpREV[ 0][ 3] =  175;
	aacpREV[ 0][ 4] =  669;
	aacpREV[ 0][ 5] =  157;
	aacpREV[ 0][ 6] =  499;
	aacpREV[ 0][ 7] =  665;
	aacpREV[ 0][ 8] =   66;
	aacpREV[ 0][ 9] =  145;
	aacpREV[ 0][10] =  197;
	aacpREV[ 0][11] =  236;
	aacpREV[ 0][12] =  185;
	aacpREV[ 0][13] =   68;
	aacpREV[ 0][14] =  490;
	aacpREV[ 0][15] = 2440;
	aacpREV[ 0][16] = 1340;
	aacpREV[ 0][17] =   14;
	aacpREV[ 0][18] =   56;
	aacpREV[ 0][19] =  968;
	aacpREV[ 1][ 0] =  105;
	aacpREV[ 1][ 1] =    0;
	aacpREV[ 1][ 2] =  357;
	aacpREV[ 1][ 3] =   43;
	aacpREV[ 1][ 4] =  823;
	aacpREV[ 1][ 5] = 1745;
	aacpREV[ 1][ 6] =  152;
	aacpREV[ 1][ 7] =  243;
	aacpREV[ 1][ 8] =  715;
	aacpREV[ 1][ 9] =  136;
	aacpREV[ 1][10] =  203;
	aacpREV[ 1][11] = 4482;
	aacpREV[ 1][12] =  125;
	aacpREV[ 1][13] =   53;
	aacpREV[ 1][14] =   87;
	aacpREV[ 1][15] =  385;
	aacpREV[ 1][16] =  314;
	aacpREV[ 1][17] =  230;
	aacpREV[ 1][18] =  323;
	aacpREV[ 1][19] =   92;
	aacpREV[ 2][ 0] =  227;
	aacpREV[ 2][ 1] =  357;
	aacpREV[ 2][ 2] =    0;
	aacpREV[ 2][ 3] = 4435;
	aacpREV[ 2][ 4] =  538;
	aacpREV[ 2][ 5] =  768;
	aacpREV[ 2][ 6] = 1055;
	aacpREV[ 2][ 7] =  653;
	aacpREV[ 2][ 8] = 1405;
	aacpREV[ 2][ 9] =  168;
	aacpREV[ 2][10] =  113;
	aacpREV[ 2][11] = 2430;
	aacpREV[ 2][12] =   61;
	aacpREV[ 2][13] =   97;
	aacpREV[ 2][14] =  173;
	aacpREV[ 2][15] = 2085;
	aacpREV[ 2][16] = 1393;
	aacpREV[ 2][17] =   40;
	aacpREV[ 2][18] =  754;
	aacpREV[ 2][19] =   83;
	aacpREV[ 3][ 0] =  175;
	aacpREV[ 3][ 1] =   43;
	aacpREV[ 3][ 2] = 4435;
	aacpREV[ 3][ 3] =    0;
	aacpREV[ 3][ 4] =   10;
	aacpREV[ 3][ 5] =  400;
	aacpREV[ 3][ 6] = 3691;
	aacpREV[ 3][ 7] =  431;
	aacpREV[ 3][ 8] =  331;
	aacpREV[ 3][ 9] =   10;
	aacpREV[ 3][10] =   10;
	aacpREV[ 3][11] =  412;
	aacpREV[ 3][12] =   47;
	aacpREV[ 3][13] =   22;
	aacpREV[ 3][14] =  170;
	aacpREV[ 3][15] =  590;
	aacpREV[ 3][16] =  266;
	aacpREV[ 3][17] =   18;
	aacpREV[ 3][18] =  281;
	aacpREV[ 3][19] =   75;
	aacpREV[ 4][ 0] =  669;
	aacpREV[ 4][ 1] =  823;
	aacpREV[ 4][ 2] =  538;
	aacpREV[ 4][ 3] =   10;
	aacpREV[ 4][ 4] =    0;
	aacpREV[ 4][ 5] =   10;
	aacpREV[ 4][ 6] =   10;
	aacpREV[ 4][ 7] =  303;
	aacpREV[ 4][ 8] =  441;
	aacpREV[ 4][ 9] =  280;
	aacpREV[ 4][10] =  396;
	aacpREV[ 4][11] =   48;
	aacpREV[ 4][12] =  159;
	aacpREV[ 4][13] =  726;
	aacpREV[ 4][14] =  285;
	aacpREV[ 4][15] = 2331;
	aacpREV[ 4][16] =  576;
	aacpREV[ 4][17] =  435;
	aacpREV[ 4][18] = 1466;
	aacpREV[ 4][19] =  592;
	aacpREV[ 5][ 0] =  157;
	aacpREV[ 5][ 1] = 1745;
	aacpREV[ 5][ 2] =  768;
	aacpREV[ 5][ 3] =  400;
	aacpREV[ 5][ 4] =   10;
	aacpREV[ 5][ 5] =    0;
	aacpREV[ 5][ 6] = 3122;
	aacpREV[ 5][ 7] =  133;
	aacpREV[ 5][ 8] = 1269;
	aacpREV[ 5][ 9] =   92;
	aacpREV[ 5][10] =  286;
	aacpREV[ 5][11] = 3313;
	aacpREV[ 5][12] =  202;
	aacpREV[ 5][13] =   10;
	aacpREV[ 5][14] =  323;
	aacpREV[ 5][15] =  396;
	aacpREV[ 5][16] =  241;
	aacpREV[ 5][17] =   53;
	aacpREV[ 5][18] =  391;
	aacpREV[ 5][19] =   54;
	aacpREV[ 6][ 0] =  499;
	aacpREV[ 6][ 1] =  152;
	aacpREV[ 6][ 2] = 1055;
	aacpREV[ 6][ 3] = 3691;
	aacpREV[ 6][ 4] =   10;
	aacpREV[ 6][ 5] = 3122;
	aacpREV[ 6][ 6] =    0;
	aacpREV[ 6][ 7] =  379;
	aacpREV[ 6][ 8] =  162;
	aacpREV[ 6][ 9] =  148;
	aacpREV[ 6][10] =   82;
	aacpREV[ 6][11] = 2629;
	aacpREV[ 6][12] =  113;
	aacpREV[ 6][13] =  145;
	aacpREV[ 6][14] =  185;
	aacpREV[ 6][15] =  568;
	aacpREV[ 6][16] =  369;
	aacpREV[ 6][17] =   63;
	aacpREV[ 6][18] =  142;
	aacpREV[ 6][19] =  200;
	aacpREV[ 7][ 0] =  665;
	aacpREV[ 7][ 1] =  243;
	aacpREV[ 7][ 2] =  653;
	aacpREV[ 7][ 3] =  431;
	aacpREV[ 7][ 4] =  303;
	aacpREV[ 7][ 5] =  133;
	aacpREV[ 7][ 6] =  379;
	aacpREV[ 7][ 7] =    0;
	aacpREV[ 7][ 8] =   19;
	aacpREV[ 7][ 9] =   40;
	aacpREV[ 7][10] =   20;
	aacpREV[ 7][11] =  263;
	aacpREV[ 7][12] =   21;
	aacpREV[ 7][13] =   25;
	aacpREV[ 7][14] =   28;
	aacpREV[ 7][15] =  691;
	aacpREV[ 7][16] =   92;
	aacpREV[ 7][17] =   82;
	aacpREV[ 7][18] =   10;
	aacpREV[ 7][19] =   91;
	aacpREV[ 8][ 0] =   66;
	aacpREV[ 8][ 1] =  715;
	aacpREV[ 8][ 2] = 1405;
	aacpREV[ 8][ 3] =  331;
	aacpREV[ 8][ 4] =  441;
	aacpREV[ 8][ 5] = 1269;
	aacpREV[ 8][ 6] =  162;
	aacpREV[ 8][ 7] =   19;
	aacpREV[ 8][ 8] =    0;
	aacpREV[ 8][ 9] =   29;
	aacpREV[ 8][10] =   66;
	aacpREV[ 8][11] =  305;
	aacpREV[ 8][12] =   10;
	aacpREV[ 8][13] =  127;
	aacpREV[ 8][14] =  152;
	aacpREV[ 8][15] =  303;
	aacpREV[ 8][16] =   32;
	aacpREV[ 8][17] =   69;
	aacpREV[ 8][18] = 1971;
	aacpREV[ 8][19] =   25;
	aacpREV[ 9][ 0] =  145;
	aacpREV[ 9][ 1] =  136;
	aacpREV[ 9][ 2] =  168;
	aacpREV[ 9][ 3] =   10;
	aacpREV[ 9][ 4] =  280;
	aacpREV[ 9][ 5] =   92;
	aacpREV[ 9][ 6] =  148;
	aacpREV[ 9][ 7] =   40;
	aacpREV[ 9][ 8] =   29;
	aacpREV[ 9][ 9] =    0;
	aacpREV[ 9][10] = 1745;
	aacpREV[ 9][11] =  345;
	aacpREV[ 9][12] = 1772;
	aacpREV[ 9][13] =  454;
	aacpREV[ 9][14] =  117;
	aacpREV[ 9][15] =  216;
	aacpREV[ 9][16] = 1040;
	aacpREV[ 9][17] =   42;
	aacpREV[ 9][18] =   89;
	aacpREV[ 9][19] = 4797;
	aacpREV[10][ 0] =  197;
	aacpREV[10][ 1] =  203;
	aacpREV[10][ 2] =  113;
	aacpREV[10][ 3] =   10;
	aacpREV[10][ 4] =  396;
	aacpREV[10][ 5] =  286;
	aacpREV[10][ 6] =   82;
	aacpREV[10][ 7] =   20;
	aacpREV[10][ 8] =   66;
	aacpREV[10][ 9] = 1745;
	aacpREV[10][10] =    0;
	aacpREV[10][11] =  218;
	aacpREV[10][12] = 1351;
	aacpREV[10][13] = 1268;
	aacpREV[10][14] =  219;
	aacpREV[10][15] =  516;
	aacpREV[10][16] =  156;
	aacpREV[10][17] =  159;
	aacpREV[10][18] =  189;
	aacpREV[10][19] =  865;
	aacpREV[11][ 0] =  236;
	aacpREV[11][ 1] = 4482;
	aacpREV[11][ 2] = 2430;
	aacpREV[11][ 3] =  412;
	aacpREV[11][ 4] =   48;
	aacpREV[11][ 5] = 3313;
	aacpREV[11][ 6] = 2629;
	aacpREV[11][ 7] =  263;
	aacpREV[11][ 8] =  305;
	aacpREV[11][ 9] =  345;
	aacpREV[11][10] =  218;
	aacpREV[11][11] =    0;
	aacpREV[11][12] =  193;
	aacpREV[11][13] =   72;
	aacpREV[11][14] =  302;
	aacpREV[11][15] =  868;
	aacpREV[11][16] =  918;
	aacpREV[11][17] =   10;
	aacpREV[11][18] =  247;
	aacpREV[11][19] =  249;
	aacpREV[12][ 0] =  185;
	aacpREV[12][ 1] =  125;
	aacpREV[12][ 2] =   61;
	aacpREV[12][ 3] =   47;
	aacpREV[12][ 4] =  159;
	aacpREV[12][ 5] =  202;
	aacpREV[12][ 6] =  113;
	aacpREV[12][ 7] =   21;
	aacpREV[12][ 8] =   10;
	aacpREV[12][ 9] = 1772;
	aacpREV[12][10] = 1351;
	aacpREV[12][11] =  193;
	aacpREV[12][12] =    0;
	aacpREV[12][13] =  327;
	aacpREV[12][14] =  100;
	aacpREV[12][15] =   93;
	aacpREV[12][16] =  645;
	aacpREV[12][17] =   86;
	aacpREV[12][18] =  215;
	aacpREV[12][19] =  475;
	aacpREV[13][ 0] =   68;
	aacpREV[13][ 1] =   53;
	aacpREV[13][ 2] =   97;
	aacpREV[13][ 3] =   22;
	aacpREV[13][ 4] =  726;
	aacpREV[13][ 5] =   10;
	aacpREV[13][ 6] =  145;
	aacpREV[13][ 7] =   25;
	aacpREV[13][ 8] =  127;
	aacpREV[13][ 9] =  454;
	aacpREV[13][10] = 1268;
	aacpREV[13][11] =   72;
	aacpREV[13][12] =  327;
	aacpREV[13][13] =    0;
	aacpREV[13][14] =   43;
	aacpREV[13][15] =  487;
	aacpREV[13][16] =  148;
	aacpREV[13][17] =  468;
	aacpREV[13][18] = 2370;
	aacpREV[13][19] =  317;
	aacpREV[14][ 0] =  490;
	aacpREV[14][ 1] =   87;
	aacpREV[14][ 2] =  173;
	aacpREV[14][ 3] =  170;
	aacpREV[14][ 4] =  285;
	aacpREV[14][ 5] =  323;
	aacpREV[14][ 6] =  185;
	aacpREV[14][ 7] =   28;
	aacpREV[14][ 8] =  152;
	aacpREV[14][ 9] =  117;
	aacpREV[14][10] =  219;
	aacpREV[14][11] =  302;
	aacpREV[14][12] =  100;
	aacpREV[14][13] =   43;
	aacpREV[14][14] =    0;
	aacpREV[14][15] = 1202;
	aacpREV[14][16] =  260;
	aacpREV[14][17] =   49;
	aacpREV[14][18] =   97;
	aacpREV[14][19] =  122;
	aacpREV[15][ 0] = 2440;
	aacpREV[15][ 1] =  385;
	aacpREV[15][ 2] = 2085;
	aacpREV[15][ 3] =  590;
	aacpREV[15][ 4] = 2331;
	aacpREV[15][ 5] =  396;
	aacpREV[15][ 6] =  568;
	aacpREV[15][ 7] =  691;
	aacpREV[15][ 8] =  303;
	aacpREV[15][ 9] =  216;
	aacpREV[15][10] =  516;
	aacpREV[15][11] =  868;
	aacpREV[15][12] =   93;
	aacpREV[15][13] =  487;
	aacpREV[15][14] = 1202;
	aacpREV[15][15] =    0;
	aacpREV[15][16] = 2151;
	aacpREV[15][17] =   73;
	aacpREV[15][18] =  522;
	aacpREV[15][19] =  167;
	aacpREV[16][ 0] = 1340;
	aacpREV[16][ 1] =  314;
	aacpREV[16][ 2] = 1393;
	aacpREV[16][ 3] =  266;
	aacpREV[16][ 4] =  576;
	aacpREV[16][ 5] =  241;
	aacpREV[16][ 6] =  369;
	aacpREV[16][ 7] =   92;
	aacpREV[16][ 8] =   32;
	aacpREV[16][ 9] = 1040;
	aacpREV[16][10] =  156;
	aacpREV[16][11] =  918;
	aacpREV[16][12] =  645;
	aacpREV[16][13] =  148;
	aacpREV[16][14] =  260;
	aacpREV[16][15] = 2151;
	aacpREV[16][16] =    0;
	aacpREV[16][17] =   29;
	aacpREV[16][18] =   71;
	aacpREV[16][19] =  760;
	aacpREV[17][ 0] =   14;
	aacpREV[17][ 1] =  230;
	aacpREV[17][ 2] =   40;
	aacpREV[17][ 3] =   18;
	aacpREV[17][ 4] =  435;
	aacpREV[17][ 5] =   53;
	aacpREV[17][ 6] =   63;
	aacpREV[17][ 7] =   82;
	aacpREV[17][ 8] =   69;
	aacpREV[17][ 9] =   42;
	aacpREV[17][10] =  159;
	aacpREV[17][11] =   10;
	aacpREV[17][12] =   86;
	aacpREV[17][13] =  468;
	aacpREV[17][14] =   49;
	aacpREV[17][15] =   73;
	aacpREV[17][16] =   29;
	aacpREV[17][17] =    0;
	aacpREV[17][18] =  346;
	aacpREV[17][19] =   10;
	aacpREV[18][ 0] =   56;
	aacpREV[18][ 1] =  323;
	aacpREV[18][ 2] =  754;
	aacpREV[18][ 3] =  281;
	aacpREV[18][ 4] = 1466;
	aacpREV[18][ 5] =  391;
	aacpREV[18][ 6] =  142;
	aacpREV[18][ 7] =   10;
	aacpREV[18][ 8] = 1971;
	aacpREV[18][ 9] =   89;
	aacpREV[18][10] =  189;
	aacpREV[18][11] =  247;
	aacpREV[18][12] =  215;
	aacpREV[18][13] = 2370;
	aacpREV[18][14] =   97;
	aacpREV[18][15] =  522;
	aacpREV[18][16] =   71;
	aacpREV[18][17] =  346;
	aacpREV[18][18] =    0;
	aacpREV[18][19] =  119;
	aacpREV[19][ 0] =  968;
	aacpREV[19][ 1] =   92;
	aacpREV[19][ 2] =   83;
	aacpREV[19][ 3] =   75;
	aacpREV[19][ 4] =  592;
	aacpREV[19][ 5] =   54;
	aacpREV[19][ 6] =  200;
	aacpREV[19][ 7] =   91;
	aacpREV[19][ 8] =   25;
	aacpREV[19][ 9] = 4797;
	aacpREV[19][10] =  865;
	aacpREV[19][11] =  249;
	aacpREV[19][12] =  475;
	aacpREV[19][13] =  317;
	aacpREV[19][14] =  122;
	aacpREV[19][15] =  167;
	aacpREV[19][16] =  760;
	aacpREV[19][17] =   10;
	aacpREV[19][18] =  119;
	aacpREV[19][19] =    0;

	cprevPi[0] = 0.076;
	cprevPi[1] = 0.062;
	cprevPi[2] = 0.041;
	cprevPi[3] = 0.037;
	cprevPi[4] = 0.009;
	cprevPi[5] = 0.038;
	cprevPi[6] = 0.049;
	cprevPi[7] = 0.084;
	cprevPi[8] = 0.025;
	cprevPi[9] = 0.081;
	cprevPi[10] = 0.101;
	cprevPi[11] = 0.050;
	cprevPi[12] = 0.022;
	cprevPi[13] = 0.051;
	cprevPi[14] = 0.043;
	cprevPi[15] = 0.062;
	cprevPi[16] = 0.054;
	cprevPi[17] = 0.018;
	cprevPi[18] = 0.031;
	cprevPi[19] = 0.066;

	/* VT model */
	aaVt[ 0][ 0] = 0;
	aaVt[ 0][ 1] = 1.24126910678761;
	aaVt[ 0][ 2] = 1.21842379534989;
	aaVt[ 0][ 3] = 1.37593685094411;
	aaVt[ 0][ 4] = 2.47312230875448;
	aaVt[ 0][ 5] = 2.21551678051374;
	aaVt[ 0][ 6] = 2.3379911207495;
	aaVt[ 0][ 7] = 3.33865551464576;
	aaVt[ 0][ 8] = 0.961584192691084;
	aaVt[ 0][ 9] = 0.890820306192551;
	aaVt[ 0][10] = 1.0778497408764;
	aaVt[ 0][11] = 1.49320558163724;
	aaVt[ 0][12] = 1.90064559617176;
	aaVt[ 0][13] = 0.688343902687261;
	aaVt[ 0][14] = 2.73556200899535;
	aaVt[ 0][15] = 6.42089618591428;
	aaVt[ 0][16] = 5.28925141697764;
	aaVt[ 0][17] = 0.548857847810693;
	aaVt[ 0][18] = 0.541176991665777;
	aaVt[ 0][19] = 4.65018946918032;
	aaVt[ 1][ 0] = 1.24126910678761;
	aaVt[ 1][ 1] = 0;
	aaVt[ 1][ 2] = 1.57207707533268;
	aaVt[ 1][ 3] = 0.75506544390012;
	aaVt[ 1][ 4] = 1.44142625674284;
	aaVt[ 1][ 5] = 5.51208197052486;
	aaVt[ 1][ 6] = 1.35424048606131;
	aaVt[ 1][ 7] = 1.3121700301622;
	aaVt[ 1][ 8] = 4.92386682839452;
	aaVt[ 1][ 9] = 0.432300548792551;
	aaVt[ 1][10] = 0.838670114915826;
	aaVt[ 1][11] = 10.017330817366;
	aaVt[ 1][12] = 1.24886386896099;
	aaVt[ 1][13] = 0.422494519727629;
	aaVt[ 1][14] = 1.30918377824207;
	aaVt[ 1][15] = 1.92029942623161;
	aaVt[ 1][16] = 1.33634017405606;
	aaVt[ 1][17] = 1.51701421539628;
	aaVt[ 1][18] = 0.89126144045654;
	aaVt[ 1][19] = 0.780701785580676;
	aaVt[ 2][ 0] = 1.21842379534989;
	aaVt[ 2][ 1] = 1.57207707533268;
	aaVt[ 2][ 2] = 0;
	aaVt[ 2][ 3] = 7.85842191536894;
	aaVt[ 2][ 4] = 0.978467912277412;
	aaVt[ 2][ 5] = 3.01432016709248;
	aaVt[ 2][ 6] = 2.00934347783981;
	aaVt[ 2][ 7] = 2.41176328988618;
	aaVt[ 2][ 8] = 6.19743849778841;
	aaVt[ 2][ 9] = 0.917929117533152;
	aaVt[ 2][10] = 0.409831127081601;
	aaVt[ 2][11] = 4.40345475789625;
	aaVt[ 2][12] = 0.937880370616514;
	aaVt[ 2][13] = 0.504494427332431;
	aaVt[ 2][14] = 0.710372053197473;
	aaVt[ 2][15] = 6.12345123968017;
	aaVt[ 2][16] = 3.88525061059222;
	aaVt[ 2][17] = 0.180852575260597;
	aaVt[ 2][18] = 1.08949265815113;
	aaVt[ 2][19] = 0.458606198171996;
	aaVt[ 3][ 0] = 1.37593685094411;
	aaVt[ 3][ 1] = 0.75506544390012;
	aaVt[ 3][ 2] = 7.85842191536894;
	aaVt[ 3][ 3] = 0;
	aaVt[ 3][ 4] = 0.227248844812147;
	aaVt[ 3][ 5] = 1.6562495638176;
	aaVt[ 3][ 6] = 9.6883451875685;
	aaVt[ 3][ 7] = 1.91420790259902;
	aaVt[ 3][ 8] = 2.14596406101337;
	aaVt[ 3][ 9] = 0.216166037272558;
	aaVt[ 3][10] = 0.357420746899851;
	aaVt[ 3][11] = 1.45217905616639;
	aaVt[ 3][12] = 0.407523992600089;
	aaVt[ 3][13] = 0.167512972455925;
	aaVt[ 3][14] = 1.07146059795775;
	aaVt[ 3][15] = 2.21619445967418;
	aaVt[ 3][16] = 1.50668398729447;
	aaVt[ 3][17] = 0.249658418815177;
	aaVt[ 3][18] = 0.744762089178451;
	aaVt[ 3][19] = 0.459453524166091;
	aaVt[ 4][ 0] = 2.47312230875448;
	aaVt[ 4][ 1] = 1.44142625674284;
	aaVt[ 4][ 2] = 0.978467912277412;
	aaVt[ 4][ 3] = 0.227248844812147;
	aaVt[ 4][ 4] = 0;
	aaVt[ 4][ 5] = 0.458746912674613;
	aaVt[ 4][ 6] = 0.451916794319267;
	aaVt[ 4][ 7] = 1.10346056844725;
	aaVt[ 4][ 8] = 1.51967567593806;
	aaVt[ 4][ 9] = 0.912666803253931;
	aaVt[ 4][10] = 1.40813159984136;
	aaVt[ 4][11] = 0.337109178564747;
	aaVt[ 4][12] = 1.22130548008115;
	aaVt[ 4][13] = 1.6953951980808;
	aaVt[ 4][14] = 0.432622707864552;
	aaVt[ 4][15] = 3.63668154087442;
	aaVt[ 4][16] = 1.75570652058376;
	aaVt[ 4][17] = 1.62751798912531;
	aaVt[ 4][18] = 2.1579775140421;
	aaVt[ 4][19] = 2.26274569962908;
	aaVt[ 5][ 0] = 2.21551678051374;
	aaVt[ 5][ 1] = 5.51208197052486;
	aaVt[ 5][ 2] = 3.01432016709248;
	aaVt[ 5][ 3] = 1.6562495638176;
	aaVt[ 5][ 4] = 0.458746912674613;
	aaVt[ 5][ 5] = 0;
	aaVt[ 5][ 6] = 6.81246018399376;
	aaVt[ 5][ 7] = 0.87761105947655;
	aaVt[ 5][ 8] = 7.99432285649465;
	aaVt[ 5][ 9] = 0.488273343287992;
	aaVt[ 5][10] = 1.3318097154194;
	aaVt[ 5][11] = 6.05190852431188;
	aaVt[ 5][12] = 1.9106190827629;
	aaVt[ 5][13] = 0.357343252249954;
	aaVt[ 5][14] = 2.30191777283007;
	aaVt[ 5][15] = 2.31937036432372;
	aaVt[ 5][16] = 2.15765101034714;
	aaVt[ 5][17] = 0.895908268154618;
	aaVt[ 5][18] = 0.918359680141275;
	aaVt[ 5][19] = 0.636693250139686;
	aaVt[ 6][ 0] = 2.3379911207495;
	aaVt[ 6][ 1] = 1.35424048606131;
	aaVt[ 6][ 2] = 2.00934347783981;
	aaVt[ 6][ 3] = 9.6883451875685;
	aaVt[ 6][ 4] = 0.451916794319267;
	aaVt[ 6][ 5] = 6.81246018399376;
	aaVt[ 6][ 6] = 0;
	aaVt[ 6][ 7] = 1.3860121390169;
	aaVt[ 6][ 8] = 1.63600796885223;
	aaVt[ 6][ 9] = 0.403549792963332;
	aaVt[ 6][10] = 0.561071724229475;
	aaVt[ 6][11] = 4.32900865295828;
	aaVt[ 6][12] = 0.747193621806849;
	aaVt[ 6][13] = 0.231719438769158;
	aaVt[ 6][14] = 1.5132807416252;
	aaVt[ 6][15] = 1.82735355877735;
	aaVt[ 6][16] = 1.58399817085846;
	aaVt[ 6][17] = 0.419839114811109;
	aaVt[ 6][18] = 0.581811133178276;
	aaVt[ 6][19] = 0.894057287554733;
	aaVt[ 7][ 0] = 3.33865551464576;
	aaVt[ 7][ 1] = 1.3121700301622;
	aaVt[ 7][ 2] = 2.41176328988618;
	aaVt[ 7][ 3] = 1.91420790259902;
	aaVt[ 7][ 4] = 1.10346056844725;
	aaVt[ 7][ 5] = 0.87761105947655;
	aaVt[ 7][ 6] = 1.3860121390169;
	aaVt[ 7][ 7] = 0;
	aaVt[ 7][ 8] = 0.856124897304503;
	aaVt[ 7][ 9] = 0.288807503303748;
	aaVt[ 7][10] = 0.357866239574552;
	aaVt[ 7][11] = 0.894556366234519;
	aaVt[ 7][12] = 0.595481279174003;
	aaVt[ 7][13] = 0.369372264098046;
	aaVt[ 7][14] = 0.774493361813496;
	aaVt[ 7][15] = 3.06377761937176;
	aaVt[ 7][16] = 0.714748967626738;
	aaVt[ 7][17] = 0.934975359559876;
	aaVt[ 7][18] = 0.337446764972447;
	aaVt[ 7][19] = 0.619332103417391;
	aaVt[ 8][ 0] = 0.961584192691084;
	aaVt[ 8][ 1] = 4.92386682839452;
	aaVt[ 8][ 2] = 6.19743849778841;
	aaVt[ 8][ 3] = 2.14596406101337;
	aaVt[ 8][ 4] = 1.51967567593806;
	aaVt[ 8][ 5] = 7.99432285649465;
	aaVt[ 8][ 6] = 1.63600796885223;
	aaVt[ 8][ 7] = 0.856124897304503;
	aaVt[ 8][ 8] = 0;
	aaVt[ 8][ 9] = 0.578793711540794;
	aaVt[ 8][10] = 1.0765007949562;
	aaVt[ 8][11] = 1.80851360960392;
	aaVt[ 8][12] = 1.38082917100196;
	aaVt[ 8][13] = 1.3629765501081;
	aaVt[ 8][14] = 1.83705558520706;
	aaVt[ 8][15] = 1.96998951873875;
	aaVt[ 8][16] = 1.61366545732856;
	aaVt[ 8][17] = 0.63019546843603;
	aaVt[ 8][18] = 7.7587442309146;
	aaVt[ 8][19] = 0.533322094403034;
	aaVt[ 9][ 0] = 0.890820306192551;
	aaVt[ 9][ 1] = 0.432300548792551;
	aaVt[ 9][ 2] = 0.917929117533152;
	aaVt[ 9][ 3] = 0.216166037272558;
	aaVt[ 9][ 4] = 0.912666803253931;
	aaVt[ 9][ 5] = 0.488273343287992;
	aaVt[ 9][ 6] = 0.403549792963332;
	aaVt[ 9][ 7] = 0.288807503303748;
	aaVt[ 9][ 8] = 0.578793711540794;
	aaVt[ 9][ 9] = 0;
	aaVt[ 9][10] = 6.00191102584263;
	aaVt[ 9][11] = 0.624429752512713;
	aaVt[ 9][12] = 6.75978997720454;
	aaVt[ 9][13] = 2.2864286949316;
	aaVt[ 9][14] = 0.481140238791114;
	aaVt[ 9][15] = 0.604749150750474;
	aaVt[ 9][16] = 2.63447783844427;
	aaVt[ 9][17] = 0.560464827406078;
	aaVt[ 9][18] = 0.862679604415627;
	aaVt[ 9][19] = 14.872933461519;
	aaVt[10][ 0] = 1.0778497408764;
	aaVt[10][ 1] = 0.838670114915826;
	aaVt[10][ 2] = 0.409831127081601;
	aaVt[10][ 3] = 0.357420746899851;
	aaVt[10][ 4] = 1.40813159984136;
	aaVt[10][ 5] = 1.3318097154194;
	aaVt[10][ 6] = 0.561071724229475;
	aaVt[10][ 7] = 0.357866239574552;
	aaVt[10][ 8] = 1.0765007949562;
	aaVt[10][ 9] = 6.00191102584263;
	aaVt[10][10] = 0;
	aaVt[10][11] = 0.564232288255632;
	aaVt[10][12] = 8.03277929474211;
	aaVt[10][13] = 4.36115480635557;
	aaVt[10][14] = 1.00843205198373;
	aaVt[10][15] = 0.895375466926981;
	aaVt[10][16] = 1.01920043725065;
	aaVt[10][17] = 1.51831144346793;
	aaVt[10][18] = 1.24522432245413;
	aaVt[10][19] = 3.54580932766672;
	aaVt[11][ 0] = 1.49320558163724;
	aaVt[11][ 1] = 10.017330817366;
	aaVt[11][ 2] = 4.40345475789625;
	aaVt[11][ 3] = 1.45217905616639;
	aaVt[11][ 4] = 0.337109178564747;
	aaVt[11][ 5] = 6.05190852431188;
	aaVt[11][ 6] = 4.32900865295828;
	aaVt[11][ 7] = 0.894556366234519;
	aaVt[11][ 8] = 1.80851360960392;
	aaVt[11][ 9] = 0.624429752512713;
	aaVt[11][10] = 0.564232288255632;
	aaVt[11][11] = 0;
	aaVt[11][12] = 1.71296709769162;
	aaVt[11][13] = 0.391055990383482;
	aaVt[11][14] = 1.39189355935828;
	aaVt[11][15] = 1.97766301409122;
	aaVt[11][16] = 2.55137813126602;
	aaVt[11][17] = 0.585192087949017;
	aaVt[11][18] = 0.783544753371044;
	aaVt[11][19] = 0.780108033599127;
	aaVt[12][ 0] = 1.90064559617176;
	aaVt[12][ 1] = 1.24886386896099;
	aaVt[12][ 2] = 0.937880370616514;
	aaVt[12][ 3] = 0.407523992600089;
	aaVt[12][ 4] = 1.22130548008115;
	aaVt[12][ 5] = 1.9106190827629;
	aaVt[12][ 6] = 0.747193621806849;
	aaVt[12][ 7] = 0.595481279174003;
	aaVt[12][ 8] = 1.38082917100196;
	aaVt[12][ 9] = 6.75978997720454;
	aaVt[12][10] = 8.03277929474211;
	aaVt[12][11] = 1.71296709769162;
	aaVt[12][12] = 0;
	aaVt[12][13] = 2.32013735462963;
	aaVt[12][14] = 0.495319380867628;
	aaVt[12][15] = 1.06574823180768;
	aaVt[12][16] = 3.36284883604623;
	aaVt[12][17] = 1.4680478689711;
	aaVt[12][18] = 1.08991657709568;
	aaVt[12][19] = 4.05845771567534;
	aaVt[13][ 0] = 0.688343902687261;
	aaVt[13][ 1] = 0.422494519727629;
	aaVt[13][ 2] = 0.504494427332431;
	aaVt[13][ 3] = 0.167512972455925;
	aaVt[13][ 4] = 1.6953951980808;
	aaVt[13][ 5] = 0.357343252249954;
	aaVt[13][ 6] = 0.231719438769158;
	aaVt[13][ 7] = 0.369372264098046;
	aaVt[13][ 8] = 1.3629765501081;
	aaVt[13][ 9] = 2.2864286949316;
	aaVt[13][10] = 4.36115480635557;
	aaVt[13][11] = 0.391055990383482;
	aaVt[13][12] = 2.32013735462963;
	aaVt[13][13] = 0;
	aaVt[13][14] = 0.374682110796212;
	aaVt[13][15] = 1.10791447006064;
	aaVt[13][16] = 0.688272590887225;
	aaVt[13][17] = 3.34484372397722;
	aaVt[13][18] = 10.3848523331334;
	aaVt[13][19] = 1.70397305226754;
	aaVt[14][ 0] = 2.73556200899535;
	aaVt[14][ 1] = 1.30918377824207;
	aaVt[14][ 2] = 0.710372053197473;
	aaVt[14][ 3] = 1.07146059795775;
	aaVt[14][ 4] = 0.432622707864552;
	aaVt[14][ 5] = 2.30191777283007;
	aaVt[14][ 6] = 1.5132807416252;
	aaVt[14][ 7] = 0.774493361813496;
	aaVt[14][ 8] = 1.83705558520706;
	aaVt[14][ 9] = 0.481140238791114;
	aaVt[14][10] = 1.00843205198373;
	aaVt[14][11] = 1.39189355935828;
	aaVt[14][12] = 0.495319380867628;
	aaVt[14][13] = 0.374682110796212;
	aaVt[14][14] = 0;
	aaVt[14][15] = 3.54659148436289;
	aaVt[14][16] = 1.94853766731375;
	aaVt[14][17] = 0.432605800143878;
	aaVt[14][18] = 0.481910901964746;
	aaVt[14][19] = 0.598549891298566;
	aaVt[15][ 0] = 6.42089618591428;
	aaVt[15][ 1] = 1.92029942623161;
	aaVt[15][ 2] = 6.12345123968017;
	aaVt[15][ 3] = 2.21619445967418;
	aaVt[15][ 4] = 3.63668154087442;
	aaVt[15][ 5] = 2.31937036432372;
	aaVt[15][ 6] = 1.82735355877735;
	aaVt[15][ 7] = 3.06377761937176;
	aaVt[15][ 8] = 1.96998951873875;
	aaVt[15][ 9] = 0.604749150750474;
	aaVt[15][10] = 0.895375466926981;
	aaVt[15][11] = 1.97766301409122;
	aaVt[15][12] = 1.06574823180768;
	aaVt[15][13] = 1.10791447006064;
	aaVt[15][14] = 3.54659148436289;
	aaVt[15][15] = 0;
	aaVt[15][16] = 8.84799840612481;
	aaVt[15][17] = 0.679112659593981;
	aaVt[15][18] = 0.954722930595868;
	aaVt[15][19] = 0.93052321130282;
	aaVt[16][ 0] = 5.28925141697764;
	aaVt[16][ 1] = 1.33634017405606;
	aaVt[16][ 2] = 3.88525061059222;
	aaVt[16][ 3] = 1.50668398729447;
	aaVt[16][ 4] = 1.75570652058376;
	aaVt[16][ 5] = 2.15765101034714;
	aaVt[16][ 6] = 1.58399817085846;
	aaVt[16][ 7] = 0.714748967626738;
	aaVt[16][ 8] = 1.61366545732856;
	aaVt[16][ 9] = 2.63447783844427;
	aaVt[16][10] = 1.01920043725065;
	aaVt[16][11] = 2.55137813126602;
	aaVt[16][12] = 3.36284883604623;
	aaVt[16][13] = 0.688272590887225;
	aaVt[16][14] = 1.94853766731375;
	aaVt[16][15] = 8.84799840612481;
	aaVt[16][16] = 0;
	aaVt[16][17] = 0.451420309937647;
	aaVt[16][18] = 0.856431418469121;
	aaVt[16][19] = 3.42422184508655;
	aaVt[17][ 0] = 0.548857847810693;
	aaVt[17][ 1] = 1.51701421539628;
	aaVt[17][ 2] = 0.180852575260597;
	aaVt[17][ 3] = 0.249658418815177;
	aaVt[17][ 4] = 1.62751798912531;
	aaVt[17][ 5] = 0.895908268154618;
	aaVt[17][ 6] = 0.419839114811109;
	aaVt[17][ 7] = 0.934975359559876;
	aaVt[17][ 8] = 0.63019546843603;
	aaVt[17][ 9] = 0.560464827406078;
	aaVt[17][10] = 1.51831144346793;
	aaVt[17][11] = 0.585192087949017;
	aaVt[17][12] = 1.4680478689711;
	aaVt[17][13] = 3.34484372397722;
	aaVt[17][14] = 0.432605800143878;
	aaVt[17][15] = 0.679112659593981;
	aaVt[17][16] = 0.451420309937647;
	aaVt[17][17] = 0;
	aaVt[17][18] = 4.53772357904053;
	aaVt[17][19] = 0.565896924903264;
	aaVt[18][ 0] = 0.541176991665777;
	aaVt[18][ 1] = 0.89126144045654;
	aaVt[18][ 2] = 1.08949265815113;
	aaVt[18][ 3] = 0.744762089178451;
	aaVt[18][ 4] = 2.1579775140421;
	aaVt[18][ 5] = 0.918359680141275;
	aaVt[18][ 6] = 0.581811133178276;
	aaVt[18][ 7] = 0.337446764972447;
	aaVt[18][ 8] = 7.7587442309146;
	aaVt[18][ 9] = 0.862679604415627;
	aaVt[18][10] = 1.24522432245413;
	aaVt[18][11] = 0.783544753371044;
	aaVt[18][12] = 1.08991657709568;
	aaVt[18][13] = 10.3848523331334;
	aaVt[18][14] = 0.481910901964746;
	aaVt[18][15] = 0.954722930595868;
	aaVt[18][16] = 0.856431418469121;
	aaVt[18][17] = 4.53772357904053;
	aaVt[18][18] = 0;
	aaVt[18][19] = 1;
	aaVt[19][ 0] = 4.65018946918032;
	aaVt[19][ 1] = 0.780701785580676;
	aaVt[19][ 2] = 0.458606198171996;
	aaVt[19][ 3] = 0.459453524166091;
	aaVt[19][ 4] = 2.26274569962908;
	aaVt[19][ 5] = 0.636693250139686;
	aaVt[19][ 6] = 0.894057287554733;
	aaVt[19][ 7] = 0.619332103417391;
	aaVt[19][ 8] = 0.533322094403034;
	aaVt[19][ 9] = 14.872933461519;
	aaVt[19][10] = 3.54580932766672;
	aaVt[19][11] = 0.780108033599127;
	aaVt[19][12] = 4.05845771567534;
	aaVt[19][13] = 1.70397305226754;
	aaVt[19][14] = 0.598549891298566;
	aaVt[19][15] = 0.93052321130282;
	aaVt[19][16] = 3.42422184508655;
	aaVt[19][17] = 0.565896924903264;
	aaVt[19][18] = 1;
	aaVt[19][19] = 0;

	vtPi[ 0] = 0.0770764620135024;
	vtPi[ 1] = 0.0500819370772208;
	vtPi[ 2] = 0.0462377395993731;
	vtPi[ 3] = 0.0537929860758246;
	vtPi[ 4] = 0.0144533387583345;
	vtPi[ 5] = 0.0408923608974345;
	vtPi[ 6] = 0.0633579339160905;
	vtPi[ 7] = 0.0655672355884439;
	vtPi[ 8] = 0.0218802687005936;
	vtPi[ 9] = 0.0591969699027449;
	vtPi[10] = 0.0976461276528445;
	vtPi[11] = 0.0592079410822730;
	vtPi[12] = 0.0220695876653368;
	vtPi[13] = 0.0413508521834260;
	vtPi[14] = 0.0476871596856874;
	vtPi[15] = 0.0707295165111524;
	vtPi[16] = 0.0567759161524817;
	vtPi[17] = 0.0127019797647213;
	vtPi[18] = 0.0323746050281867;
	vtPi[19] = 0.0669190817443274;

	/* Blosum62 */
	aaBlosum[ 0][ 0] = 0.000000000000;
	aaBlosum[ 0][ 1] = 0.735790389698;
	aaBlosum[ 0][ 2] = 0.485391055466;
	aaBlosum[ 0][ 3] = 0.543161820899;
	aaBlosum[ 0][ 4] = 1.459995310470;
	aaBlosum[ 0][ 5] = 1.199705704602;
	aaBlosum[ 0][ 6] = 1.170949042800;
	aaBlosum[ 0][ 7] = 1.955883574960;
	aaBlosum[ 0][ 8] = 0.716241444998;
	aaBlosum[ 0][ 9] = 0.605899003687;
	aaBlosum[ 0][10] = 0.800016530518;
	aaBlosum[ 0][11] = 1.295201266783;
	aaBlosum[ 0][12] = 1.253758266664;
	aaBlosum[ 0][13] = 0.492964679748;
	aaBlosum[ 0][14] = 1.173275900924;
	aaBlosum[ 0][15] = 4.325092687057;
	aaBlosum[ 0][16] = 1.729178019485;
	aaBlosum[ 0][17] = 0.465839367725;
	aaBlosum[ 0][18] = 0.718206697586;
	aaBlosum[ 0][19] = 2.187774522005;
	aaBlosum[ 1][ 0] = 0.735790389698;
	aaBlosum[ 1][ 1] = 0.000000000000;
	aaBlosum[ 1][ 2] = 1.297446705134;
	aaBlosum[ 1][ 3] = 0.500964408555;
	aaBlosum[ 1][ 4] = 0.227826574209;
	aaBlosum[ 1][ 5] = 3.020833610064;
	aaBlosum[ 1][ 6] = 1.360574190420;
	aaBlosum[ 1][ 7] = 0.418763308518;
	aaBlosum[ 1][ 8] = 1.456141166336;
	aaBlosum[ 1][ 9] = 0.232036445142;
	aaBlosum[ 1][10] = 0.622711669692;
	aaBlosum[ 1][11] = 5.411115141489;
	aaBlosum[ 1][12] = 0.983692987457;
	aaBlosum[ 1][13] = 0.371644693209;
	aaBlosum[ 1][14] = 0.448133661718;
	aaBlosum[ 1][15] = 1.122783104210;
	aaBlosum[ 1][16] = 0.914665954563;
	aaBlosum[ 1][17] = 0.426382310122;
	aaBlosum[ 1][18] = 0.720517441216;
	aaBlosum[ 1][19] = 0.438388343772;
	aaBlosum[ 2][ 0] = 0.485391055466;
	aaBlosum[ 2][ 1] = 1.297446705134;
	aaBlosum[ 2][ 2] = 0.000000000000;
	aaBlosum[ 2][ 3] = 3.180100048216;
	aaBlosum[ 2][ 4] = 0.397358949897;
	aaBlosum[ 2][ 5] = 1.839216146992;
	aaBlosum[ 2][ 6] = 1.240488508640;
	aaBlosum[ 2][ 7] = 1.355872344485;
	aaBlosum[ 2][ 8] = 2.414501434208;
	aaBlosum[ 2][ 9] = 0.283017326278;
	aaBlosum[ 2][10] = 0.211888159615;
	aaBlosum[ 2][11] = 1.593137043457;
	aaBlosum[ 2][12] = 0.648441278787;
	aaBlosum[ 2][13] = 0.354861249223;
	aaBlosum[ 2][14] = 0.494887043702;
	aaBlosum[ 2][15] = 2.904101656456;
	aaBlosum[ 2][16] = 1.898173634533;
	aaBlosum[ 2][17] = 0.191482046247;
	aaBlosum[ 2][18] = 0.538222519037;
	aaBlosum[ 2][19] = 0.312858797993;
	aaBlosum[ 3][ 0] = 0.543161820899;
	aaBlosum[ 3][ 1] = 0.500964408555;
	aaBlosum[ 3][ 2] = 3.180100048216;
	aaBlosum[ 3][ 3] = 0.000000000000;
	aaBlosum[ 3][ 4] = 0.240836614802;
	aaBlosum[ 3][ 5] = 1.190945703396;
	aaBlosum[ 3][ 6] = 3.761625208368;
	aaBlosum[ 3][ 7] = 0.798473248968;
	aaBlosum[ 3][ 8] = 0.778142664022;
	aaBlosum[ 3][ 9] = 0.418555732462;
	aaBlosum[ 3][10] = 0.218131577594;
	aaBlosum[ 3][11] = 1.032447924952;
	aaBlosum[ 3][12] = 0.222621897958;
	aaBlosum[ 3][13] = 0.281730694207;
	aaBlosum[ 3][14] = 0.730628272998;
	aaBlosum[ 3][15] = 1.582754142065;
	aaBlosum[ 3][16] = 0.934187509431;
	aaBlosum[ 3][17] = 0.145345046279;
	aaBlosum[ 3][18] = 0.261422208965;
	aaBlosum[ 3][19] = 0.258129289418;
	aaBlosum[ 4][ 0] = 1.459995310470;
	aaBlosum[ 4][ 1] = 0.227826574209;
	aaBlosum[ 4][ 2] = 0.397358949897;
	aaBlosum[ 4][ 3] = 0.240836614802;
	aaBlosum[ 4][ 4] = 0.000000000000;
	aaBlosum[ 4][ 5] = 0.329801504630;
	aaBlosum[ 4][ 6] = 0.140748891814;
	aaBlosum[ 4][ 7] = 0.418203192284;
	aaBlosum[ 4][ 8] = 0.354058109831;
	aaBlosum[ 4][ 9] = 0.774894022794;
	aaBlosum[ 4][10] = 0.831842640142;
	aaBlosum[ 4][11] = 0.285078800906;
	aaBlosum[ 4][12] = 0.767688823480;
	aaBlosum[ 4][13] = 0.441337471187;
	aaBlosum[ 4][14] = 0.356008498769;
	aaBlosum[ 4][15] = 1.197188415094;
	aaBlosum[ 4][16] = 1.119831358516;
	aaBlosum[ 4][17] = 0.527664418872;
	aaBlosum[ 4][18] = 0.470237733696;
	aaBlosum[ 4][19] = 1.116352478606;
	aaBlosum[ 5][ 0] = 1.199705704602;
	aaBlosum[ 5][ 1] = 3.020833610064;
	aaBlosum[ 5][ 2] = 1.839216146992;
	aaBlosum[ 5][ 3] = 1.190945703396;
	aaBlosum[ 5][ 4] = 0.329801504630;
	aaBlosum[ 5][ 5] = 0.000000000000;
	aaBlosum[ 5][ 6] = 5.528919177928;
	aaBlosum[ 5][ 7] = 0.609846305383;
	aaBlosum[ 5][ 8] = 2.435341131140;
	aaBlosum[ 5][ 9] = 0.236202451204;
	aaBlosum[ 5][10] = 0.580737093181;
	aaBlosum[ 5][11] = 3.945277674515;
	aaBlosum[ 5][12] = 2.494896077113;
	aaBlosum[ 5][13] = 0.144356959750;
	aaBlosum[ 5][14] = 0.858570575674;
	aaBlosum[ 5][15] = 1.934870924596;
	aaBlosum[ 5][16] = 1.277480294596;
	aaBlosum[ 5][17] = 0.758653808642;
	aaBlosum[ 5][18] = 0.958989742850;
	aaBlosum[ 5][19] = 0.530785790125;
	aaBlosum[ 6][ 0] = 1.170949042800;
	aaBlosum[ 6][ 1] = 1.360574190420;
	aaBlosum[ 6][ 2] = 1.240488508640;
	aaBlosum[ 6][ 3] = 3.761625208368;
	aaBlosum[ 6][ 4] = 0.140748891814;
	aaBlosum[ 6][ 5] = 5.528919177928;
	aaBlosum[ 6][ 6] = 0.000000000000;
	aaBlosum[ 6][ 7] = 0.423579992176;
	aaBlosum[ 6][ 8] = 1.626891056982;
	aaBlosum[ 6][ 9] = 0.186848046932;
	aaBlosum[ 6][10] = 0.372625175087;
	aaBlosum[ 6][11] = 2.802427151679;
	aaBlosum[ 6][12] = 0.555415397470;
	aaBlosum[ 6][13] = 0.291409084165;
	aaBlosum[ 6][14] = 0.926563934846;
	aaBlosum[ 6][15] = 1.769893238937;
	aaBlosum[ 6][16] = 1.071097236007;
	aaBlosum[ 6][17] = 0.407635648938;
	aaBlosum[ 6][18] = 0.596719300346;
	aaBlosum[ 6][19] = 0.524253846338;
	aaBlosum[ 7][ 0] = 1.955883574960;
	aaBlosum[ 7][ 1] = 0.418763308518;
	aaBlosum[ 7][ 2] = 1.355872344485;
	aaBlosum[ 7][ 3] = 0.798473248968;
	aaBlosum[ 7][ 4] = 0.418203192284;
	aaBlosum[ 7][ 5] = 0.609846305383;
	aaBlosum[ 7][ 6] = 0.423579992176;
	aaBlosum[ 7][ 7] = 0.000000000000;
	aaBlosum[ 7][ 8] = 0.539859124954;
	aaBlosum[ 7][ 9] = 0.189296292376;
	aaBlosum[ 7][10] = 0.217721159236;
	aaBlosum[ 7][11] = 0.752042440303;
	aaBlosum[ 7][12] = 0.459436173579;
	aaBlosum[ 7][13] = 0.368166464453;
	aaBlosum[ 7][14] = 0.504086599527;
	aaBlosum[ 7][15] = 1.509326253224;
	aaBlosum[ 7][16] = 0.641436011405;
	aaBlosum[ 7][17] = 0.508358924638;
	aaBlosum[ 7][18] = 0.308055737035;
	aaBlosum[ 7][19] = 0.253340790190;
	aaBlosum[ 8][ 0] = 0.716241444998;
	aaBlosum[ 8][ 1] = 1.456141166336;
	aaBlosum[ 8][ 2] = 2.414501434208;
	aaBlosum[ 8][ 3] = 0.778142664022;
	aaBlosum[ 8][ 4] = 0.354058109831;
	aaBlosum[ 8][ 5] = 2.435341131140;
	aaBlosum[ 8][ 6] = 1.626891056982;
	aaBlosum[ 8][ 7] = 0.539859124954;
	aaBlosum[ 8][ 8] = 0.000000000000;
	aaBlosum[ 8][ 9] = 0.252718447885;
	aaBlosum[ 8][10] = 0.348072209797;
	aaBlosum[ 8][11] = 1.022507035889;
	aaBlosum[ 8][12] = 0.984311525359;
	aaBlosum[ 8][13] = 0.714533703928;
	aaBlosum[ 8][14] = 0.527007339151;
	aaBlosum[ 8][15] = 1.117029762910;
	aaBlosum[ 8][16] = 0.585407090225;
	aaBlosum[ 8][17] = 0.301248600780;
	aaBlosum[ 8][18] = 4.218953969389;
	aaBlosum[ 8][19] = 0.201555971750;
	aaBlosum[ 9][ 0] = 0.605899003687;
	aaBlosum[ 9][ 1] = 0.232036445142;
	aaBlosum[ 9][ 2] = 0.283017326278;
	aaBlosum[ 9][ 3] = 0.418555732462;
	aaBlosum[ 9][ 4] = 0.774894022794;
	aaBlosum[ 9][ 5] = 0.236202451204;
	aaBlosum[ 9][ 6] = 0.186848046932;
	aaBlosum[ 9][ 7] = 0.189296292376;
	aaBlosum[ 9][ 8] = 0.252718447885;
	aaBlosum[ 9][ 9] = 0.000000000000;
	aaBlosum[ 9][10] = 3.890963773304;
	aaBlosum[ 9][11] = 0.406193586642;
	aaBlosum[ 9][12] = 3.364797763104;
	aaBlosum[ 9][13] = 1.517359325954;
	aaBlosum[ 9][14] = 0.388355409206;
	aaBlosum[ 9][15] = 0.357544412460;
	aaBlosum[ 9][16] = 1.179091197260;
	aaBlosum[ 9][17] = 0.341985787540;
	aaBlosum[ 9][18] = 0.674617093228;
	aaBlosum[ 9][19] = 8.311839405458;
	aaBlosum[10][ 0] = 0.800016530518;
	aaBlosum[10][ 1] = 0.622711669692;
	aaBlosum[10][ 2] = 0.211888159615;
	aaBlosum[10][ 3] = 0.218131577594;
	aaBlosum[10][ 4] = 0.831842640142;
	aaBlosum[10][ 5] = 0.580737093181;
	aaBlosum[10][ 6] = 0.372625175087;
	aaBlosum[10][ 7] = 0.217721159236;
	aaBlosum[10][ 8] = 0.348072209797;
	aaBlosum[10][ 9] = 3.890963773304;
	aaBlosum[10][10] = 0.000000000000;
	aaBlosum[10][11] = 0.445570274261;
	aaBlosum[10][12] = 6.030559379572;
	aaBlosum[10][13] = 2.064839703237;
	aaBlosum[10][14] = 0.374555687471;
	aaBlosum[10][15] = 0.352969184527;
	aaBlosum[10][16] = 0.915259857694;
	aaBlosum[10][17] = 0.691474634600;
	aaBlosum[10][18] = 0.811245856323;
	aaBlosum[10][19] = 2.231405688913;
	aaBlosum[11][ 0] = 1.295201266783;
	aaBlosum[11][ 1] = 5.411115141489;
	aaBlosum[11][ 2] = 1.593137043457;
	aaBlosum[11][ 3] = 1.032447924952;
	aaBlosum[11][ 4] = 0.285078800906;
	aaBlosum[11][ 5] = 3.945277674515;
	aaBlosum[11][ 6] = 2.802427151679;
	aaBlosum[11][ 7] = 0.752042440303;
	aaBlosum[11][ 8] = 1.022507035889;
	aaBlosum[11][ 9] = 0.406193586642;
	aaBlosum[11][10] = 0.445570274261;
	aaBlosum[11][11] = 0.000000000000;
	aaBlosum[11][12] = 1.073061184332;
	aaBlosum[11][13] = 0.266924750511;
	aaBlosum[11][14] = 1.047383450722;
	aaBlosum[11][15] = 1.752165917819;
	aaBlosum[11][16] = 1.303875200799;
	aaBlosum[11][17] = 0.332243040634;
	aaBlosum[11][18] = 0.717993486900;
	aaBlosum[11][19] = 0.498138475304;
	aaBlosum[12][ 0] = 1.253758266664;
	aaBlosum[12][ 1] = 0.983692987457;
	aaBlosum[12][ 2] = 0.648441278787;
	aaBlosum[12][ 3] = 0.222621897958;
	aaBlosum[12][ 4] = 0.767688823480;
	aaBlosum[12][ 5] = 2.494896077113;
	aaBlosum[12][ 6] = 0.555415397470;
	aaBlosum[12][ 7] = 0.459436173579;
	aaBlosum[12][ 8] = 0.984311525359;
	aaBlosum[12][ 9] = 3.364797763104;
	aaBlosum[12][10] = 6.030559379572;
	aaBlosum[12][11] = 1.073061184332;
	aaBlosum[12][12] = 0.000000000000;
	aaBlosum[12][13] = 1.773855168830;
	aaBlosum[12][14] = 0.454123625103;
	aaBlosum[12][15] = 0.918723415746;
	aaBlosum[12][16] = 1.488548053722;
	aaBlosum[12][17] = 0.888101098152;
	aaBlosum[12][18] = 0.951682162246;
	aaBlosum[12][19] = 2.575850755315;
	aaBlosum[13][ 0] = 0.492964679748;
	aaBlosum[13][ 1] = 0.371644693209;
	aaBlosum[13][ 2] = 0.354861249223;
	aaBlosum[13][ 3] = 0.281730694207;
	aaBlosum[13][ 4] = 0.441337471187;
	aaBlosum[13][ 5] = 0.144356959750;
	aaBlosum[13][ 6] = 0.291409084165;
	aaBlosum[13][ 7] = 0.368166464453;
	aaBlosum[13][ 8] = 0.714533703928;
	aaBlosum[13][ 9] = 1.517359325954;
	aaBlosum[13][10] = 2.064839703237;
	aaBlosum[13][11] = 0.266924750511;
	aaBlosum[13][12] = 1.773855168830;
	aaBlosum[13][13] = 0.000000000000;
	aaBlosum[13][14] = 0.233597909629;
	aaBlosum[13][15] = 0.540027644824;
	aaBlosum[13][16] = 0.488206118793;
	aaBlosum[13][17] = 2.074324893497;
	aaBlosum[13][18] = 6.747260430801;
	aaBlosum[13][19] = 0.838119610178;
	aaBlosum[14][ 0] = 1.173275900924;
	aaBlosum[14][ 1] = 0.448133661718;
	aaBlosum[14][ 2] = 0.494887043702;
	aaBlosum[14][ 3] = 0.730628272998;
	aaBlosum[14][ 4] = 0.356008498769;
	aaBlosum[14][ 5] = 0.858570575674;
	aaBlosum[14][ 6] = 0.926563934846;
	aaBlosum[14][ 7] = 0.504086599527;
	aaBlosum[14][ 8] = 0.527007339151;
	aaBlosum[14][ 9] = 0.388355409206;
	aaBlosum[14][10] = 0.374555687471;
	aaBlosum[14][11] = 1.047383450722;
	aaBlosum[14][12] = 0.454123625103;
	aaBlosum[14][13] = 0.233597909629;
	aaBlosum[14][14] = 0.000000000000;
	aaBlosum[14][15] = 1.169129577716;
	aaBlosum[14][16] = 1.005451683149;
	aaBlosum[14][17] = 0.252214830027;
	aaBlosum[14][18] = 0.369405319355;
	aaBlosum[14][19] = 0.496908410676;
	aaBlosum[15][ 0] = 4.325092687057;
	aaBlosum[15][ 1] = 1.122783104210;
	aaBlosum[15][ 2] = 2.904101656456;
	aaBlosum[15][ 3] = 1.582754142065;
	aaBlosum[15][ 4] = 1.197188415094;
	aaBlosum[15][ 5] = 1.934870924596;
	aaBlosum[15][ 6] = 1.769893238937;
	aaBlosum[15][ 7] = 1.509326253224;
	aaBlosum[15][ 8] = 1.117029762910;
	aaBlosum[15][ 9] = 0.357544412460;
	aaBlosum[15][10] = 0.352969184527;
	aaBlosum[15][11] = 1.752165917819;
	aaBlosum[15][12] = 0.918723415746;
	aaBlosum[15][13] = 0.540027644824;
	aaBlosum[15][14] = 1.169129577716;
	aaBlosum[15][15] = 0.000000000000;
	aaBlosum[15][16] = 5.151556292270;
	aaBlosum[15][17] = 0.387925622098;
	aaBlosum[15][18] = 0.796751520761;
	aaBlosum[15][19] = 0.561925457442;
	aaBlosum[16][ 0] = 1.729178019485;
	aaBlosum[16][ 1] = 0.914665954563;
	aaBlosum[16][ 2] = 1.898173634533;
	aaBlosum[16][ 3] = 0.934187509431;
	aaBlosum[16][ 4] = 1.119831358516;
	aaBlosum[16][ 5] = 1.277480294596;
	aaBlosum[16][ 6] = 1.071097236007;
	aaBlosum[16][ 7] = 0.641436011405;
	aaBlosum[16][ 8] = 0.585407090225;
	aaBlosum[16][ 9] = 1.179091197260;
	aaBlosum[16][10] = 0.915259857694;
	aaBlosum[16][11] = 1.303875200799;
	aaBlosum[16][12] = 1.488548053722;
	aaBlosum[16][13] = 0.488206118793;
	aaBlosum[16][14] = 1.005451683149;
	aaBlosum[16][15] = 5.151556292270;
	aaBlosum[16][16] = 0.000000000000;
	aaBlosum[16][17] = 0.513128126891;
	aaBlosum[16][18] = 0.801010243199;
	aaBlosum[16][19] = 2.253074051176;
	aaBlosum[17][ 0] = 0.465839367725;
	aaBlosum[17][ 1] = 0.426382310122;
	aaBlosum[17][ 2] = 0.191482046247;
	aaBlosum[17][ 3] = 0.145345046279;
	aaBlosum[17][ 4] = 0.527664418872;
	aaBlosum[17][ 5] = 0.758653808642;
	aaBlosum[17][ 6] = 0.407635648938;
	aaBlosum[17][ 7] = 0.508358924638;
	aaBlosum[17][ 8] = 0.301248600780;
	aaBlosum[17][ 9] = 0.341985787540;
	aaBlosum[17][10] = 0.691474634600;
	aaBlosum[17][11] = 0.332243040634;
	aaBlosum[17][12] = 0.888101098152;
	aaBlosum[17][13] = 2.074324893497;
	aaBlosum[17][14] = 0.252214830027;
	aaBlosum[17][15] = 0.387925622098;
	aaBlosum[17][16] = 0.513128126891;
	aaBlosum[17][17] = 0.000000000000;
	aaBlosum[17][18] = 4.054419006558;
	aaBlosum[17][19] = 0.266508731426;
	aaBlosum[18][ 0] = 0.718206697586;
	aaBlosum[18][ 1] = 0.720517441216;
	aaBlosum[18][ 2] = 0.538222519037;
	aaBlosum[18][ 3] = 0.261422208965;
	aaBlosum[18][ 4] = 0.470237733696;
	aaBlosum[18][ 5] = 0.958989742850;
	aaBlosum[18][ 6] = 0.596719300346;
	aaBlosum[18][ 7] = 0.308055737035;
	aaBlosum[18][ 8] = 4.218953969389;
	aaBlosum[18][ 9] = 0.674617093228;
	aaBlosum[18][10] = 0.811245856323;
	aaBlosum[18][11] = 0.717993486900;
	aaBlosum[18][12] = 0.951682162246;
	aaBlosum[18][13] = 6.747260430801;
	aaBlosum[18][14] = 0.369405319355;
	aaBlosum[18][15] = 0.796751520761;
	aaBlosum[18][16] = 0.801010243199;
	aaBlosum[18][17] = 4.054419006558;
	aaBlosum[18][18] = 0.000000000000;
	aaBlosum[18][19] = 1.000000000000;
	aaBlosum[19][ 0] = 2.187774522005;
	aaBlosum[19][ 1] = 0.438388343772;
	aaBlosum[19][ 2] = 0.312858797993;
	aaBlosum[19][ 3] = 0.258129289418;
	aaBlosum[19][ 4] = 1.116352478606;
	aaBlosum[19][ 5] = 0.530785790125;
	aaBlosum[19][ 6] = 0.524253846338;
	aaBlosum[19][ 7] = 0.253340790190;
	aaBlosum[19][ 8] = 0.201555971750;
	aaBlosum[19][ 9] = 8.311839405458;
	aaBlosum[19][10] = 2.231405688913;
	aaBlosum[19][11] = 0.498138475304;
	aaBlosum[19][12] = 2.575850755315;
	aaBlosum[19][13] = 0.838119610178;
	aaBlosum[19][14] = 0.496908410676;
	aaBlosum[19][15] = 0.561925457442;
	aaBlosum[19][16] = 2.253074051176;
	aaBlosum[19][17] = 0.266508731426;
	aaBlosum[19][18] = 1.000000000000;
	aaBlosum[19][19] = 0.000000000000;

	blosPi[ 0] = 0.074;
	blosPi[ 1] = 0.052;
	blosPi[ 2] = 0.045;
	blosPi[ 3] = 0.054;
	blosPi[ 4] = 0.025;
	blosPi[ 5] = 0.034;
	blosPi[ 6] = 0.054;
	blosPi[ 7] = 0.074;
	blosPi[ 8] = 0.026;
	blosPi[ 9] = 0.068;
	blosPi[10] = 0.099;
	blosPi[11] = 0.058;
	blosPi[12] = 0.025;
	blosPi[13] = 0.047;
	blosPi[14] = 0.039;
	blosPi[15] = 0.057;
	blosPi[16] = 0.051;
	blosPi[17] = 0.013;
	blosPi[18] = 0.032;
	blosPi[19] = 0.073;


	/* mtart */
	aaMtart[ 0][ 0] = 0;
	aaMtart[ 0][ 1] = 0.2;
	aaMtart[ 0][ 2] = 0.2;
	aaMtart[ 0][ 3] = 1;
	aaMtart[ 0][ 4] = 254;
	aaMtart[ 0][ 5] = 0.2;
	aaMtart[ 0][ 6] = 0.2;
	aaMtart[ 0][ 7] = 200;
	aaMtart[ 0][ 8] = 0.2;
	aaMtart[ 0][ 9] = 26;
	aaMtart[ 0][10] = 4;
	aaMtart[ 0][11] = 0.2;
	aaMtart[ 0][12] = 121;
	aaMtart[ 0][13] = 13;
	aaMtart[ 0][14] = 49;
	aaMtart[ 0][15] = 673;
	aaMtart[ 0][16] = 244;
	aaMtart[ 0][17] = 0.2;
	aaMtart[ 0][18] = 1;
	aaMtart[ 0][19] = 340;
	aaMtart[ 1][ 0] = 0.2;
	aaMtart[ 1][ 1] = 0;
	aaMtart[ 1][ 2] = 0.2;
	aaMtart[ 1][ 3] = 4;
	aaMtart[ 1][ 4] = 36;
	aaMtart[ 1][ 5] = 154;
	aaMtart[ 1][ 6] = 0.2;
	aaMtart[ 1][ 7] = 0.2;
	aaMtart[ 1][ 8] = 41;
	aaMtart[ 1][ 9] = 2;
	aaMtart[ 1][10] = 2;
	aaMtart[ 1][11] = 209;
	aaMtart[ 1][12] = 5;
	aaMtart[ 1][13] = 5;
	aaMtart[ 1][14] = 0.2;
	aaMtart[ 1][15] = 3;
	aaMtart[ 1][16] = 0.2;
	aaMtart[ 1][17] = 0.2;
	aaMtart[ 1][18] = 4;
	aaMtart[ 1][19] = 0.2;
	aaMtart[ 2][ 0] = 0.2;
	aaMtart[ 2][ 1] = 0.2;
	aaMtart[ 2][ 2] = 0;
	aaMtart[ 2][ 3] = 500;
	aaMtart[ 2][ 4] = 98;
	aaMtart[ 2][ 5] = 262;
	aaMtart[ 2][ 6] = 183;
	aaMtart[ 2][ 7] = 121;
	aaMtart[ 2][ 8] = 180;
	aaMtart[ 2][ 9] = 21;
	aaMtart[ 2][10] = 13;
	aaMtart[ 2][11] = 467;
	aaMtart[ 2][12] = 79;
	aaMtart[ 2][13] = 20;
	aaMtart[ 2][14] = 17;
	aaMtart[ 2][15] = 398;
	aaMtart[ 2][16] = 166;
	aaMtart[ 2][17] = 8;
	aaMtart[ 2][18] = 251;
	aaMtart[ 2][19] = 23;
	aaMtart[ 3][ 0] = 1;
	aaMtart[ 3][ 1] = 4;
	aaMtart[ 3][ 2] = 500;
	aaMtart[ 3][ 3] = 0;
	aaMtart[ 3][ 4] = 11;
	aaMtart[ 3][ 5] = 0.2;
	aaMtart[ 3][ 6] = 862;
	aaMtart[ 3][ 7] = 12;
	aaMtart[ 3][ 8] = 0.2;
	aaMtart[ 3][ 9] = 7;
	aaMtart[ 3][10] = 1;
	aaMtart[ 3][11] = 2;
	aaMtart[ 3][12] = 0.2;
	aaMtart[ 3][13] = 0.2;
	aaMtart[ 3][14] = 0.2;
	aaMtart[ 3][15] = 44;
	aaMtart[ 3][16] = 0.2;
	aaMtart[ 3][17] = 0.2;
	aaMtart[ 3][18] = 0.2;
	aaMtart[ 3][19] = 0.2;
	aaMtart[ 4][ 0] = 254;
	aaMtart[ 4][ 1] = 36;
	aaMtart[ 4][ 2] = 98;
	aaMtart[ 4][ 3] = 11;
	aaMtart[ 4][ 4] = 0;
	aaMtart[ 4][ 5] = 0.2;
	aaMtart[ 4][ 6] = 0.2;
	aaMtart[ 4][ 7] = 81;
	aaMtart[ 4][ 8] = 12;
	aaMtart[ 4][ 9] = 63;
	aaMtart[ 4][10] = 79;
	aaMtart[ 4][11] = 0.2;
	aaMtart[ 4][12] = 312;
	aaMtart[ 4][13] = 184;
	aaMtart[ 4][14] = 0.2;
	aaMtart[ 4][15] = 664;
	aaMtart[ 4][16] = 183;
	aaMtart[ 4][17] = 22;
	aaMtart[ 4][18] = 72;
	aaMtart[ 4][19] = 350;
	aaMtart[ 5][ 0] = 0.2;
	aaMtart[ 5][ 1] = 154;
	aaMtart[ 5][ 2] = 262;
	aaMtart[ 5][ 3] = 0.2;
	aaMtart[ 5][ 4] = 0.2;
	aaMtart[ 5][ 5] = 0;
	aaMtart[ 5][ 6] = 262;
	aaMtart[ 5][ 7] = 3;
	aaMtart[ 5][ 8] = 314;
	aaMtart[ 5][ 9] = 11;
	aaMtart[ 5][10] = 16;
	aaMtart[ 5][11] = 349;
	aaMtart[ 5][12] = 67;
	aaMtart[ 5][13] = 0.2;
	aaMtart[ 5][14] = 39;
	aaMtart[ 5][15] = 52;
	aaMtart[ 5][16] = 44;
	aaMtart[ 5][17] = 7;
	aaMtart[ 5][18] = 87;
	aaMtart[ 5][19] = 0.2;
	aaMtart[ 6][ 0] = 0.2;
	aaMtart[ 6][ 1] = 0.2;
	aaMtart[ 6][ 2] = 183;
	aaMtart[ 6][ 3] = 862;
	aaMtart[ 6][ 4] = 0.2;
	aaMtart[ 6][ 5] = 262;
	aaMtart[ 6][ 6] = 0;
	aaMtart[ 6][ 7] = 44;
	aaMtart[ 6][ 8] = 15;
	aaMtart[ 6][ 9] = 7;
	aaMtart[ 6][10] = 2;
	aaMtart[ 6][11] = 106;
	aaMtart[ 6][12] = 0.2;
	aaMtart[ 6][13] = 0.2;
	aaMtart[ 6][14] = 8;
	aaMtart[ 6][15] = 31;
	aaMtart[ 6][16] = 43;
	aaMtart[ 6][17] = 11;
	aaMtart[ 6][18] = 8;
	aaMtart[ 6][19] = 14;
	aaMtart[ 7][ 0] = 200;
	aaMtart[ 7][ 1] = 0.2;
	aaMtart[ 7][ 2] = 121;
	aaMtart[ 7][ 3] = 12;
	aaMtart[ 7][ 4] = 81;
	aaMtart[ 7][ 5] = 3;
	aaMtart[ 7][ 6] = 44;
	aaMtart[ 7][ 7] = 0;
	aaMtart[ 7][ 8] = 0.2;
	aaMtart[ 7][ 9] = 3;
	aaMtart[ 7][10] = 1;
	aaMtart[ 7][11] = 0.2;
	aaMtart[ 7][12] = 56;
	aaMtart[ 7][13] = 1;
	aaMtart[ 7][14] = 0.2;
	aaMtart[ 7][15] = 226;
	aaMtart[ 7][16] = 0.2;
	aaMtart[ 7][17] = 2;
	aaMtart[ 7][18] = 9;
	aaMtart[ 7][19] = 3;
	aaMtart[ 8][ 0] = 0.2;
	aaMtart[ 8][ 1] = 41;
	aaMtart[ 8][ 2] = 180;
	aaMtart[ 8][ 3] = 0.2;
	aaMtart[ 8][ 4] = 12;
	aaMtart[ 8][ 5] = 314;
	aaMtart[ 8][ 6] = 15;
	aaMtart[ 8][ 7] = 0.2;
	aaMtart[ 8][ 8] = 0;
	aaMtart[ 8][ 9] = 0.2;
	aaMtart[ 8][10] = 6;
	aaMtart[ 8][11] = 0.2;
	aaMtart[ 8][12] = 0.2;
	aaMtart[ 8][13] = 14;
	aaMtart[ 8][14] = 1;
	aaMtart[ 8][15] = 11;
	aaMtart[ 8][16] = 19;
	aaMtart[ 8][17] = 0.2;
	aaMtart[ 8][18] = 191;
	aaMtart[ 8][19] = 0.2;
	aaMtart[ 9][ 0] = 26;
	aaMtart[ 9][ 1] = 2;
	aaMtart[ 9][ 2] = 21;
	aaMtart[ 9][ 3] = 7;
	aaMtart[ 9][ 4] = 63;
	aaMtart[ 9][ 5] = 11;
	aaMtart[ 9][ 6] = 7;
	aaMtart[ 9][ 7] = 3;
	aaMtart[ 9][ 8] = 0.2;
	aaMtart[ 9][ 9] = 0;
	aaMtart[ 9][10] = 515;
	aaMtart[ 9][11] = 3;
	aaMtart[ 9][12] = 515;
	aaMtart[ 9][13] = 118;
	aaMtart[ 9][14] = 0.2;
	aaMtart[ 9][15] = 7;
	aaMtart[ 9][16] = 204;
	aaMtart[ 9][17] = 0.2;
	aaMtart[ 9][18] = 12;
	aaMtart[ 9][19] = 1855;
	aaMtart[10][ 0] = 4;
	aaMtart[10][ 1] = 2;
	aaMtart[10][ 2] = 13;
	aaMtart[10][ 3] = 1;
	aaMtart[10][ 4] = 79;
	aaMtart[10][ 5] = 16;
	aaMtart[10][ 6] = 2;
	aaMtart[10][ 7] = 1;
	aaMtart[10][ 8] = 6;
	aaMtart[10][ 9] = 515;
	aaMtart[10][10] = 0;
	aaMtart[10][11] = 4;
	aaMtart[10][12] = 885;
	aaMtart[10][13] = 263;
	aaMtart[10][14] = 12;
	aaMtart[10][15] = 8;
	aaMtart[10][16] = 48;
	aaMtart[10][17] = 21;
	aaMtart[10][18] = 20;
	aaMtart[10][19] = 85;
	aaMtart[11][ 0] = 0.2;
	aaMtart[11][ 1] = 209;
	aaMtart[11][ 2] = 467;
	aaMtart[11][ 3] = 2;
	aaMtart[11][ 4] = 0.2;
	aaMtart[11][ 5] = 349;
	aaMtart[11][ 6] = 106;
	aaMtart[11][ 7] = 0.2;
	aaMtart[11][ 8] = 0.2;
	aaMtart[11][ 9] = 3;
	aaMtart[11][10] = 4;
	aaMtart[11][11] = 0;
	aaMtart[11][12] = 106;
	aaMtart[11][13] = 11;
	aaMtart[11][14] = 17;
	aaMtart[11][15] = 144;
	aaMtart[11][16] = 70;
	aaMtart[11][17] = 16;
	aaMtart[11][18] = 117;
	aaMtart[11][19] = 26;
	aaMtart[12][ 0] = 121;
	aaMtart[12][ 1] = 5;
	aaMtart[12][ 2] = 79;
	aaMtart[12][ 3] = 0.2;
	aaMtart[12][ 4] = 312;
	aaMtart[12][ 5] = 67;
	aaMtart[12][ 6] = 0.2;
	aaMtart[12][ 7] = 56;
	aaMtart[12][ 8] = 0.2;
	aaMtart[12][ 9] = 515;
	aaMtart[12][10] = 885;
	aaMtart[12][11] = 106;
	aaMtart[12][12] = 0;
	aaMtart[12][13] = 322;
	aaMtart[12][14] = 5;
	aaMtart[12][15] = 112;
	aaMtart[12][16] = 289;
	aaMtart[12][17] = 71;
	aaMtart[12][18] = 71;
	aaMtart[12][19] = 281;
	aaMtart[13][ 0] = 13;
	aaMtart[13][ 1] = 5;
	aaMtart[13][ 2] = 20;
	aaMtart[13][ 3] = 0.2;
	aaMtart[13][ 4] = 184;
	aaMtart[13][ 5] = 0.2;
	aaMtart[13][ 6] = 0.2;
	aaMtart[13][ 7] = 1;
	aaMtart[13][ 8] = 14;
	aaMtart[13][ 9] = 118;
	aaMtart[13][10] = 263;
	aaMtart[13][11] = 11;
	aaMtart[13][12] = 322;
	aaMtart[13][13] = 0;
	aaMtart[13][14] = 15;
	aaMtart[13][15] = 36;
	aaMtart[13][16] = 14;
	aaMtart[13][17] = 54;
	aaMtart[13][18] = 792;
	aaMtart[13][19] = 52;
	aaMtart[14][ 0] = 49;
	aaMtart[14][ 1] = 0.2;
	aaMtart[14][ 2] = 17;
	aaMtart[14][ 3] = 0.2;
	aaMtart[14][ 4] = 0.2;
	aaMtart[14][ 5] = 39;
	aaMtart[14][ 6] = 8;
	aaMtart[14][ 7] = 0.2;
	aaMtart[14][ 8] = 1;
	aaMtart[14][ 9] = 0.2;
	aaMtart[14][10] = 12;
	aaMtart[14][11] = 17;
	aaMtart[14][12] = 5;
	aaMtart[14][13] = 15;
	aaMtart[14][14] = 0;
	aaMtart[14][15] = 87;
	aaMtart[14][16] = 47;
	aaMtart[14][17] = 0.2;
	aaMtart[14][18] = 18;
	aaMtart[14][19] = 32;
	aaMtart[15][ 0] = 673;
	aaMtart[15][ 1] = 3;
	aaMtart[15][ 2] = 398;
	aaMtart[15][ 3] = 44;
	aaMtart[15][ 4] = 664;
	aaMtart[15][ 5] = 52;
	aaMtart[15][ 6] = 31;
	aaMtart[15][ 7] = 226;
	aaMtart[15][ 8] = 11;
	aaMtart[15][ 9] = 7;
	aaMtart[15][10] = 8;
	aaMtart[15][11] = 144;
	aaMtart[15][12] = 112;
	aaMtart[15][13] = 36;
	aaMtart[15][14] = 87;
	aaMtart[15][15] = 0;
	aaMtart[15][16] = 660;
	aaMtart[15][17] = 2;
	aaMtart[15][18] = 30;
	aaMtart[15][19] = 61;
	aaMtart[16][ 0] = 244;
	aaMtart[16][ 1] = 0.2;
	aaMtart[16][ 2] = 166;
	aaMtart[16][ 3] = 0.2;
	aaMtart[16][ 4] = 183;
	aaMtart[16][ 5] = 44;
	aaMtart[16][ 6] = 43;
	aaMtart[16][ 7] = 0.2;
	aaMtart[16][ 8] = 19;
	aaMtart[16][ 9] = 204;
	aaMtart[16][10] = 48;
	aaMtart[16][11] = 70;
	aaMtart[16][12] = 289;
	aaMtart[16][13] = 14;
	aaMtart[16][14] = 47;
	aaMtart[16][15] = 660;
	aaMtart[16][16] = 0;
	aaMtart[16][17] = 0.2;
	aaMtart[16][18] = 46;
	aaMtart[16][19] = 544;
	aaMtart[17][ 0] = 0.2;
	aaMtart[17][ 1] = 0.2;
	aaMtart[17][ 2] = 8;
	aaMtart[17][ 3] = 0.2;
	aaMtart[17][ 4] = 22;
	aaMtart[17][ 5] = 7;
	aaMtart[17][ 6] = 11;
	aaMtart[17][ 7] = 2;
	aaMtart[17][ 8] = 0.2;
	aaMtart[17][ 9] = 0.2;
	aaMtart[17][10] = 21;
	aaMtart[17][11] = 16;
	aaMtart[17][12] = 71;
	aaMtart[17][13] = 54;
	aaMtart[17][14] = 0.2;
	aaMtart[17][15] = 2;
	aaMtart[17][16] = 0.2;
	aaMtart[17][17] = 0;
	aaMtart[17][18] = 38;
	aaMtart[17][19] = 0.2;
	aaMtart[18][ 0] = 1;
	aaMtart[18][ 1] = 4;
	aaMtart[18][ 2] = 251;
	aaMtart[18][ 3] = 0.2;
	aaMtart[18][ 4] = 72;
	aaMtart[18][ 5] = 87;
	aaMtart[18][ 6] = 8;
	aaMtart[18][ 7] = 9;
	aaMtart[18][ 8] = 191;
	aaMtart[18][ 9] = 12;
	aaMtart[18][10] = 20;
	aaMtart[18][11] = 117;
	aaMtart[18][12] = 71;
	aaMtart[18][13] = 792;
	aaMtart[18][14] = 18;
	aaMtart[18][15] = 30;
	aaMtart[18][16] = 46;
	aaMtart[18][17] = 38;
	aaMtart[18][18] = 0;
	aaMtart[18][19] = 2;
	aaMtart[19][ 0] = 340;
	aaMtart[19][ 1] = 0.2;
	aaMtart[19][ 2] = 23;
	aaMtart[19][ 3] = 0.2;
	aaMtart[19][ 4] = 350;
	aaMtart[19][ 5] = 0.2;
	aaMtart[19][ 6] = 14;
	aaMtart[19][ 7] = 3;
	aaMtart[19][ 8] = 0.2;
	aaMtart[19][ 9] = 1855;
	aaMtart[19][10] = 85;
	aaMtart[19][11] = 26;
	aaMtart[19][12] = 281;
	aaMtart[19][13] = 52;
	aaMtart[19][14] = 32;
	aaMtart[19][15] = 61;
	aaMtart[19][16] = 544;
	aaMtart[19][17] = 0.2;
	aaMtart[19][18] = 2;
	aaMtart[19][19] = 0;

	mtartPi[ 0] = 0.054116;
	mtartPi[ 1] = 0.018227;
	mtartPi[ 2] = 0.039903;
	mtartPi[ 3] = 0.020160;
	mtartPi[ 4] = 0.009709;
	mtartPi[ 5] = 0.018781;
	mtartPi[ 6] = 0.024289;
	mtartPi[ 7] = 0.068183;
	mtartPi[ 8] = 0.024518;
	mtartPi[ 9] = 0.092638;
	mtartPi[10] = 0.148658;
	mtartPi[11] = 0.021718;
	mtartPi[12] = 0.061453;
	mtartPi[13] = 0.088668;
	mtartPi[14] = 0.041826;
	mtartPi[15] = 0.091030;
	mtartPi[16] = 0.049194;
	mtartPi[17] = 0.029786;
	mtartPi[18] = 0.039443;
	mtartPi[19] = 0.057700;

	/* mtzoa */
	aaMtzoa[ 0][ 0] = 0;
	aaMtzoa[ 0][ 1] = 3.3;
	aaMtzoa[ 0][ 2] = 1.7;
	aaMtzoa[ 0][ 3] = 16.1;
	aaMtzoa[ 0][ 4] = 272.5;
	aaMtzoa[ 0][ 5] = 7.3;
	aaMtzoa[ 0][ 6] = 17.1;
	aaMtzoa[ 0][ 7] = 289.3;
	aaMtzoa[ 0][ 8] = 2.3;
	aaMtzoa[ 0][ 9] = 33.2;
	aaMtzoa[ 0][10] = 15.6;
	aaMtzoa[ 0][11] = 0.2;
	aaMtzoa[ 0][12] = 136.5;
	aaMtzoa[ 0][13] = 26.5;
	aaMtzoa[ 0][14] = 61.8;
	aaMtzoa[ 0][15] = 644.9;
	aaMtzoa[ 0][16] = 378.1;
	aaMtzoa[ 0][17] = 3.1;
	aaMtzoa[ 0][18] = 2.1;
	aaMtzoa[ 0][19] = 321.9;
	aaMtzoa[ 1][ 0] = 3.3;
	aaMtzoa[ 1][ 1] = 0;
	aaMtzoa[ 1][ 2] = 33.6;
	aaMtzoa[ 1][ 3] = 3.2;
	aaMtzoa[ 1][ 4] = 61.1;
	aaMtzoa[ 1][ 5] = 231;
	aaMtzoa[ 1][ 6] = 6.4;
	aaMtzoa[ 1][ 7] = 7.2;
	aaMtzoa[ 1][ 8] = 61.7;
	aaMtzoa[ 1][ 9] = 0.2;
	aaMtzoa[ 1][10] = 4.1;
	aaMtzoa[ 1][11] = 292.3;
	aaMtzoa[ 1][12] = 3.8;
	aaMtzoa[ 1][13] = 0.2;
	aaMtzoa[ 1][14] = 7.5;
	aaMtzoa[ 1][15] = 11.8;
	aaMtzoa[ 1][16] = 3.2;
	aaMtzoa[ 1][17] = 16.9;
	aaMtzoa[ 1][18] = 13.8;
	aaMtzoa[ 1][19] = 5.1;
	aaMtzoa[ 2][ 0] = 1.7;
	aaMtzoa[ 2][ 1] = 33.6;
	aaMtzoa[ 2][ 2] = 0;
	aaMtzoa[ 2][ 3] = 617;
	aaMtzoa[ 2][ 4] = 94.6;
	aaMtzoa[ 2][ 5] = 190.3;
	aaMtzoa[ 2][ 6] = 174;
	aaMtzoa[ 2][ 7] = 99.3;
	aaMtzoa[ 2][ 8] = 228.9;
	aaMtzoa[ 2][ 9] = 24.3;
	aaMtzoa[ 2][10] = 7.9;
	aaMtzoa[ 2][11] = 413.4;
	aaMtzoa[ 2][12] = 73.7;
	aaMtzoa[ 2][13] = 12.9;
	aaMtzoa[ 2][14] = 22.6;
	aaMtzoa[ 2][15] = 420.2;
	aaMtzoa[ 2][16] = 184.6;
	aaMtzoa[ 2][17] = 6.4;
	aaMtzoa[ 2][18] = 141.6;
	aaMtzoa[ 2][19] = 7.1;
	aaMtzoa[ 3][ 0] = 16.1;
	aaMtzoa[ 3][ 1] = 3.2;
	aaMtzoa[ 3][ 2] = 617;
	aaMtzoa[ 3][ 3] = 0;
	aaMtzoa[ 3][ 4] = 9.5;
	aaMtzoa[ 3][ 5] = 19.3;
	aaMtzoa[ 3][ 6] = 883.6;
	aaMtzoa[ 3][ 7] = 26;
	aaMtzoa[ 3][ 8] = 55.6;
	aaMtzoa[ 3][ 9] = 1.5;
	aaMtzoa[ 3][10] = 0.5;
	aaMtzoa[ 3][11] = 0.2;
	aaMtzoa[ 3][12] = 0.2;
	aaMtzoa[ 3][13] = 2;
	aaMtzoa[ 3][14] = 0.2;
	aaMtzoa[ 3][15] = 51.4;
	aaMtzoa[ 3][16] = 2.3;
	aaMtzoa[ 3][17] = 0.2;
	aaMtzoa[ 3][18] = 13.9;
	aaMtzoa[ 3][19] = 3.7;
	aaMtzoa[ 4][ 0] = 272.5;
	aaMtzoa[ 4][ 1] = 61.1;
	aaMtzoa[ 4][ 2] = 94.6;
	aaMtzoa[ 4][ 3] = 9.5;
	aaMtzoa[ 4][ 4] = 0;
	aaMtzoa[ 4][ 5] = 49.1;
	aaMtzoa[ 4][ 6] = 3.4;
	aaMtzoa[ 4][ 7] = 82.4;
	aaMtzoa[ 4][ 8] = 37.5;
	aaMtzoa[ 4][ 9] = 48.8;
	aaMtzoa[ 4][10] = 59.7;
	aaMtzoa[ 4][11] = 0.2;
	aaMtzoa[ 4][12] = 264.8;
	aaMtzoa[ 4][13] = 167.8;
	aaMtzoa[ 4][14] = 8.1;
	aaMtzoa[ 4][15] = 656.3;
	aaMtzoa[ 4][16] = 199;
	aaMtzoa[ 4][17] = 36.1;
	aaMtzoa[ 4][18] = 76.7;
	aaMtzoa[ 4][19] = 243.8;
	aaMtzoa[ 5][ 0] = 7.3;
	aaMtzoa[ 5][ 1] = 231;
	aaMtzoa[ 5][ 2] = 190.3;
	aaMtzoa[ 5][ 3] = 19.3;
	aaMtzoa[ 5][ 4] = 49.1;
	aaMtzoa[ 5][ 5] = 0;
	aaMtzoa[ 5][ 6] = 349.4;
	aaMtzoa[ 5][ 7] = 8.9;
	aaMtzoa[ 5][ 8] = 421.8;
	aaMtzoa[ 5][ 9] = 0.2;
	aaMtzoa[ 5][10] = 23;
	aaMtzoa[ 5][11] = 334;
	aaMtzoa[ 5][12] = 83.9;
	aaMtzoa[ 5][13] = 9.5;
	aaMtzoa[ 5][14] = 52.2;
	aaMtzoa[ 5][15] = 96.4;
	aaMtzoa[ 5][16] = 39.4;
	aaMtzoa[ 5][17] = 6.1;
	aaMtzoa[ 5][18] = 52.3;
	aaMtzoa[ 5][19] = 9;
	aaMtzoa[ 6][ 0] = 17.1;
	aaMtzoa[ 6][ 1] = 6.4;
	aaMtzoa[ 6][ 2] = 174;
	aaMtzoa[ 6][ 3] = 883.6;
	aaMtzoa[ 6][ 4] = 3.4;
	aaMtzoa[ 6][ 5] = 349.4;
	aaMtzoa[ 6][ 6] = 0;
	aaMtzoa[ 6][ 7] = 43.1;
	aaMtzoa[ 6][ 8] = 14.9;
	aaMtzoa[ 6][ 9] = 7.3;
	aaMtzoa[ 6][10] = 1;
	aaMtzoa[ 6][11] = 163.2;
	aaMtzoa[ 6][12] = 0.2;
	aaMtzoa[ 6][13] = 0.2;
	aaMtzoa[ 6][14] = 20.6;
	aaMtzoa[ 6][15] = 38.4;
	aaMtzoa[ 6][16] = 34.5;
	aaMtzoa[ 6][17] = 3.5;
	aaMtzoa[ 6][18] = 10;
	aaMtzoa[ 6][19] = 16.3;
	aaMtzoa[ 7][ 0] = 289.3;
	aaMtzoa[ 7][ 1] = 7.2;
	aaMtzoa[ 7][ 2] = 99.3;
	aaMtzoa[ 7][ 3] = 26;
	aaMtzoa[ 7][ 4] = 82.4;
	aaMtzoa[ 7][ 5] = 8.9;
	aaMtzoa[ 7][ 6] = 43.1;
	aaMtzoa[ 7][ 7] = 0;
	aaMtzoa[ 7][ 8] = 7.4;
	aaMtzoa[ 7][ 9] = 3.4;
	aaMtzoa[ 7][10] = 3.5;
	aaMtzoa[ 7][11] = 10.1;
	aaMtzoa[ 7][12] = 52.2;
	aaMtzoa[ 7][13] = 5.8;
	aaMtzoa[ 7][14] = 1.3;
	aaMtzoa[ 7][15] = 257.1;
	aaMtzoa[ 7][16] = 5.2;
	aaMtzoa[ 7][17] = 12.3;
	aaMtzoa[ 7][18] = 4.3;
	aaMtzoa[ 7][19] = 23.7;
	aaMtzoa[ 8][ 0] = 2.3;
	aaMtzoa[ 8][ 1] = 61.7;
	aaMtzoa[ 8][ 2] = 228.9;
	aaMtzoa[ 8][ 3] = 55.6;
	aaMtzoa[ 8][ 4] = 37.5;
	aaMtzoa[ 8][ 5] = 421.8;
	aaMtzoa[ 8][ 6] = 14.9;
	aaMtzoa[ 8][ 7] = 7.4;
	aaMtzoa[ 8][ 8] = 0;
	aaMtzoa[ 8][ 9] = 1.6;
	aaMtzoa[ 8][10] = 6.6;
	aaMtzoa[ 8][11] = 23.9;
	aaMtzoa[ 8][12] = 7.1;
	aaMtzoa[ 8][13] = 13.1;
	aaMtzoa[ 8][14] = 15.6;
	aaMtzoa[ 8][15] = 23.1;
	aaMtzoa[ 8][16] = 19.4;
	aaMtzoa[ 8][17] = 4.5;
	aaMtzoa[ 8][18] = 266.5;
	aaMtzoa[ 8][19] = 0.3;
	aaMtzoa[ 9][ 0] = 33.2;
	aaMtzoa[ 9][ 1] = 0.2;
	aaMtzoa[ 9][ 2] = 24.3;
	aaMtzoa[ 9][ 3] = 1.5;
	aaMtzoa[ 9][ 4] = 48.8;
	aaMtzoa[ 9][ 5] = 0.2;
	aaMtzoa[ 9][ 6] = 7.3;
	aaMtzoa[ 9][ 7] = 3.4;
	aaMtzoa[ 9][ 8] = 1.6;
	aaMtzoa[ 9][ 9] = 0;
	aaMtzoa[ 9][10] = 425.2;
	aaMtzoa[ 9][11] = 8.4;
	aaMtzoa[ 9][12] = 449.7;
	aaMtzoa[ 9][13] = 90.3;
	aaMtzoa[ 9][14] = 2.6;
	aaMtzoa[ 9][15] = 7.2;
	aaMtzoa[ 9][16] = 222.3;
	aaMtzoa[ 9][17] = 9.7;
	aaMtzoa[ 9][18] = 13.1;
	aaMtzoa[ 9][19] = 1710.6;
	aaMtzoa[10][ 0] = 15.6;
	aaMtzoa[10][ 1] = 4.1;
	aaMtzoa[10][ 2] = 7.9;
	aaMtzoa[10][ 3] = 0.5;
	aaMtzoa[10][ 4] = 59.7;
	aaMtzoa[10][ 5] = 23;
	aaMtzoa[10][ 6] = 1;
	aaMtzoa[10][ 7] = 3.5;
	aaMtzoa[10][ 8] = 6.6;
	aaMtzoa[10][ 9] = 425.2;
	aaMtzoa[10][10] = 0;
	aaMtzoa[10][11] = 6.7;
	aaMtzoa[10][12] = 636.3;
	aaMtzoa[10][13] = 234.2;
	aaMtzoa[10][14] = 11.4;
	aaMtzoa[10][15] = 15.2;
	aaMtzoa[10][16] = 50;
	aaMtzoa[10][17] = 27.2;
	aaMtzoa[10][18] = 5.7;
	aaMtzoa[10][19] = 126.1;
	aaMtzoa[11][ 0] = 0.2;
	aaMtzoa[11][ 1] = 292.3;
	aaMtzoa[11][ 2] = 413.4;
	aaMtzoa[11][ 3] = 0.2;
	aaMtzoa[11][ 4] = 0.2;
	aaMtzoa[11][ 5] = 334;
	aaMtzoa[11][ 6] = 163.2;
	aaMtzoa[11][ 7] = 10.1;
	aaMtzoa[11][ 8] = 23.9;
	aaMtzoa[11][ 9] = 8.4;
	aaMtzoa[11][10] = 6.7;
	aaMtzoa[11][11] = 0;
	aaMtzoa[11][12] = 83;
	aaMtzoa[11][13] = 16.3;
	aaMtzoa[11][14] = 24.3;
	aaMtzoa[11][15] = 144.9;
	aaMtzoa[11][16] = 75.5;
	aaMtzoa[11][17] = 6.6;
	aaMtzoa[11][18] = 45;
	aaMtzoa[11][19] = 11.1;
	aaMtzoa[12][ 0] = 136.5;
	aaMtzoa[12][ 1] = 3.8;
	aaMtzoa[12][ 2] = 73.7;
	aaMtzoa[12][ 3] = 0.2;
	aaMtzoa[12][ 4] = 264.8;
	aaMtzoa[12][ 5] = 83.9;
	aaMtzoa[12][ 6] = 0.2;
	aaMtzoa[12][ 7] = 52.2;
	aaMtzoa[12][ 8] = 7.1;
	aaMtzoa[12][ 9] = 449.7;
	aaMtzoa[12][10] = 636.3;
	aaMtzoa[12][11] = 83;
	aaMtzoa[12][12] = 0;
	aaMtzoa[12][13] = 215.6;
	aaMtzoa[12][14] = 5.4;
	aaMtzoa[12][15] = 95.3;
	aaMtzoa[12][16] = 305.1;
	aaMtzoa[12][17] = 48.7;
	aaMtzoa[12][18] = 41.4;
	aaMtzoa[12][19] = 279.6;
	aaMtzoa[13][ 0] = 26.5;
	aaMtzoa[13][ 1] = 0.2;
	aaMtzoa[13][ 2] = 12.9;
	aaMtzoa[13][ 3] = 2;
	aaMtzoa[13][ 4] = 167.8;
	aaMtzoa[13][ 5] = 9.5;
	aaMtzoa[13][ 6] = 0.2;
	aaMtzoa[13][ 7] = 5.8;
	aaMtzoa[13][ 8] = 13.1;
	aaMtzoa[13][ 9] = 90.3;
	aaMtzoa[13][10] = 234.2;
	aaMtzoa[13][11] = 16.3;
	aaMtzoa[13][12] = 215.6;
	aaMtzoa[13][13] = 0;
	aaMtzoa[13][14] = 10.5;
	aaMtzoa[13][15] = 32.2;
	aaMtzoa[13][16] = 19.3;
	aaMtzoa[13][17] = 58.2;
	aaMtzoa[13][18] = 590.5;
	aaMtzoa[13][19] = 59.6;
	aaMtzoa[14][ 0] = 61.8;
	aaMtzoa[14][ 1] = 7.5;
	aaMtzoa[14][ 2] = 22.6;
	aaMtzoa[14][ 3] = 0.2;
	aaMtzoa[14][ 4] = 8.1;
	aaMtzoa[14][ 5] = 52.2;
	aaMtzoa[14][ 6] = 20.6;
	aaMtzoa[14][ 7] = 1.3;
	aaMtzoa[14][ 8] = 15.6;
	aaMtzoa[14][ 9] = 2.6;
	aaMtzoa[14][10] = 11.4;
	aaMtzoa[14][11] = 24.3;
	aaMtzoa[14][12] = 5.4;
	aaMtzoa[14][13] = 10.5;
	aaMtzoa[14][14] = 0;
	aaMtzoa[14][15] = 79.7;
	aaMtzoa[14][16] = 56.9;
	aaMtzoa[14][17] = 1.3;
	aaMtzoa[14][18] = 4.2;
	aaMtzoa[14][19] = 17.9;
	aaMtzoa[15][ 0] = 644.9;
	aaMtzoa[15][ 1] = 11.8;
	aaMtzoa[15][ 2] = 420.2;
	aaMtzoa[15][ 3] = 51.4;
	aaMtzoa[15][ 4] = 656.3;
	aaMtzoa[15][ 5] = 96.4;
	aaMtzoa[15][ 6] = 38.4;
	aaMtzoa[15][ 7] = 257.1;
	aaMtzoa[15][ 8] = 23.1;
	aaMtzoa[15][ 9] = 7.2;
	aaMtzoa[15][10] = 15.2;
	aaMtzoa[15][11] = 144.9;
	aaMtzoa[15][12] = 95.3;
	aaMtzoa[15][13] = 32.2;
	aaMtzoa[15][14] = 79.7;
	aaMtzoa[15][15] = 0;
	aaMtzoa[15][16] = 666.3;
	aaMtzoa[15][17] = 10.3;
	aaMtzoa[15][18] = 29.7;
	aaMtzoa[15][19] = 49.5;
	aaMtzoa[16][ 0] = 378.1;
	aaMtzoa[16][ 1] = 3.2;
	aaMtzoa[16][ 2] = 184.6;
	aaMtzoa[16][ 3] = 2.3;
	aaMtzoa[16][ 4] = 199;
	aaMtzoa[16][ 5] = 39.4;
	aaMtzoa[16][ 6] = 34.5;
	aaMtzoa[16][ 7] = 5.2;
	aaMtzoa[16][ 8] = 19.4;
	aaMtzoa[16][ 9] = 222.3;
	aaMtzoa[16][10] = 50;
	aaMtzoa[16][11] = 75.5;
	aaMtzoa[16][12] = 305.1;
	aaMtzoa[16][13] = 19.3;
	aaMtzoa[16][14] = 56.9;
	aaMtzoa[16][15] = 666.3;
	aaMtzoa[16][16] = 0;
	aaMtzoa[16][17] = 3.6;
	aaMtzoa[16][18] = 29;
	aaMtzoa[16][19] = 396.4;
	aaMtzoa[17][ 0] = 3.1;
	aaMtzoa[17][ 1] = 16.9;
	aaMtzoa[17][ 2] = 6.4;
	aaMtzoa[17][ 3] = 0.2;
	aaMtzoa[17][ 4] = 36.1;
	aaMtzoa[17][ 5] = 6.1;
	aaMtzoa[17][ 6] = 3.5;
	aaMtzoa[17][ 7] = 12.3;
	aaMtzoa[17][ 8] = 4.5;
	aaMtzoa[17][ 9] = 9.7;
	aaMtzoa[17][10] = 27.2;
	aaMtzoa[17][11] = 6.6;
	aaMtzoa[17][12] = 48.7;
	aaMtzoa[17][13] = 58.2;
	aaMtzoa[17][14] = 1.3;
	aaMtzoa[17][15] = 10.3;
	aaMtzoa[17][16] = 3.6;
	aaMtzoa[17][17] = 0;
	aaMtzoa[17][18] = 79.8;
	aaMtzoa[17][19] = 13.7;
	aaMtzoa[18][ 0] = 2.1;
	aaMtzoa[18][ 1] = 13.8;
	aaMtzoa[18][ 2] = 141.6;
	aaMtzoa[18][ 3] = 13.9;
	aaMtzoa[18][ 4] = 76.7;
	aaMtzoa[18][ 5] = 52.3;
	aaMtzoa[18][ 6] = 10;
	aaMtzoa[18][ 7] = 4.3;
	aaMtzoa[18][ 8] = 266.5;
	aaMtzoa[18][ 9] = 13.1;
	aaMtzoa[18][10] = 5.7;
	aaMtzoa[18][11] = 45;
	aaMtzoa[18][12] = 41.4;
	aaMtzoa[18][13] = 590.5;
	aaMtzoa[18][14] = 4.2;
	aaMtzoa[18][15] = 29.7;
	aaMtzoa[18][16] = 29;
	aaMtzoa[18][17] = 79.8;
	aaMtzoa[18][18] = 0;
	aaMtzoa[18][19] = 15.6;
	aaMtzoa[19][ 0] = 321.9;
	aaMtzoa[19][ 1] = 5.1;
	aaMtzoa[19][ 2] = 7.1;
	aaMtzoa[19][ 3] = 3.7;
	aaMtzoa[19][ 4] = 243.8;
	aaMtzoa[19][ 5] = 9;
	aaMtzoa[19][ 6] = 16.3;
	aaMtzoa[19][ 7] = 23.7;
	aaMtzoa[19][ 8] = 0.3;
	aaMtzoa[19][ 9] = 1710.6;
	aaMtzoa[19][10] = 126.1;
	aaMtzoa[19][11] = 11.1;
	aaMtzoa[19][12] = 279.6;
	aaMtzoa[19][13] = 59.6;
	aaMtzoa[19][14] = 17.9;
	aaMtzoa[19][15] = 49.5;
	aaMtzoa[19][16] = 396.4;
	aaMtzoa[19][17] = 13.7;
	aaMtzoa[19][18] = 15.6;
	aaMtzoa[19][19] = 0;

	mtzoaPi[ 0] = 0.068880;
	mtzoaPi[ 1] = 0.021037;
	mtzoaPi[ 2] = 0.030390;
	mtzoaPi[ 3] = 0.020696;
	mtzoaPi[ 4] = 0.009966;
	mtzoaPi[ 5] = 0.018623;
	mtzoaPi[ 6] = 0.024989;
	mtzoaPi[ 7] = 0.071968;
	mtzoaPi[ 8] = 0.026814;
	mtzoaPi[ 9] = 0.085072;
	mtzoaPi[10] = 0.156717;
	mtzoaPi[11] = 0.019276;
	mtzoaPi[12] = 0.050652;
	mtzoaPi[13] = 0.081712;
	mtzoaPi[14] = 0.044803;
	mtzoaPi[15] = 0.080535;
	mtzoaPi[16] = 0.056386;
	mtzoaPi[17] = 0.027998;
	mtzoaPi[18] = 0.037404;
	mtzoaPi[19] = 0.066083;

	/* PMB */
	aaPmb[ 0][ 0] = 0;
	aaPmb[ 0][ 1] = 0.674995699;
	aaPmb[ 0][ 2] = 0.589645178;
	aaPmb[ 0][ 3] = 0.462499504;
	aaPmb[ 0][ 4] = 1.065445546;
	aaPmb[ 0][ 5] = 1.111766964;
	aaPmb[ 0][ 6] = 1.046334652;
	aaPmb[ 0][ 7] = 1.587964372;
	aaPmb[ 0][ 8] = 0.580830874;
	aaPmb[ 0][ 9] = 0.464590585;
	aaPmb[ 0][10] = 0.804404505;
	aaPmb[ 0][11] = 0.831998835;
	aaPmb[ 0][12] = 1.546725076;
	aaPmb[ 0][13] = 0.546169219;
	aaPmb[ 0][14] = 1.241586045;
	aaPmb[ 0][15] = 3.452308792;
	aaPmb[ 0][16] = 1.751412803;
	aaPmb[ 0][17] = 0.35011051;
	aaPmb[ 0][18] = 0.573154753;
	aaPmb[ 0][19] = 2.063050067;
	aaPmb[ 1][ 0] = 0.674995699;
	aaPmb[ 1][ 1] = 0;
	aaPmb[ 1][ 2] = 1.189067034;
	aaPmb[ 1][ 3] = 0.605460903;
	aaPmb[ 1][ 4] = 0.31444833;
	aaPmb[ 1][ 5] = 2.967840934;
	aaPmb[ 1][ 6] = 1.201770702;
	aaPmb[ 1][ 7] = 0.523770553;
	aaPmb[ 1][ 8] = 1.457127446;
	aaPmb[ 1][ 9] = 0.35964586;
	aaPmb[ 1][10] = 0.520701585;
	aaPmb[ 1][11] = 4.956476453;
	aaPmb[ 1][12] = 0.81346254;
	aaPmb[ 1][13] = 0.303437244;
	aaPmb[ 1][14] = 0.65577338;
	aaPmb[ 1][15] = 0.910144334;
	aaPmb[ 1][16] = 0.89517149;
	aaPmb[ 1][17] = 0.618778365;
	aaPmb[ 1][18] = 0.628599063;
	aaPmb[ 1][19] = 0.388680158;
	aaPmb[ 2][ 0] = 0.589645178;
	aaPmb[ 2][ 1] = 1.189067034;
	aaPmb[ 2][ 2] = 0;
	aaPmb[ 2][ 3] = 3.573373315;
	aaPmb[ 2][ 4] = 0.589852457;
	aaPmb[ 2][ 5] = 2.299755865;
	aaPmb[ 2][ 6] = 1.277836748;
	aaPmb[ 2][ 7] = 1.374854049;
	aaPmb[ 2][ 8] = 2.283037894;
	aaPmb[ 2][ 9] = 0.426069419;
	aaPmb[ 2][10] = 0.41009447;
	aaPmb[ 2][11] = 2.037575629;
	aaPmb[ 2][12] = 0.737846301;
	aaPmb[ 2][13] = 0.425193716;
	aaPmb[ 2][14] = 0.711495595;
	aaPmb[ 2][15] = 2.572577221;
	aaPmb[ 2][16] = 1.823161023;
	aaPmb[ 2][17] = 0.422407388;
	aaPmb[ 2][18] = 0.720013799;
	aaPmb[ 2][19] = 0.474418852;
	aaPmb[ 3][ 0] = 0.462499504;
	aaPmb[ 3][ 1] = 0.605460903;
	aaPmb[ 3][ 2] = 3.573373315;
	aaPmb[ 3][ 3] = 0;
	aaPmb[ 3][ 4] = 0.246951424;
	aaPmb[ 3][ 5] = 1.686058219;
	aaPmb[ 3][ 6] = 4.399995525;
	aaPmb[ 3][ 7] = 0.734992057;
	aaPmb[ 3][ 8] = 0.839348444;
	aaPmb[ 3][ 9] = 0.266775558;
	aaPmb[ 3][10] = 0.269124919;
	aaPmb[ 3][11] = 1.114178954;
	aaPmb[ 3][12] = 0.341932741;
	aaPmb[ 3][13] = 0.219005213;
	aaPmb[ 3][14] = 0.775624818;
	aaPmb[ 3][15] = 1.440896785;
	aaPmb[ 3][16] = 0.994227284;
	aaPmb[ 3][17] = 0.362495245;
	aaPmb[ 3][18] = 0.436220437;
	aaPmb[ 3][19] = 0.275658381;
	aaPmb[ 4][ 0] = 1.065445546;
	aaPmb[ 4][ 1] = 0.31444833;
	aaPmb[ 4][ 2] = 0.589852457;
	aaPmb[ 4][ 3] = 0.246951424;
	aaPmb[ 4][ 4] = 0;
	aaPmb[ 4][ 5] = 0.245163782;
	aaPmb[ 4][ 6] = 0.091071867;
	aaPmb[ 4][ 7] = 0.31706632;
	aaPmb[ 4][ 8] = 0.411543728;
	aaPmb[ 4][ 9] = 0.417547309;
	aaPmb[ 4][10] = 0.450795211;
	aaPmb[ 4][11] = 0.274163536;
	aaPmb[ 4][12] = 0.618614612;
	aaPmb[ 4][13] = 0.669206193;
	aaPmb[ 4][14] = 0.198679914;
	aaPmb[ 4][15] = 0.99870098;
	aaPmb[ 4][16] = 0.847312432;
	aaPmb[ 4][17] = 0.445669347;
	aaPmb[ 4][18] = 0.55626163;
	aaPmb[ 4][19] = 0.998911631;
	aaPmb[ 5][ 0] = 1.111766964;
	aaPmb[ 5][ 1] = 2.967840934;
	aaPmb[ 5][ 2] = 2.299755865;
	aaPmb[ 5][ 3] = 1.686058219;
	aaPmb[ 5][ 4] = 0.245163782;
	aaPmb[ 5][ 5] = 0;
	aaPmb[ 5][ 6] = 4.15967899;
	aaPmb[ 5][ 7] = 0.596789898;
	aaPmb[ 5][ 8] = 1.812173605;
	aaPmb[ 5][ 9] = 0.315256838;
	aaPmb[ 5][10] = 0.625792937;
	aaPmb[ 5][11] = 3.521346591;
	aaPmb[ 5][12] = 2.067388546;
	aaPmb[ 5][13] = 0.406042546;
	aaPmb[ 5][14] = 0.850116543;
	aaPmb[ 5][15] = 1.348272505;
	aaPmb[ 5][16] = 1.320626678;
	aaPmb[ 5][17] = 0.72038474;
	aaPmb[ 5][18] = 0.728970584;
	aaPmb[ 5][19] = 0.634408285;
	aaPmb[ 6][ 0] = 1.046334652;
	aaPmb[ 6][ 1] = 1.201770702;
	aaPmb[ 6][ 2] = 1.277836748;
	aaPmb[ 6][ 3] = 4.399995525;
	aaPmb[ 6][ 4] = 0.091071867;
	aaPmb[ 6][ 5] = 4.15967899;
	aaPmb[ 6][ 6] = 0;
	aaPmb[ 6][ 7] = 0.463812837;
	aaPmb[ 6][ 8] = 0.877842609;
	aaPmb[ 6][ 9] = 0.30421529;
	aaPmb[ 6][10] = 0.32078471;
	aaPmb[ 6][11] = 2.415974716;
	aaPmb[ 6][12] = 0.531773639;
	aaPmb[ 6][13] = 0.224154698;
	aaPmb[ 6][14] = 0.794584081;
	aaPmb[ 6][15] = 1.205509425;
	aaPmb[ 6][16] = 0.949599791;
	aaPmb[ 6][17] = 0.261258229;
	aaPmb[ 6][18] = 0.50720003;
	aaPmb[ 6][19] = 0.527640634;
	aaPmb[ 7][ 0] = 1.587964372;
	aaPmb[ 7][ 1] = 0.523770553;
	aaPmb[ 7][ 2] = 1.374854049;
	aaPmb[ 7][ 3] = 0.734992057;
	aaPmb[ 7][ 4] = 0.31706632;
	aaPmb[ 7][ 5] = 0.596789898;
	aaPmb[ 7][ 6] = 0.463812837;
	aaPmb[ 7][ 7] = 0;
	aaPmb[ 7][ 8] = 0.476331437;
	aaPmb[ 7][ 9] = 0.180198883;
	aaPmb[ 7][10] = 0.259854426;
	aaPmb[ 7][11] = 0.581001076;
	aaPmb[ 7][12] = 0.465349326;
	aaPmb[ 7][13] = 0.35402891;
	aaPmb[ 7][14] = 0.588254139;
	aaPmb[ 7][15] = 1.402122097;
	aaPmb[ 7][16] = 0.542185658;
	aaPmb[ 7][17] = 0.37874827;
	aaPmb[ 7][18] = 0.284727562;
	aaPmb[ 7][19] = 0.314700907;
	aaPmb[ 8][ 0] = 0.580830874;
	aaPmb[ 8][ 1] = 1.457127446;
	aaPmb[ 8][ 2] = 2.283037894;
	aaPmb[ 8][ 3] = 0.839348444;
	aaPmb[ 8][ 4] = 0.411543728;
	aaPmb[ 8][ 5] = 1.812173605;
	aaPmb[ 8][ 6] = 0.877842609;
	aaPmb[ 8][ 7] = 0.476331437;
	aaPmb[ 8][ 8] = 0;
	aaPmb[ 8][ 9] = 0.285186418;
	aaPmb[ 8][10] = 0.363981358;
	aaPmb[ 8][11] = 0.985885486;
	aaPmb[ 8][12] = 0.380925433;
	aaPmb[ 8][13] = 0.576231691;
	aaPmb[ 8][14] = 0.456058589;
	aaPmb[ 8][15] = 0.799966711;
	aaPmb[ 8][16] = 0.83039281;
	aaPmb[ 8][17] = 0.72436751;
	aaPmb[ 8][18] = 2.210952064;
	aaPmb[ 8][19] = 0.305792277;
	aaPmb[ 9][ 0] = 0.464590585;
	aaPmb[ 9][ 1] = 0.35964586;
	aaPmb[ 9][ 2] = 0.426069419;
	aaPmb[ 9][ 3] = 0.266775558;
	aaPmb[ 9][ 4] = 0.417547309;
	aaPmb[ 9][ 5] = 0.315256838;
	aaPmb[ 9][ 6] = 0.30421529;
	aaPmb[ 9][ 7] = 0.180198883;
	aaPmb[ 9][ 8] = 0.285186418;
	aaPmb[ 9][ 9] = 0;
	aaPmb[ 9][10] = 4.162454693;
	aaPmb[ 9][11] = 0.374784947;
	aaPmb[ 9][12] = 3.65807012;
	aaPmb[ 9][13] = 1.495264661;
	aaPmb[ 9][14] = 0.366232942;
	aaPmb[ 9][15] = 0.530641901;
	aaPmb[ 9][16] = 1.114132523;
	aaPmb[ 9][17] = 0.516260502;
	aaPmb[ 9][18] = 0.570562395;
	aaPmb[ 9][19] = 8.002789424;
	aaPmb[10][ 0] = 0.804404505;
	aaPmb[10][ 1] = 0.520701585;
	aaPmb[10][ 2] = 0.41009447;
	aaPmb[10][ 3] = 0.269124919;
	aaPmb[10][ 4] = 0.450795211;
	aaPmb[10][ 5] = 0.625792937;
	aaPmb[10][ 6] = 0.32078471;
	aaPmb[10][ 7] = 0.259854426;
	aaPmb[10][ 8] = 0.363981358;
	aaPmb[10][ 9] = 4.162454693;
	aaPmb[10][10] = 0;
	aaPmb[10][11] = 0.498011337;
	aaPmb[10][12] = 5.002338375;
	aaPmb[10][13] = 2.392638293;
	aaPmb[10][14] = 0.430073179;
	aaPmb[10][15] = 0.402471997;
	aaPmb[10][16] = 0.779827336;
	aaPmb[10][17] = 0.794797115;
	aaPmb[10][18] = 0.811019594;
	aaPmb[10][19] = 2.113077156;
	aaPmb[11][ 0] = 0.831998835;
	aaPmb[11][ 1] = 4.956476453;
	aaPmb[11][ 2] = 2.037575629;
	aaPmb[11][ 3] = 1.114178954;
	aaPmb[11][ 4] = 0.274163536;
	aaPmb[11][ 5] = 3.521346591;
	aaPmb[11][ 6] = 2.415974716;
	aaPmb[11][ 7] = 0.581001076;
	aaPmb[11][ 8] = 0.985885486;
	aaPmb[11][ 9] = 0.374784947;
	aaPmb[11][10] = 0.498011337;
	aaPmb[11][11] = 0;
	aaPmb[11][12] = 0.661095832;
	aaPmb[11][13] = 0.269496317;
	aaPmb[11][14] = 1.036079005;
	aaPmb[11][15] = 1.234648153;
	aaPmb[11][16] = 1.290709079;
	aaPmb[11][17] = 0.43340962;
	aaPmb[11][18] = 0.664884513;
	aaPmb[11][19] = 0.526184203;
	aaPmb[12][ 0] = 1.546725076;
	aaPmb[12][ 1] = 0.81346254;
	aaPmb[12][ 2] = 0.737846301;
	aaPmb[12][ 3] = 0.341932741;
	aaPmb[12][ 4] = 0.618614612;
	aaPmb[12][ 5] = 2.067388546;
	aaPmb[12][ 6] = 0.531773639;
	aaPmb[12][ 7] = 0.465349326;
	aaPmb[12][ 8] = 0.380925433;
	aaPmb[12][ 9] = 3.65807012;
	aaPmb[12][10] = 5.002338375;
	aaPmb[12][11] = 0.661095832;
	aaPmb[12][12] = 0;
	aaPmb[12][13] = 2.306919847;
	aaPmb[12][14] = 0.337502282;
	aaPmb[12][15] = 0.945453716;
	aaPmb[12][16] = 1.551488041;
	aaPmb[12][17] = 0.768395107;
	aaPmb[12][18] = 0.93253606;
	aaPmb[12][19] = 1.737356217;
	aaPmb[13][ 0] = 0.546169219;
	aaPmb[13][ 1] = 0.303437244;
	aaPmb[13][ 2] = 0.425193716;
	aaPmb[13][ 3] = 0.219005213;
	aaPmb[13][ 4] = 0.669206193;
	aaPmb[13][ 5] = 0.406042546;
	aaPmb[13][ 6] = 0.224154698;
	aaPmb[13][ 7] = 0.35402891;
	aaPmb[13][ 8] = 0.576231691;
	aaPmb[13][ 9] = 1.495264661;
	aaPmb[13][10] = 2.392638293;
	aaPmb[13][11] = 0.269496317;
	aaPmb[13][12] = 2.306919847;
	aaPmb[13][13] = 0;
	aaPmb[13][14] = 0.481144863;
	aaPmb[13][15] = 0.613230817;
	aaPmb[13][16] = 0.718895136;
	aaPmb[13][17] = 3.29519344;
	aaPmb[13][18] = 5.894735673;
	aaPmb[13][19] = 0.983844803;
	aaPmb[14][ 0] = 1.241586045;
	aaPmb[14][ 1] = 0.65577338;
	aaPmb[14][ 2] = 0.711495595;
	aaPmb[14][ 3] = 0.775624818;
	aaPmb[14][ 4] = 0.198679914;
	aaPmb[14][ 5] = 0.850116543;
	aaPmb[14][ 6] = 0.794584081;
	aaPmb[14][ 7] = 0.588254139;
	aaPmb[14][ 8] = 0.456058589;
	aaPmb[14][ 9] = 0.366232942;
	aaPmb[14][10] = 0.430073179;
	aaPmb[14][11] = 1.036079005;
	aaPmb[14][12] = 0.337502282;
	aaPmb[14][13] = 0.481144863;
	aaPmb[14][14] = 0;
	aaPmb[14][15] = 1.217683028;
	aaPmb[14][16] = 0.780913179;
	aaPmb[14][17] = 0.499869138;
	aaPmb[14][18] = 0.433748126;
	aaPmb[14][19] = 0.551333603;
	aaPmb[15][ 0] = 3.452308792;
	aaPmb[15][ 1] = 0.910144334;
	aaPmb[15][ 2] = 2.572577221;
	aaPmb[15][ 3] = 1.440896785;
	aaPmb[15][ 4] = 0.99870098;
	aaPmb[15][ 5] = 1.348272505;
	aaPmb[15][ 6] = 1.205509425;
	aaPmb[15][ 7] = 1.402122097;
	aaPmb[15][ 8] = 0.799966711;
	aaPmb[15][ 9] = 0.530641901;
	aaPmb[15][10] = 0.402471997;
	aaPmb[15][11] = 1.234648153;
	aaPmb[15][12] = 0.945453716;
	aaPmb[15][13] = 0.613230817;
	aaPmb[15][14] = 1.217683028;
	aaPmb[15][15] = 0;
	aaPmb[15][16] = 4.448982584;
	aaPmb[15][17] = 0.496334956;
	aaPmb[15][18] = 0.593795813;
	aaPmb[15][19] = 0.507506011;
	aaPmb[16][ 0] = 1.751412803;
	aaPmb[16][ 1] = 0.89517149;
	aaPmb[16][ 2] = 1.823161023;
	aaPmb[16][ 3] = 0.994227284;
	aaPmb[16][ 4] = 0.847312432;
	aaPmb[16][ 5] = 1.320626678;
	aaPmb[16][ 6] = 0.949599791;
	aaPmb[16][ 7] = 0.542185658;
	aaPmb[16][ 8] = 0.83039281;
	aaPmb[16][ 9] = 1.114132523;
	aaPmb[16][10] = 0.779827336;
	aaPmb[16][11] = 1.290709079;
	aaPmb[16][12] = 1.551488041;
	aaPmb[16][13] = 0.718895136;
	aaPmb[16][14] = 0.780913179;
	aaPmb[16][15] = 4.448982584;
	aaPmb[16][16] = 0;
	aaPmb[16][17] = 0.38372361;
	aaPmb[16][18] = 0.523549536;
	aaPmb[16][19] = 1.89965079;
	aaPmb[17][ 0] = 0.35011051;
	aaPmb[17][ 1] = 0.618778365;
	aaPmb[17][ 2] = 0.422407388;
	aaPmb[17][ 3] = 0.362495245;
	aaPmb[17][ 4] = 0.445669347;
	aaPmb[17][ 5] = 0.72038474;
	aaPmb[17][ 6] = 0.261258229;
	aaPmb[17][ 7] = 0.37874827;
	aaPmb[17][ 8] = 0.72436751;
	aaPmb[17][ 9] = 0.516260502;
	aaPmb[17][10] = 0.794797115;
	aaPmb[17][11] = 0.43340962;
	aaPmb[17][12] = 0.768395107;
	aaPmb[17][13] = 3.29519344;
	aaPmb[17][14] = 0.499869138;
	aaPmb[17][15] = 0.496334956;
	aaPmb[17][16] = 0.38372361;
	aaPmb[17][17] = 0;
	aaPmb[17][18] = 2.996248013;
	aaPmb[17][19] = 0.429570747;
	aaPmb[18][ 0] = 0.573154753;
	aaPmb[18][ 1] = 0.628599063;
	aaPmb[18][ 2] = 0.720013799;
	aaPmb[18][ 3] = 0.436220437;
	aaPmb[18][ 4] = 0.55626163;
	aaPmb[18][ 5] = 0.728970584;
	aaPmb[18][ 6] = 0.50720003;
	aaPmb[18][ 7] = 0.284727562;
	aaPmb[18][ 8] = 2.210952064;
	aaPmb[18][ 9] = 0.570562395;
	aaPmb[18][10] = 0.811019594;
	aaPmb[18][11] = 0.664884513;
	aaPmb[18][12] = 0.93253606;
	aaPmb[18][13] = 5.894735673;
	aaPmb[18][14] = 0.433748126;
	aaPmb[18][15] = 0.593795813;
	aaPmb[18][16] = 0.523549536;
	aaPmb[18][17] = 2.996248013;
	aaPmb[18][18] = 0;
	aaPmb[18][19] = 0.716795463;
	aaPmb[19][ 0] = 2.063050067;
	aaPmb[19][ 1] = 0.388680158;
	aaPmb[19][ 2] = 0.474418852;
	aaPmb[19][ 3] = 0.275658381;
	aaPmb[19][ 4] = 0.998911631;
	aaPmb[19][ 5] = 0.634408285;
	aaPmb[19][ 6] = 0.527640634;
	aaPmb[19][ 7] = 0.314700907;
	aaPmb[19][ 8] = 0.305792277;
	aaPmb[19][ 9] = 8.002789424;
	aaPmb[19][10] = 2.113077156;
	aaPmb[19][11] = 0.526184203;
	aaPmb[19][12] = 1.737356217;
	aaPmb[19][13] = 0.983844803;
	aaPmb[19][14] = 0.551333603;
	aaPmb[19][15] = 0.507506011;
	aaPmb[19][16] = 1.89965079;
	aaPmb[19][17] = 0.429570747;
	aaPmb[19][18] = 0.716795463;
	aaPmb[19][19] = 0;

	pmbPi[ 0] = 0.075559;
	pmbPi[ 1] = 0.053764;
	pmbPi[ 2] = 0.037684;
	pmbPi[ 3] = 0.044693;
	pmbPi[ 4] = 0.028483;
	pmbPi[ 5] = 0.033893;
	pmbPi[ 6] = 0.053472;
	pmbPi[ 7] = 0.078036;
	pmbPi[ 8] = 0.03004;
	pmbPi[ 9] = 0.059869;
	pmbPi[10] = 0.095793;
	pmbPi[11] = 0.051997;
	pmbPi[12] = 0.021908;
	pmbPi[13] = 0.045001;
	pmbPi[14] = 0.042029;
	pmbPi[15] = 0.068212;
	pmbPi[16] = 0.056413;
	pmbPi[17] = 0.015725;
	pmbPi[18] = 0.035974;
	pmbPi[19] = 0.071456;

	/* LG model */
	aaLg[ 0][ 0] = 0;
	aaLg[ 0][ 1] = 0.425093;
	aaLg[ 0][ 2] = 0.276818;
	aaLg[ 0][ 3] = 0.395144;
	aaLg[ 0][ 4] = 2.489084;
	aaLg[ 0][ 5] = 0.969894;
	aaLg[ 0][ 6] = 1.038545;
	aaLg[ 0][ 7] = 2.06604;
	aaLg[ 0][ 8] = 0.358858;
	aaLg[ 0][ 9] = 0.14983;
	aaLg[ 0][10] = 0.395337;
	aaLg[ 0][11] = 0.536518;
	aaLg[ 0][12] = 1.124035;
	aaLg[ 0][13] = 0.253701;
	aaLg[ 0][14] = 1.177651;
	aaLg[ 0][15] = 4.727182;
	aaLg[ 0][16] = 2.139501;
	aaLg[ 0][17] = 0.180717;
	aaLg[ 0][18] = 0.218959;
	aaLg[ 0][19] = 2.54787;
	aaLg[ 1][ 0] = 0.425093;
	aaLg[ 1][ 1] = 0;
	aaLg[ 1][ 2] = 0.751878;
	aaLg[ 1][ 3] = 0.123954;
	aaLg[ 1][ 4] = 0.534551;
	aaLg[ 1][ 5] = 2.807908;
	aaLg[ 1][ 6] = 0.36397;
	aaLg[ 1][ 7] = 0.390192;
	aaLg[ 1][ 8] = 2.426601;
	aaLg[ 1][ 9] = 0.126991;
	aaLg[ 1][10] = 0.301848;
	aaLg[ 1][11] = 6.326067;
	aaLg[ 1][12] = 0.484133;
	aaLg[ 1][13] = 0.052722;
	aaLg[ 1][14] = 0.332533;
	aaLg[ 1][15] = 0.858151;
	aaLg[ 1][16] = 0.578987;
	aaLg[ 1][17] = 0.593607;
	aaLg[ 1][18] = 0.31444;
	aaLg[ 1][19] = 0.170887;
	aaLg[ 2][ 0] = 0.276818;
	aaLg[ 2][ 1] = 0.751878;
	aaLg[ 2][ 2] = 0;
	aaLg[ 2][ 3] = 5.076149;
	aaLg[ 2][ 4] = 0.528768;
	aaLg[ 2][ 5] = 1.695752;
	aaLg[ 2][ 6] = 0.541712;
	aaLg[ 2][ 7] = 1.437645;
	aaLg[ 2][ 8] = 4.509238;
	aaLg[ 2][ 9] = 0.191503;
	aaLg[ 2][10] = 0.068427;
	aaLg[ 2][11] = 2.145078;
	aaLg[ 2][12] = 0.371004;
	aaLg[ 2][13] = 0.089525;
	aaLg[ 2][14] = 0.161787;
	aaLg[ 2][15] = 4.008358;
	aaLg[ 2][16] = 2.000679;
	aaLg[ 2][17] = 0.045376;
	aaLg[ 2][18] = 0.612025;
	aaLg[ 2][19] = 0.083688;
	aaLg[ 3][ 0] = 0.395144;
	aaLg[ 3][ 1] = 0.123954;
	aaLg[ 3][ 2] = 5.076149;
	aaLg[ 3][ 3] = 0;
	aaLg[ 3][ 4] = 0.062556;
	aaLg[ 3][ 5] = 0.523386;
	aaLg[ 3][ 6] = 5.24387;
	aaLg[ 3][ 7] = 0.844926;
	aaLg[ 3][ 8] = 0.927114;
	aaLg[ 3][ 9] = 0.01069;
	aaLg[ 3][10] = 0.015076;
	aaLg[ 3][11] = 0.282959;
	aaLg[ 3][12] = 0.025548;
	aaLg[ 3][13] = 0.017416;
	aaLg[ 3][14] = 0.394456;
	aaLg[ 3][15] = 1.240275;
	aaLg[ 3][16] = 0.42586;
	aaLg[ 3][17] = 0.02989;
	aaLg[ 3][18] = 0.135107;
	aaLg[ 3][19] = 0.037967;
	aaLg[ 4][ 0] = 2.489084;
	aaLg[ 4][ 1] = 0.534551;
	aaLg[ 4][ 2] = 0.528768;
	aaLg[ 4][ 3] = 0.062556;
	aaLg[ 4][ 4] = 0;
	aaLg[ 4][ 5] = 0.084808;
	aaLg[ 4][ 6] = 0.003499;
	aaLg[ 4][ 7] = 0.569265;
	aaLg[ 4][ 8] = 0.640543;
	aaLg[ 4][ 9] = 0.320627;
	aaLg[ 4][10] = 0.594007;
	aaLg[ 4][11] = 0.013266;
	aaLg[ 4][12] = 0.89368;
	aaLg[ 4][13] = 1.105251;
	aaLg[ 4][14] = 0.075382;
	aaLg[ 4][15] = 2.784478;
	aaLg[ 4][16] = 1.14348;
	aaLg[ 4][17] = 0.670128;
	aaLg[ 4][18] = 1.165532;
	aaLg[ 4][19] = 1.959291;
	aaLg[ 5][ 0] = 0.969894;
	aaLg[ 5][ 1] = 2.807908;
	aaLg[ 5][ 2] = 1.695752;
	aaLg[ 5][ 3] = 0.523386;
	aaLg[ 5][ 4] = 0.084808;
	aaLg[ 5][ 5] = 0;
	aaLg[ 5][ 6] = 4.128591;
	aaLg[ 5][ 7] = 0.267959;
	aaLg[ 5][ 8] = 4.813505;
	aaLg[ 5][ 9] = 0.072854;
	aaLg[ 5][10] = 0.582457;
	aaLg[ 5][11] = 3.234294;
	aaLg[ 5][12] = 1.672569;
	aaLg[ 5][13] = 0.035855;
	aaLg[ 5][14] = 0.624294;
	aaLg[ 5][15] = 1.223828;
	aaLg[ 5][16] = 1.080136;
	aaLg[ 5][17] = 0.236199;
	aaLg[ 5][18] = 0.257336;
	aaLg[ 5][19] = 0.210332;
	aaLg[ 6][ 0] = 1.038545;
	aaLg[ 6][ 1] = 0.36397;
	aaLg[ 6][ 2] = 0.541712;
	aaLg[ 6][ 3] = 5.24387;
	aaLg[ 6][ 4] = 0.003499;
	aaLg[ 6][ 5] = 4.128591;
	aaLg[ 6][ 6] = 0;
	aaLg[ 6][ 7] = 0.348847;
	aaLg[ 6][ 8] = 0.423881;
	aaLg[ 6][ 9] = 0.044265;
	aaLg[ 6][10] = 0.069673;
	aaLg[ 6][11] = 1.807177;
	aaLg[ 6][12] = 0.173735;
	aaLg[ 6][13] = 0.018811;
	aaLg[ 6][14] = 0.419409;
	aaLg[ 6][15] = 0.611973;
	aaLg[ 6][16] = 0.604545;
	aaLg[ 6][17] = 0.077852;
	aaLg[ 6][18] = 0.120037;
	aaLg[ 6][19] = 0.245034;
	aaLg[ 7][ 0] = 2.06604;
	aaLg[ 7][ 1] = 0.390192;
	aaLg[ 7][ 2] = 1.437645;
	aaLg[ 7][ 3] = 0.844926;
	aaLg[ 7][ 4] = 0.569265;
	aaLg[ 7][ 5] = 0.267959;
	aaLg[ 7][ 6] = 0.348847;
	aaLg[ 7][ 7] = 0;
	aaLg[ 7][ 8] = 0.311484;
	aaLg[ 7][ 9] = 0.008705;
	aaLg[ 7][10] = 0.044261;
	aaLg[ 7][11] = 0.296636;
	aaLg[ 7][12] = 0.139538;
	aaLg[ 7][13] = 0.089586;
	aaLg[ 7][14] = 0.196961;
	aaLg[ 7][15] = 1.73999;
	aaLg[ 7][16] = 0.129836;
	aaLg[ 7][17] = 0.268491;
	aaLg[ 7][18] = 0.054679;
	aaLg[ 7][19] = 0.076701;
	aaLg[ 8][ 0] = 0.358858;
	aaLg[ 8][ 1] = 2.426601;
	aaLg[ 8][ 2] = 4.509238;
	aaLg[ 8][ 3] = 0.927114;
	aaLg[ 8][ 4] = 0.640543;
	aaLg[ 8][ 5] = 4.813505;
	aaLg[ 8][ 6] = 0.423881;
	aaLg[ 8][ 7] = 0.311484;
	aaLg[ 8][ 8] = 0;
	aaLg[ 8][ 9] = 0.108882;
	aaLg[ 8][10] = 0.366317;
	aaLg[ 8][11] = 0.697264;
	aaLg[ 8][12] = 0.442472;
	aaLg[ 8][13] = 0.682139;
	aaLg[ 8][14] = 0.508851;
	aaLg[ 8][15] = 0.990012;
	aaLg[ 8][16] = 0.584262;
	aaLg[ 8][17] = 0.597054;
	aaLg[ 8][18] = 5.306834;
	aaLg[ 8][19] = 0.119013;
	aaLg[ 9][ 0] = 0.14983;
	aaLg[ 9][ 1] = 0.126991;
	aaLg[ 9][ 2] = 0.191503;
	aaLg[ 9][ 3] = 0.01069;
	aaLg[ 9][ 4] = 0.320627;
	aaLg[ 9][ 5] = 0.072854;
	aaLg[ 9][ 6] = 0.044265;
	aaLg[ 9][ 7] = 0.008705;
	aaLg[ 9][ 8] = 0.108882;
	aaLg[ 9][ 9] = 0;
	aaLg[ 9][10] = 4.145067;
	aaLg[ 9][11] = 0.159069;
	aaLg[ 9][12] = 4.273607;
	aaLg[ 9][13] = 1.112727;
	aaLg[ 9][14] = 0.078281;
	aaLg[ 9][15] = 0.064105;
	aaLg[ 9][16] = 1.033739;
	aaLg[ 9][17] = 0.11166;
	aaLg[ 9][18] = 0.232523;
	aaLg[ 9][19] = 10.649107;
	aaLg[10][ 0] = 0.395337;
	aaLg[10][ 1] = 0.301848;
	aaLg[10][ 2] = 0.068427;
	aaLg[10][ 3] = 0.015076;
	aaLg[10][ 4] = 0.594007;
	aaLg[10][ 5] = 0.582457;
	aaLg[10][ 6] = 0.069673;
	aaLg[10][ 7] = 0.044261;
	aaLg[10][ 8] = 0.366317;
	aaLg[10][ 9] = 4.145067;
	aaLg[10][10] = 0;
	aaLg[10][11] = 0.1375;
	aaLg[10][12] = 6.312358;
	aaLg[10][13] = 2.592692;
	aaLg[10][14] = 0.24906;
	aaLg[10][15] = 0.182287;
	aaLg[10][16] = 0.302936;
	aaLg[10][17] = 0.619632;
	aaLg[10][18] = 0.299648;
	aaLg[10][19] = 1.702745;
	aaLg[11][ 0] = 0.536518;
	aaLg[11][ 1] = 6.326067;
	aaLg[11][ 2] = 2.145078;
	aaLg[11][ 3] = 0.282959;
	aaLg[11][ 4] = 0.013266;
	aaLg[11][ 5] = 3.234294;
	aaLg[11][ 6] = 1.807177;
	aaLg[11][ 7] = 0.296636;
	aaLg[11][ 8] = 0.697264;
	aaLg[11][ 9] = 0.159069;
	aaLg[11][10] = 0.1375;
	aaLg[11][11] = 0;
	aaLg[11][12] = 0.656604;
	aaLg[11][13] = 0.023918;
	aaLg[11][14] = 0.390322;
	aaLg[11][15] = 0.748683;
	aaLg[11][16] = 1.136863;
	aaLg[11][17] = 0.049906;
	aaLg[11][18] = 0.131932;
	aaLg[11][19] = 0.185202;
	aaLg[12][ 0] = 1.124035;
	aaLg[12][ 1] = 0.484133;
	aaLg[12][ 2] = 0.371004;
	aaLg[12][ 3] = 0.025548;
	aaLg[12][ 4] = 0.89368;
	aaLg[12][ 5] = 1.672569;
	aaLg[12][ 6] = 0.173735;
	aaLg[12][ 7] = 0.139538;
	aaLg[12][ 8] = 0.442472;
	aaLg[12][ 9] = 4.273607;
	aaLg[12][10] = 6.312358;
	aaLg[12][11] = 0.656604;
	aaLg[12][12] = 0;
	aaLg[12][13] = 1.798853;
	aaLg[12][14] = 0.099849;
	aaLg[12][15] = 0.34696;
	aaLg[12][16] = 2.020366;
	aaLg[12][17] = 0.696175;
	aaLg[12][18] = 0.481306;
	aaLg[12][19] = 1.898718;
	aaLg[13][ 0] = 0.253701;
	aaLg[13][ 1] = 0.052722;
	aaLg[13][ 2] = 0.089525;
	aaLg[13][ 3] = 0.017416;
	aaLg[13][ 4] = 1.105251;
	aaLg[13][ 5] = 0.035855;
	aaLg[13][ 6] = 0.018811;
	aaLg[13][ 7] = 0.089586;
	aaLg[13][ 8] = 0.682139;
	aaLg[13][ 9] = 1.112727;
	aaLg[13][10] = 2.592692;
	aaLg[13][11] = 0.023918;
	aaLg[13][12] = 1.798853;
	aaLg[13][13] = 0;
	aaLg[13][14] = 0.094464;
	aaLg[13][15] = 0.361819;
	aaLg[13][16] = 0.165001;
	aaLg[13][17] = 2.457121;
	aaLg[13][18] = 7.803902;
	aaLg[13][19] = 0.654683;
	aaLg[14][ 0] = 1.177651;
	aaLg[14][ 1] = 0.332533;
	aaLg[14][ 2] = 0.161787;
	aaLg[14][ 3] = 0.394456;
	aaLg[14][ 4] = 0.075382;
	aaLg[14][ 5] = 0.624294;
	aaLg[14][ 6] = 0.419409;
	aaLg[14][ 7] = 0.196961;
	aaLg[14][ 8] = 0.508851;
	aaLg[14][ 9] = 0.078281;
	aaLg[14][10] = 0.24906;
	aaLg[14][11] = 0.390322;
	aaLg[14][12] = 0.099849;
	aaLg[14][13] = 0.094464;
	aaLg[14][14] = 0;
	aaLg[14][15] = 1.338132;
	aaLg[14][16] = 0.571468;
	aaLg[14][17] = 0.095131;
	aaLg[14][18] = 0.089613;
	aaLg[14][19] = 0.296501;
	aaLg[15][ 0] = 4.727182;
	aaLg[15][ 1] = 0.858151;
	aaLg[15][ 2] = 4.008358;
	aaLg[15][ 3] = 1.240275;
	aaLg[15][ 4] = 2.784478;
	aaLg[15][ 5] = 1.223828;
	aaLg[15][ 6] = 0.611973;
	aaLg[15][ 7] = 1.73999;
	aaLg[15][ 8] = 0.990012;
	aaLg[15][ 9] = 0.064105;
	aaLg[15][10] = 0.182287;
	aaLg[15][11] = 0.748683;
	aaLg[15][12] = 0.34696;
	aaLg[15][13] = 0.361819;
	aaLg[15][14] = 1.338132;
	aaLg[15][15] = 0;
	aaLg[15][16] = 6.472279;
	aaLg[15][17] = 0.248862;
	aaLg[15][18] = 0.400547;
	aaLg[15][19] = 0.098369;
	aaLg[16][ 0] = 2.139501;
	aaLg[16][ 1] = 0.578987;
	aaLg[16][ 2] = 2.000679;
	aaLg[16][ 3] = 0.42586;
	aaLg[16][ 4] = 1.14348;
	aaLg[16][ 5] = 1.080136;
	aaLg[16][ 6] = 0.604545;
	aaLg[16][ 7] = 0.129836;
	aaLg[16][ 8] = 0.584262;
	aaLg[16][ 9] = 1.033739;
	aaLg[16][10] = 0.302936;
	aaLg[16][11] = 1.136863;
	aaLg[16][12] = 2.020366;
	aaLg[16][13] = 0.165001;
	aaLg[16][14] = 0.571468;
	aaLg[16][15] = 6.472279;
	aaLg[16][16] = 0;
	aaLg[16][17] = 0.140825;
	aaLg[16][18] = 0.245841;
	aaLg[16][19] = 2.188158;
	aaLg[17][ 0] = 0.180717;
	aaLg[17][ 1] = 0.593607;
	aaLg[17][ 2] = 0.045376;
	aaLg[17][ 3] = 0.02989;
	aaLg[17][ 4] = 0.670128;
	aaLg[17][ 5] = 0.236199;
	aaLg[17][ 6] = 0.077852;
	aaLg[17][ 7] = 0.268491;
	aaLg[17][ 8] = 0.597054;
	aaLg[17][ 9] = 0.11166;
	aaLg[17][10] = 0.619632;
	aaLg[17][11] = 0.049906;
	aaLg[17][12] = 0.696175;
	aaLg[17][13] = 2.457121;
	aaLg[17][14] = 0.095131;
	aaLg[17][15] = 0.248862;
	aaLg[17][16] = 0.140825;
	aaLg[17][17] = 0;
	aaLg[17][18] = 3.151815;
	aaLg[17][19] = 0.18951;
	aaLg[18][ 0] = 0.218959;
	aaLg[18][ 1] = 0.31444;
	aaLg[18][ 2] = 0.612025;
	aaLg[18][ 3] = 0.135107;
	aaLg[18][ 4] = 1.165532;
	aaLg[18][ 5] = 0.257336;
	aaLg[18][ 6] = 0.120037;
	aaLg[18][ 7] = 0.054679;
	aaLg[18][ 8] = 5.306834;
	aaLg[18][ 9] = 0.232523;
	aaLg[18][10] = 0.299648;
	aaLg[18][11] = 0.131932;
	aaLg[18][12] = 0.481306;
	aaLg[18][13] = 7.803902;
	aaLg[18][14] = 0.089613;
	aaLg[18][15] = 0.400547;
	aaLg[18][16] = 0.245841;
	aaLg[18][17] = 3.151815;
	aaLg[18][18] = 0;
	aaLg[18][19] = 0.249313;
	aaLg[19][ 0] = 2.54787;
	aaLg[19][ 1] = 0.170887;
	aaLg[19][ 2] = 0.083688;
	aaLg[19][ 3] = 0.037967;
	aaLg[19][ 4] = 1.959291;
	aaLg[19][ 5] = 0.210332;
	aaLg[19][ 6] = 0.245034;
	aaLg[19][ 7] = 0.076701;
	aaLg[19][ 8] = 0.119013;
	aaLg[19][ 9] = 10.649107;
	aaLg[19][10] = 1.702745;
	aaLg[19][11] = 0.185202;
	aaLg[19][12] = 1.898718;
	aaLg[19][13] = 0.654683;
	aaLg[19][14] = 0.296501;
	aaLg[19][15] = 0.098369;
	aaLg[19][16] = 2.188158;
	aaLg[19][17] = 0.18951;
	aaLg[19][18] = 0.249313;
	aaLg[19][19] = 0;
	lgPi[ 0] = 0.079066;
	lgPi[ 1] = 0.055941;
	lgPi[ 2] = 0.041977;
	lgPi[ 3] = 0.053052;
	lgPi[ 4] = 0.012937;
	lgPi[ 5] = 0.040767;
	lgPi[ 6] = 0.071586;
	lgPi[ 7] = 0.057337;
	lgPi[ 8] = 0.022355;
	lgPi[ 9] = 0.062157;
	lgPi[10] = 0.099081;
	lgPi[11] = 0.064600;
	lgPi[12] = 0.022951;
	lgPi[13] = 0.042302;
	lgPi[14] = 0.044040;
	lgPi[15] = 0.061197;
	lgPi[16] = 0.053287;
	lgPi[17] = 0.012066;
	lgPi[18] = 0.034155;
	lgPi[19] = 0.069147;

	/* HIVb model */
	aaHivb[ 0][ 0] = 0;
	aaHivb[ 0][ 1] = 0.307507;
	aaHivb[ 0][ 2] = 0.005;
	aaHivb[ 0][ 3] = 1.45504;
	aaHivb[ 0][ 4] = 0.123758;
	aaHivb[ 0][ 5] = 0.0551128;
	aaHivb[ 0][ 6] = 1.48135;
	aaHivb[ 0][ 7] = 2.13536;
	aaHivb[ 0][ 8] = 0.0847613;
	aaHivb[ 0][ 9] = 0.005;
	aaHivb[ 0][10] = 0.215256;
	aaHivb[ 0][11] = 0.005;
	aaHivb[ 0][12] = 0.0186643;
	aaHivb[ 0][13] = 0.0141269;
	aaHivb[ 0][14] = 2.12217;
	aaHivb[ 0][15] = 2.46633;
	aaHivb[ 0][16] = 15.9183;
	aaHivb[ 0][17] = 0.005;
	aaHivb[ 0][18] = 0.005;
	aaHivb[ 0][19] = 7.61428;
	aaHivb[ 1][ 0] = 0.307507;
	aaHivb[ 1][ 1] = 0;
	aaHivb[ 1][ 2] = 0.295543;
	aaHivb[ 1][ 3] = 0.005;
	aaHivb[ 1][ 4] = 0.351721;
	aaHivb[ 1][ 5] = 3.4215;
	aaHivb[ 1][ 6] = 0.0749218;
	aaHivb[ 1][ 7] = 3.65345;
	aaHivb[ 1][ 8] = 9.04044;
	aaHivb[ 1][ 9] = 0.677289;
	aaHivb[ 1][10] = 0.701427;
	aaHivb[ 1][11] = 20.45;
	aaHivb[ 1][12] = 2.51394;
	aaHivb[ 1][13] = 0.005;
	aaHivb[ 1][14] = 1.28355;
	aaHivb[ 1][15] = 3.4791;
	aaHivb[ 1][16] = 2.86868;
	aaHivb[ 1][17] = 0.991338;
	aaHivb[ 1][18] = 0.00991826;
	aaHivb[ 1][19] = 0.0812454;
	aaHivb[ 2][ 0] = 0.005;
	aaHivb[ 2][ 1] = 0.295543;
	aaHivb[ 2][ 2] = 0;
	aaHivb[ 2][ 3] = 17.6612;
	aaHivb[ 2][ 4] = 0.0860642;
	aaHivb[ 2][ 5] = 0.672052;
	aaHivb[ 2][ 6] = 0.0792633;
	aaHivb[ 2][ 7] = 0.323401;
	aaHivb[ 2][ 8] = 7.64585;
	aaHivb[ 2][ 9] = 0.680565;
	aaHivb[ 2][10] = 0.005;
	aaHivb[ 2][11] = 7.90443;
	aaHivb[ 2][12] = 0.005;
	aaHivb[ 2][13] = 0.005;
	aaHivb[ 2][14] = 0.00739578;
	aaHivb[ 2][15] = 13.1447;
	aaHivb[ 2][16] = 6.88667;
	aaHivb[ 2][17] = 0.005;
	aaHivb[ 2][18] = 1.76417;
	aaHivb[ 2][19] = 0.026656;
	aaHivb[ 3][ 0] = 1.45504;
	aaHivb[ 3][ 1] = 0.005;
	aaHivb[ 3][ 2] = 17.6612;
	aaHivb[ 3][ 3] = 0;
	aaHivb[ 3][ 4] = 0.005;
	aaHivb[ 3][ 5] = 0.005;
	aaHivb[ 3][ 6] = 10.5872;
	aaHivb[ 3][ 7] = 2.83806;
	aaHivb[ 3][ 8] = 1.9169;
	aaHivb[ 3][ 9] = 0.0176792;
	aaHivb[ 3][10] = 0.00876048;
	aaHivb[ 3][11] = 0.005;
	aaHivb[ 3][12] = 0.005;
	aaHivb[ 3][13] = 0.005;
	aaHivb[ 3][14] = 0.0342658;
	aaHivb[ 3][15] = 0.52823;
	aaHivb[ 3][16] = 0.274724;
	aaHivb[ 3][17] = 0.005;
	aaHivb[ 3][18] = 0.674653;
	aaHivb[ 3][19] = 1.04793;
	aaHivb[ 4][ 0] = 0.123758;
	aaHivb[ 4][ 1] = 0.351721;
	aaHivb[ 4][ 2] = 0.0860642;
	aaHivb[ 4][ 3] = 0.005;
	aaHivb[ 4][ 4] = 0;
	aaHivb[ 4][ 5] = 0.005;
	aaHivb[ 4][ 6] = 0.005;
	aaHivb[ 4][ 7] = 0.897871;
	aaHivb[ 4][ 8] = 0.240073;
	aaHivb[ 4][ 9] = 0.005;
	aaHivb[ 4][10] = 0.129777;
	aaHivb[ 4][11] = 0.005;
	aaHivb[ 4][12] = 0.005;
	aaHivb[ 4][13] = 9.29815;
	aaHivb[ 4][14] = 0.005;
	aaHivb[ 4][15] = 4.69314;
	aaHivb[ 4][16] = 0.739969;
	aaHivb[ 4][17] = 2.63277;
	aaHivb[ 4][18] = 7.57932;
	aaHivb[ 4][19] = 0.420027;
	aaHivb[ 5][ 0] = 0.0551128;
	aaHivb[ 5][ 1] = 3.4215;
	aaHivb[ 5][ 2] = 0.672052;
	aaHivb[ 5][ 3] = 0.005;
	aaHivb[ 5][ 4] = 0.005;
	aaHivb[ 5][ 5] = 0;
	aaHivb[ 5][ 6] = 2.5602;
	aaHivb[ 5][ 7] = 0.0619137;
	aaHivb[ 5][ 8] = 7.05545;
	aaHivb[ 5][ 9] = 0.005;
	aaHivb[ 5][10] = 1.49456;
	aaHivb[ 5][11] = 6.54737;
	aaHivb[ 5][12] = 0.303676;
	aaHivb[ 5][13] = 0.005;
	aaHivb[ 5][14] = 4.47211;
	aaHivb[ 5][15] = 0.116311;
	aaHivb[ 5][16] = 0.243589;
	aaHivb[ 5][17] = 0.026656;
	aaHivb[ 5][18] = 0.113033;
	aaHivb[ 5][19] = 0.0209153;
	aaHivb[ 6][ 0] = 1.48135;
	aaHivb[ 6][ 1] = 0.0749218;
	aaHivb[ 6][ 2] = 0.0792633;
	aaHivb[ 6][ 3] = 10.5872;
	aaHivb[ 6][ 4] = 0.005;
	aaHivb[ 6][ 5] = 2.5602;
	aaHivb[ 6][ 6] = 0;
	aaHivb[ 6][ 7] = 3.92775;
	aaHivb[ 6][ 8] = 0.11974;
	aaHivb[ 6][ 9] = 0.00609079;
	aaHivb[ 6][10] = 0.005;
	aaHivb[ 6][11] = 4.61482;
	aaHivb[ 6][12] = 0.175789;
	aaHivb[ 6][13] = 0.005;
	aaHivb[ 6][14] = 0.0120226;
	aaHivb[ 6][15] = 0.005;
	aaHivb[ 6][16] = 0.289774;
	aaHivb[ 6][17] = 0.005;
	aaHivb[ 6][18] = 0.0792633;
	aaHivb[ 6][19] = 1.02847;
	aaHivb[ 7][ 0] = 2.13536;
	aaHivb[ 7][ 1] = 3.65345;
	aaHivb[ 7][ 2] = 0.323401;
	aaHivb[ 7][ 3] = 2.83806;
	aaHivb[ 7][ 4] = 0.897871;
	aaHivb[ 7][ 5] = 0.0619137;
	aaHivb[ 7][ 6] = 3.92775;
	aaHivb[ 7][ 7] = 0;
	aaHivb[ 7][ 8] = 0.005;
	aaHivb[ 7][ 9] = 0.005;
	aaHivb[ 7][10] = 0.005;
	aaHivb[ 7][11] = 0.521705;
	aaHivb[ 7][12] = 0.005;
	aaHivb[ 7][13] = 0.291561;
	aaHivb[ 7][14] = 0.005;
	aaHivb[ 7][15] = 4.38041;
	aaHivb[ 7][16] = 0.369615;
	aaHivb[ 7][17] = 1.21674;
	aaHivb[ 7][18] = 0.005;
	aaHivb[ 7][19] = 0.953155;
	aaHivb[ 8][ 0] = 0.0847613;
	aaHivb[ 8][ 1] = 9.04044;
	aaHivb[ 8][ 2] = 7.64585;
	aaHivb[ 8][ 3] = 1.9169;
	aaHivb[ 8][ 4] = 0.240073;
	aaHivb[ 8][ 5] = 7.05545;
	aaHivb[ 8][ 6] = 0.11974;
	aaHivb[ 8][ 7] = 0.005;
	aaHivb[ 8][ 8] = 0;
	aaHivb[ 8][ 9] = 0.103111;
	aaHivb[ 8][10] = 1.74171;
	aaHivb[ 8][11] = 0.005;
	aaHivb[ 8][12] = 0.005;
	aaHivb[ 8][13] = 0.145558;
	aaHivb[ 8][14] = 2.45318;
	aaHivb[ 8][15] = 0.382747;
	aaHivb[ 8][16] = 0.711594;
	aaHivb[ 8][17] = 0.0695179;
	aaHivb[ 8][18] = 18.6943;
	aaHivb[ 8][19] = 0.005;
	aaHivb[ 9][ 0] = 0.005;
	aaHivb[ 9][ 1] = 0.677289;
	aaHivb[ 9][ 2] = 0.680565;
	aaHivb[ 9][ 3] = 0.0176792;
	aaHivb[ 9][ 4] = 0.005;
	aaHivb[ 9][ 5] = 0.005;
	aaHivb[ 9][ 6] = 0.00609079;
	aaHivb[ 9][ 7] = 0.005;
	aaHivb[ 9][ 8] = 0.103111;
	aaHivb[ 9][ 9] = 0;
	aaHivb[ 9][10] = 5.95879;
	aaHivb[ 9][11] = 0.322319;
	aaHivb[ 9][12] = 11.2065;
	aaHivb[ 9][13] = 3.39836;
	aaHivb[ 9][14] = 0.0410593;
	aaHivb[ 9][15] = 1.21803;
	aaHivb[ 9][16] = 8.61217;
	aaHivb[ 9][17] = 0.005;
	aaHivb[ 9][18] = 0.148168;
	aaHivb[ 9][19] = 17.7389;
	aaHivb[10][ 0] = 0.215256;
	aaHivb[10][ 1] = 0.701427;
	aaHivb[10][ 2] = 0.005;
	aaHivb[10][ 3] = 0.00876048;
	aaHivb[10][ 4] = 0.129777;
	aaHivb[10][ 5] = 1.49456;
	aaHivb[10][ 6] = 0.005;
	aaHivb[10][ 7] = 0.005;
	aaHivb[10][ 8] = 1.74171;
	aaHivb[10][ 9] = 5.95879;
	aaHivb[10][10] = 0;
	aaHivb[10][11] = 0.0814995;
	aaHivb[10][12] = 5.31961;
	aaHivb[10][13] = 8.52484;
	aaHivb[10][14] = 2.07757;
	aaHivb[10][15] = 0.927656;
	aaHivb[10][16] = 0.0437673;
	aaHivb[10][17] = 0.748843;
	aaHivb[10][18] = 0.111986;
	aaHivb[10][19] = 1.41036;
	aaHivb[11][ 0] = 0.005;
	aaHivb[11][ 1] = 20.45;
	aaHivb[11][ 2] = 7.90443;
	aaHivb[11][ 3] = 0.005;
	aaHivb[11][ 4] = 0.005;
	aaHivb[11][ 5] = 6.54737;
	aaHivb[11][ 6] = 4.61482;
	aaHivb[11][ 7] = 0.521705;
	aaHivb[11][ 8] = 0.005;
	aaHivb[11][ 9] = 0.322319;
	aaHivb[11][10] = 0.0814995;
	aaHivb[11][11] = 0;
	aaHivb[11][12] = 1.28246;
	aaHivb[11][13] = 0.0342658;
	aaHivb[11][14] = 0.0313862;
	aaHivb[11][15] = 0.504111;
	aaHivb[11][16] = 4.67142;
	aaHivb[11][17] = 0.005;
	aaHivb[11][18] = 0.005;
	aaHivb[11][19] = 0.265829;
	aaHivb[12][ 0] = 0.0186643;
	aaHivb[12][ 1] = 2.51394;
	aaHivb[12][ 2] = 0.005;
	aaHivb[12][ 3] = 0.005;
	aaHivb[12][ 4] = 0.005;
	aaHivb[12][ 5] = 0.303676;
	aaHivb[12][ 6] = 0.175789;
	aaHivb[12][ 7] = 0.005;
	aaHivb[12][ 8] = 0.005;
	aaHivb[12][ 9] = 11.2065;
	aaHivb[12][10] = 5.31961;
	aaHivb[12][11] = 1.28246;
	aaHivb[12][12] = 0;
	aaHivb[12][13] = 0.188025;
	aaHivb[12][14] = 0.005;
	aaHivb[12][15] = 0.005;
	aaHivb[12][16] = 4.94026;
	aaHivb[12][17] = 0.089078;
	aaHivb[12][18] = 0.005;
	aaHivb[12][19] = 6.8532;
	aaHivb[13][ 0] = 0.0141269;
	aaHivb[13][ 1] = 0.005;
	aaHivb[13][ 2] = 0.005;
	aaHivb[13][ 3] = 0.005;
	aaHivb[13][ 4] = 9.29815;
	aaHivb[13][ 5] = 0.005;
	aaHivb[13][ 6] = 0.005;
	aaHivb[13][ 7] = 0.291561;
	aaHivb[13][ 8] = 0.145558;
	aaHivb[13][ 9] = 3.39836;
	aaHivb[13][10] = 8.52484;
	aaHivb[13][11] = 0.0342658;
	aaHivb[13][12] = 0.188025;
	aaHivb[13][13] = 0;
	aaHivb[13][14] = 0.005;
	aaHivb[13][15] = 0.956472;
	aaHivb[13][16] = 0.0141269;
	aaHivb[13][17] = 0.829343;
	aaHivb[13][18] = 15.34;
	aaHivb[13][19] = 0.723274;
	aaHivb[14][ 0] = 2.12217;
	aaHivb[14][ 1] = 1.28355;
	aaHivb[14][ 2] = 0.00739578;
	aaHivb[14][ 3] = 0.0342658;
	aaHivb[14][ 4] = 0.005;
	aaHivb[14][ 5] = 4.47211;
	aaHivb[14][ 6] = 0.0120226;
	aaHivb[14][ 7] = 0.005;
	aaHivb[14][ 8] = 2.45318;
	aaHivb[14][ 9] = 0.0410593;
	aaHivb[14][10] = 2.07757;
	aaHivb[14][11] = 0.0313862;
	aaHivb[14][12] = 0.005;
	aaHivb[14][13] = 0.005;
	aaHivb[14][14] = 0;
	aaHivb[14][15] = 5.37762;
	aaHivb[14][16] = 2.01417;
	aaHivb[14][17] = 0.0444506;
	aaHivb[14][18] = 0.0304381;
	aaHivb[14][19] = 0.005;
	aaHivb[15][ 0] = 2.46633;
	aaHivb[15][ 1] = 3.4791;
	aaHivb[15][ 2] = 13.1447;
	aaHivb[15][ 3] = 0.52823;
	aaHivb[15][ 4] = 4.69314;
	aaHivb[15][ 5] = 0.116311;
	aaHivb[15][ 6] = 0.005;
	aaHivb[15][ 7] = 4.38041;
	aaHivb[15][ 8] = 0.382747;
	aaHivb[15][ 9] = 1.21803;
	aaHivb[15][10] = 0.927656;
	aaHivb[15][11] = 0.504111;
	aaHivb[15][12] = 0.005;
	aaHivb[15][13] = 0.956472;
	aaHivb[15][14] = 5.37762;
	aaHivb[15][15] = 0;
	aaHivb[15][16] = 8.93107;
	aaHivb[15][17] = 0.0248728;
	aaHivb[15][18] = 0.648024;
	aaHivb[15][19] = 0.0749218;
	aaHivb[16][ 0] = 15.9183;
	aaHivb[16][ 1] = 2.86868;
	aaHivb[16][ 2] = 6.88667;
	aaHivb[16][ 3] = 0.274724;
	aaHivb[16][ 4] = 0.739969;
	aaHivb[16][ 5] = 0.243589;
	aaHivb[16][ 6] = 0.289774;
	aaHivb[16][ 7] = 0.369615;
	aaHivb[16][ 8] = 0.711594;
	aaHivb[16][ 9] = 8.61217;
	aaHivb[16][10] = 0.0437673;
	aaHivb[16][11] = 4.67142;
	aaHivb[16][12] = 4.94026;
	aaHivb[16][13] = 0.0141269;
	aaHivb[16][14] = 2.01417;
	aaHivb[16][15] = 8.93107;
	aaHivb[16][16] = 0;
	aaHivb[16][17] = 0.005;
	aaHivb[16][18] = 0.105652;
	aaHivb[16][19] = 0.709226;
	aaHivb[17][ 0] = 0.005;
	aaHivb[17][ 1] = 0.991338;
	aaHivb[17][ 2] = 0.005;
	aaHivb[17][ 3] = 0.005;
	aaHivb[17][ 4] = 2.63277;
	aaHivb[17][ 5] = 0.026656;
	aaHivb[17][ 6] = 0.005;
	aaHivb[17][ 7] = 1.21674;
	aaHivb[17][ 8] = 0.0695179;
	aaHivb[17][ 9] = 0.005;
	aaHivb[17][10] = 0.748843;
	aaHivb[17][11] = 0.005;
	aaHivb[17][12] = 0.089078;
	aaHivb[17][13] = 0.829343;
	aaHivb[17][14] = 0.0444506;
	aaHivb[17][15] = 0.0248728;
	aaHivb[17][16] = 0.005;
	aaHivb[17][17] = 0;
	aaHivb[17][18] = 1.28022;
	aaHivb[17][19] = 0.005;
	aaHivb[18][ 0] = 0.005;
	aaHivb[18][ 1] = 0.00991826;
	aaHivb[18][ 2] = 1.76417;
	aaHivb[18][ 3] = 0.674653;
	aaHivb[18][ 4] = 7.57932;
	aaHivb[18][ 5] = 0.113033;
	aaHivb[18][ 6] = 0.0792633;
	aaHivb[18][ 7] = 0.005;
	aaHivb[18][ 8] = 18.6943;
	aaHivb[18][ 9] = 0.148168;
	aaHivb[18][10] = 0.111986;
	aaHivb[18][11] = 0.005;
	aaHivb[18][12] = 0.005;
	aaHivb[18][13] = 15.34;
	aaHivb[18][14] = 0.0304381;
	aaHivb[18][15] = 0.648024;
	aaHivb[18][16] = 0.105652;
	aaHivb[18][17] = 1.28022;
	aaHivb[18][18] = 0;
	aaHivb[18][19] = 0.0410593;
	aaHivb[19][ 0] = 7.61428;
	aaHivb[19][ 1] = 0.0812454;
	aaHivb[19][ 2] = 0.026656;
	aaHivb[19][ 3] = 1.04793;
	aaHivb[19][ 4] = 0.420027;
	aaHivb[19][ 5] = 0.0209153;
	aaHivb[19][ 6] = 1.02847;
	aaHivb[19][ 7] = 0.953155;
	aaHivb[19][ 8] = 0.005;
	aaHivb[19][ 9] = 17.7389;
	aaHivb[19][10] = 1.41036;
	aaHivb[19][11] = 0.265829;
	aaHivb[19][12] = 6.8532;
	aaHivb[19][13] = 0.723274;
	aaHivb[19][14] = 0.005;
	aaHivb[19][15] = 0.0749218;
	aaHivb[19][16] = 0.709226;
	aaHivb[19][17] = 0.005;
	aaHivb[19][18] = 0.0410593;
	aaHivb[19][19] = 0;
	hivbPi[ 0] = 0.060490222;
	hivbPi[ 1] = 0.066039665;
	hivbPi[ 2] = 0.044127815;
	hivbPi[ 3] = 0.042109048;
	hivbPi[ 4] = 0.020075899;
	hivbPi[ 5] = 0.053606488;
	hivbPi[ 6] = 0.071567447;
	hivbPi[ 7] = 0.072308239;
	hivbPi[ 8] = 0.022293943;
	hivbPi[ 9] = 0.069730629;
	hivbPi[10] = 0.098851122;
	hivbPi[11] = 0.056968211;
	hivbPi[12] = 0.019768318;
	hivbPi[13] = 0.028809447;
	hivbPi[14] = 0.046025282;
	hivbPi[15] = 0.050604330;
	hivbPi[16] = 0.053636813;
	hivbPi[17] = 0.033011601;
	hivbPi[18] = 0.028350243;
	hivbPi[19] = 0.061625237;

	/* HIVw model */
	aaHivw[ 0][ 0] = 0;
	aaHivw[ 0][ 1] = 0.0744808;
	aaHivw[ 0][ 2] = 0.617509;
	aaHivw[ 0][ 3] = 4.43521;
	aaHivw[ 0][ 4] = 0.167653;
	aaHivw[ 0][ 5] = 0.005;
	aaHivw[ 0][ 6] = 5.56325;
	aaHivw[ 0][ 7] = 1.8685;
	aaHivw[ 0][ 8] = 0.005;
	aaHivw[ 0][ 9] = 0.005;
	aaHivw[ 0][10] = 0.16024;
	aaHivw[ 0][11] = 0.592784;
	aaHivw[ 0][12] = 0.005;
	aaHivw[ 0][13] = 0.597923;
	aaHivw[ 0][14] = 1.00981;
	aaHivw[ 0][15] = 8.5942;
	aaHivw[ 0][16] = 24.1422;
	aaHivw[ 0][17] = 0.005;
	aaHivw[ 0][18] = 0.005;
	aaHivw[ 0][19] = 24.8094;
	aaHivw[ 1][ 0] = 0.0744808;
	aaHivw[ 1][ 1] = 0;
	aaHivw[ 1][ 2] = 0.16024;
	aaHivw[ 1][ 3] = 0.0674539;
	aaHivw[ 1][ 4] = 2.86364;
	aaHivw[ 1][ 5] = 10.6746;
	aaHivw[ 1][ 6] = 0.0251632;
	aaHivw[ 1][ 7] = 13.4379;
	aaHivw[ 1][ 8] = 6.84405;
	aaHivw[ 1][ 9] = 1.34069;
	aaHivw[ 1][10] = 0.586757;
	aaHivw[ 1][11] = 39.8897;
	aaHivw[ 1][12] = 3.28652;
	aaHivw[ 1][13] = 0.005;
	aaHivw[ 1][14] = 0.404723;
	aaHivw[ 1][15] = 8.35024;
	aaHivw[ 1][16] = 0.928203;
	aaHivw[ 1][17] = 5.96564;
	aaHivw[ 1][18] = 0.005;
	aaHivw[ 1][19] = 0.279425;
	aaHivw[ 2][ 0] = 0.617509;
	aaHivw[ 2][ 1] = 0.16024;
	aaHivw[ 2][ 2] = 0;
	aaHivw[ 2][ 3] = 29.4087;
	aaHivw[ 2][ 4] = 0.0604932;
	aaHivw[ 2][ 5] = 0.342068;
	aaHivw[ 2][ 6] = 0.201526;
	aaHivw[ 2][ 7] = 0.0604932;
	aaHivw[ 2][ 8] = 8.59876;
	aaHivw[ 2][ 9] = 0.987028;
	aaHivw[ 2][10] = 0.005;
	aaHivw[ 2][11] = 10.6655;
	aaHivw[ 2][12] = 0.201526;
	aaHivw[ 2][13] = 0.005;
	aaHivw[ 2][14] = 0.344848;
	aaHivw[ 2][15] = 14.5699;
	aaHivw[ 2][16] = 4.54206;
	aaHivw[ 2][17] = 0.005;
	aaHivw[ 2][18] = 5.06475;
	aaHivw[ 2][19] = 0.0744808;
	aaHivw[ 3][ 0] = 4.43521;
	aaHivw[ 3][ 1] = 0.0674539;
	aaHivw[ 3][ 2] = 29.4087;
	aaHivw[ 3][ 3] = 0;
	aaHivw[ 3][ 4] = 0.005;
	aaHivw[ 3][ 5] = 0.005;
	aaHivw[ 3][ 6] = 12.1233;
	aaHivw[ 3][ 7] = 10.3969;
	aaHivw[ 3][ 8] = 2.31779;
	aaHivw[ 3][ 9] = 0.145124;
	aaHivw[ 3][10] = 0.005;
	aaHivw[ 3][11] = 0.894313;
	aaHivw[ 3][12] = 0.005;
	aaHivw[ 3][13] = 0.005;
	aaHivw[ 3][14] = 0.005;
	aaHivw[ 3][15] = 0.427881;
	aaHivw[ 3][16] = 0.630395;
	aaHivw[ 3][17] = 0.005;
	aaHivw[ 3][18] = 2.28154;
	aaHivw[ 3][19] = 2.91786;
	aaHivw[ 4][ 0] = 0.167653;
	aaHivw[ 4][ 1] = 2.86364;
	aaHivw[ 4][ 2] = 0.0604932;
	aaHivw[ 4][ 3] = 0.005;
	aaHivw[ 4][ 4] = 0;
	aaHivw[ 4][ 5] = 0.005;
	aaHivw[ 4][ 6] = 0.005;
	aaHivw[ 4][ 7] = 0.0489798;
	aaHivw[ 4][ 8] = 0.005;
	aaHivw[ 4][ 9] = 0.005;
	aaHivw[ 4][10] = 0.005;
	aaHivw[ 4][11] = 0.005;
	aaHivw[ 4][12] = 0.005;
	aaHivw[ 4][13] = 0.362959;
	aaHivw[ 4][14] = 0.005;
	aaHivw[ 4][15] = 1.12195;
	aaHivw[ 4][16] = 0.005;
	aaHivw[ 4][17] = 5.49894;
	aaHivw[ 4][18] = 8.34835;
	aaHivw[ 4][19] = 0.005;
	aaHivw[ 5][ 0] = 0.005;
	aaHivw[ 5][ 1] = 10.6746;
	aaHivw[ 5][ 2] = 0.342068;
	aaHivw[ 5][ 3] = 0.005;
	aaHivw[ 5][ 4] = 0.005;
	aaHivw[ 5][ 5] = 0;
	aaHivw[ 5][ 6] = 3.20656;
	aaHivw[ 5][ 7] = 0.0604932;
	aaHivw[ 5][ 8] = 18.5465;
	aaHivw[ 5][ 9] = 0.0342252;
	aaHivw[ 5][10] = 2.89048;
	aaHivw[ 5][11] = 13.0705;
	aaHivw[ 5][12] = 0.005;
	aaHivw[ 5][13] = 0.005;
	aaHivw[ 5][14] = 3.04502;
	aaHivw[ 5][15] = 0.16024;
	aaHivw[ 5][16] = 0.203091;
	aaHivw[ 5][17] = 0.0443298;
	aaHivw[ 5][18] = 0.005;
	aaHivw[ 5][19] = 0.005;
	aaHivw[ 6][ 0] = 5.56325;
	aaHivw[ 6][ 1] = 0.0251632;
	aaHivw[ 6][ 2] = 0.201526;
	aaHivw[ 6][ 3] = 12.1233;
	aaHivw[ 6][ 4] = 0.005;
	aaHivw[ 6][ 5] = 3.20656;
	aaHivw[ 6][ 6] = 0;
	aaHivw[ 6][ 7] = 14.7801;
	aaHivw[ 6][ 8] = 0.005;
	aaHivw[ 6][ 9] = 0.0390512;
	aaHivw[ 6][10] = 0.129839;
	aaHivw[ 6][11] = 23.9626;
	aaHivw[ 6][12] = 0.005;
	aaHivw[ 6][13] = 0.005;
	aaHivw[ 6][14] = 0.005;
	aaHivw[ 6][15] = 0.005;
	aaHivw[ 6][16] = 0.458743;
	aaHivw[ 6][17] = 0.005;
	aaHivw[ 6][18] = 0.005;
	aaHivw[ 6][19] = 2.19952;
	aaHivw[ 7][ 0] = 1.8685;
	aaHivw[ 7][ 1] = 13.4379;
	aaHivw[ 7][ 2] = 0.0604932;
	aaHivw[ 7][ 3] = 10.3969;
	aaHivw[ 7][ 4] = 0.0489798;
	aaHivw[ 7][ 5] = 0.0604932;
	aaHivw[ 7][ 6] = 14.7801;
	aaHivw[ 7][ 7] = 0;
	aaHivw[ 7][ 8] = 0.005;
	aaHivw[ 7][ 9] = 0.005;
	aaHivw[ 7][10] = 0.0489798;
	aaHivw[ 7][11] = 0.279425;
	aaHivw[ 7][12] = 0.0489798;
	aaHivw[ 7][13] = 0.005;
	aaHivw[ 7][14] = 0.005;
	aaHivw[ 7][15] = 6.27966;
	aaHivw[ 7][16] = 0.0489798;
	aaHivw[ 7][17] = 2.8258;
	aaHivw[ 7][18] = 0.005;
	aaHivw[ 7][19] = 2.79622;
	aaHivw[ 8][ 0] = 0.005;
	aaHivw[ 8][ 1] = 6.84405;
	aaHivw[ 8][ 2] = 8.59876;
	aaHivw[ 8][ 3] = 2.31779;
	aaHivw[ 8][ 4] = 0.005;
	aaHivw[ 8][ 5] = 18.5465;
	aaHivw[ 8][ 6] = 0.005;
	aaHivw[ 8][ 7] = 0.005;
	aaHivw[ 8][ 8] = 0;
	aaHivw[ 8][ 9] = 0.005;
	aaHivw[ 8][10] = 1.76382;
	aaHivw[ 8][11] = 0.22406;
	aaHivw[ 8][12] = 0.005;
	aaHivw[ 8][13] = 0.005;
	aaHivw[ 8][14] = 13.9444;
	aaHivw[ 8][15] = 0.725157;
	aaHivw[ 8][16] = 0.95956;
	aaHivw[ 8][17] = 0.005;
	aaHivw[ 8][18] = 47.4889;
	aaHivw[ 8][19] = 0.827479;
	aaHivw[ 9][ 0] = 0.005;
	aaHivw[ 9][ 1] = 1.34069;
	aaHivw[ 9][ 2] = 0.987028;
	aaHivw[ 9][ 3] = 0.145124;
	aaHivw[ 9][ 4] = 0.005;
	aaHivw[ 9][ 5] = 0.0342252;
	aaHivw[ 9][ 6] = 0.0390512;
	aaHivw[ 9][ 7] = 0.005;
	aaHivw[ 9][ 8] = 0.005;
	aaHivw[ 9][ 9] = 0;
	aaHivw[ 9][10] = 9.10246;
	aaHivw[ 9][11] = 0.817481;
	aaHivw[ 9][12] = 17.3064;
	aaHivw[ 9][13] = 1.48288;
	aaHivw[ 9][14] = 0.005;
	aaHivw[ 9][15] = 0.740091;
	aaHivw[ 9][16] = 9.36345;
	aaHivw[ 9][17] = 0.005;
	aaHivw[ 9][18] = 0.114512;
	aaHivw[ 9][19] = 24.8231;
	aaHivw[10][ 0] = 0.16024;
	aaHivw[10][ 1] = 0.586757;
	aaHivw[10][ 2] = 0.005;
	aaHivw[10][ 3] = 0.005;
	aaHivw[10][ 4] = 0.005;
	aaHivw[10][ 5] = 2.89048;
	aaHivw[10][ 6] = 0.129839;
	aaHivw[10][ 7] = 0.0489798;
	aaHivw[10][ 8] = 1.76382;
	aaHivw[10][ 9] = 9.10246;
	aaHivw[10][10] = 0;
	aaHivw[10][11] = 0.005;
	aaHivw[10][12] = 11.3839;
	aaHivw[10][13] = 7.48781;
	aaHivw[10][14] = 9.83095;
	aaHivw[10][15] = 6.14396;
	aaHivw[10][16] = 0.005;
	aaHivw[10][17] = 1.37031;
	aaHivw[10][18] = 0.005;
	aaHivw[10][19] = 2.95344;
	aaHivw[11][ 0] = 0.592784;
	aaHivw[11][ 1] = 39.8897;
	aaHivw[11][ 2] = 10.6655;
	aaHivw[11][ 3] = 0.894313;
	aaHivw[11][ 4] = 0.005;
	aaHivw[11][ 5] = 13.0705;
	aaHivw[11][ 6] = 23.9626;
	aaHivw[11][ 7] = 0.279425;
	aaHivw[11][ 8] = 0.22406;
	aaHivw[11][ 9] = 0.817481;
	aaHivw[11][10] = 0.005;
	aaHivw[11][11] = 0;
	aaHivw[11][12] = 4.09564;
	aaHivw[11][13] = 0.005;
	aaHivw[11][14] = 0.111928;
	aaHivw[11][15] = 0.005;
	aaHivw[11][16] = 4.04802;
	aaHivw[11][17] = 0.005;
	aaHivw[11][18] = 0.005;
	aaHivw[11][19] = 0.128065;
	aaHivw[12][ 0] = 0.005;
	aaHivw[12][ 1] = 3.28652;
	aaHivw[12][ 2] = 0.201526;
	aaHivw[12][ 3] = 0.005;
	aaHivw[12][ 4] = 0.005;
	aaHivw[12][ 5] = 0.005;
	aaHivw[12][ 6] = 0.005;
	aaHivw[12][ 7] = 0.0489798;
	aaHivw[12][ 8] = 0.005;
	aaHivw[12][ 9] = 17.3064;
	aaHivw[12][10] = 11.3839;
	aaHivw[12][11] = 4.09564;
	aaHivw[12][12] = 0;
	aaHivw[12][13] = 0.005;
	aaHivw[12][14] = 0.005;
	aaHivw[12][15] = 0.392575;
	aaHivw[12][16] = 7.41313;
	aaHivw[12][17] = 0.005;
	aaHivw[12][18] = 0.579198;
	aaHivw[12][19] = 14.7683;
	aaHivw[13][ 0] = 0.597923;
	aaHivw[13][ 1] = 0.005;
	aaHivw[13][ 2] = 0.005;
	aaHivw[13][ 3] = 0.005;
	aaHivw[13][ 4] = 0.362959;
	aaHivw[13][ 5] = 0.005;
	aaHivw[13][ 6] = 0.005;
	aaHivw[13][ 7] = 0.005;
	aaHivw[13][ 8] = 0.005;
	aaHivw[13][ 9] = 1.48288;
	aaHivw[13][10] = 7.48781;
	aaHivw[13][11] = 0.005;
	aaHivw[13][12] = 0.005;
	aaHivw[13][13] = 0;
	aaHivw[13][14] = 0.0342252;
	aaHivw[13][15] = 4.27939;
	aaHivw[13][16] = 0.114512;
	aaHivw[13][17] = 0.005;
	aaHivw[13][18] = 4.12728;
	aaHivw[13][19] = 2.28;
	aaHivw[14][ 0] = 1.00981;
	aaHivw[14][ 1] = 0.404723;
	aaHivw[14][ 2] = 0.344848;
	aaHivw[14][ 3] = 0.005;
	aaHivw[14][ 4] = 0.005;
	aaHivw[14][ 5] = 3.04502;
	aaHivw[14][ 6] = 0.005;
	aaHivw[14][ 7] = 0.005;
	aaHivw[14][ 8] = 13.9444;
	aaHivw[14][ 9] = 0.005;
	aaHivw[14][10] = 9.83095;
	aaHivw[14][11] = 0.111928;
	aaHivw[14][12] = 0.005;
	aaHivw[14][13] = 0.0342252;
	aaHivw[14][14] = 0;
	aaHivw[14][15] = 14.249;
	aaHivw[14][16] = 4.33701;
	aaHivw[14][17] = 0.005;
	aaHivw[14][18] = 0.005;
	aaHivw[14][19] = 0.005;
	aaHivw[15][ 0] = 8.5942;
	aaHivw[15][ 1] = 8.35024;
	aaHivw[15][ 2] = 14.5699;
	aaHivw[15][ 3] = 0.427881;
	aaHivw[15][ 4] = 1.12195;
	aaHivw[15][ 5] = 0.16024;
	aaHivw[15][ 6] = 0.005;
	aaHivw[15][ 7] = 6.27966;
	aaHivw[15][ 8] = 0.725157;
	aaHivw[15][ 9] = 0.740091;
	aaHivw[15][10] = 6.14396;
	aaHivw[15][11] = 0.005;
	aaHivw[15][12] = 0.392575;
	aaHivw[15][13] = 4.27939;
	aaHivw[15][14] = 14.249;
	aaHivw[15][15] = 0;
	aaHivw[15][16] = 6.34079;
	aaHivw[15][17] = 1.10156;
	aaHivw[15][18] = 0.933142;
	aaHivw[15][19] = 0.862637;
	aaHivw[16][ 0] = 24.1422;
	aaHivw[16][ 1] = 0.928203;
	aaHivw[16][ 2] = 4.54206;
	aaHivw[16][ 3] = 0.630395;
	aaHivw[16][ 4] = 0.005;
	aaHivw[16][ 5] = 0.203091;
	aaHivw[16][ 6] = 0.458743;
	aaHivw[16][ 7] = 0.0489798;
	aaHivw[16][ 8] = 0.95956;
	aaHivw[16][ 9] = 9.36345;
	aaHivw[16][10] = 0.005;
	aaHivw[16][11] = 4.04802;
	aaHivw[16][12] = 7.41313;
	aaHivw[16][13] = 0.114512;
	aaHivw[16][14] = 4.33701;
	aaHivw[16][15] = 6.34079;
	aaHivw[16][16] = 0;
	aaHivw[16][17] = 0.005;
	aaHivw[16][18] = 0.490608;
	aaHivw[16][19] = 0.005;
	aaHivw[17][ 0] = 0.005;
	aaHivw[17][ 1] = 5.96564;
	aaHivw[17][ 2] = 0.005;
	aaHivw[17][ 3] = 0.005;
	aaHivw[17][ 4] = 5.49894;
	aaHivw[17][ 5] = 0.0443298;
	aaHivw[17][ 6] = 0.005;
	aaHivw[17][ 7] = 2.8258;
	aaHivw[17][ 8] = 0.005;
	aaHivw[17][ 9] = 0.005;
	aaHivw[17][10] = 1.37031;
	aaHivw[17][11] = 0.005;
	aaHivw[17][12] = 0.005;
	aaHivw[17][13] = 0.005;
	aaHivw[17][14] = 0.005;
	aaHivw[17][15] = 1.10156;
	aaHivw[17][16] = 0.005;
	aaHivw[17][17] = 0;
	aaHivw[17][18] = 0.005;
	aaHivw[17][19] = 0.005;
	aaHivw[18][ 0] = 0.005;
	aaHivw[18][ 1] = 0.005;
	aaHivw[18][ 2] = 5.06475;
	aaHivw[18][ 3] = 2.28154;
	aaHivw[18][ 4] = 8.34835;
	aaHivw[18][ 5] = 0.005;
	aaHivw[18][ 6] = 0.005;
	aaHivw[18][ 7] = 0.005;
	aaHivw[18][ 8] = 47.4889;
	aaHivw[18][ 9] = 0.114512;
	aaHivw[18][10] = 0.005;
	aaHivw[18][11] = 0.005;
	aaHivw[18][12] = 0.579198;
	aaHivw[18][13] = 4.12728;
	aaHivw[18][14] = 0.005;
	aaHivw[18][15] = 0.933142;
	aaHivw[18][16] = 0.490608;
	aaHivw[18][17] = 0.005;
	aaHivw[18][18] = 0;
	aaHivw[18][19] = 1.35482;
	aaHivw[19][ 0] = 24.8094;
	aaHivw[19][ 1] = 0.279425;
	aaHivw[19][ 2] = 0.0744808;
	aaHivw[19][ 3] = 2.91786;
	aaHivw[19][ 4] = 0.005;
	aaHivw[19][ 5] = 0.005;
	aaHivw[19][ 6] = 2.19952;
	aaHivw[19][ 7] = 2.79622;
	aaHivw[19][ 8] = 0.827479;
	aaHivw[19][ 9] = 24.8231;
	aaHivw[19][10] = 2.95344;
	aaHivw[19][11] = 0.128065;
	aaHivw[19][12] = 14.7683;
	aaHivw[19][13] = 2.28;
	aaHivw[19][14] = 0.005;
	aaHivw[19][15] = 0.862637;
	aaHivw[19][16] = 0.005;
	aaHivw[19][17] = 0.005;
	aaHivw[19][18] = 1.35482;
	aaHivw[19][19] = 0;
	hivwPi[ 0] = 0.0377494;
	hivwPi[ 1] = 0.0573210;
	hivwPi[ 2] = 0.0891129;
	hivwPi[ 3] = 0.0342034;
	hivwPi[ 4] = 0.0240105;
	hivwPi[ 5] = 0.0437824;
	hivwPi[ 6] = 0.0618606;
	hivwPi[ 7] = 0.0838496;
	hivwPi[ 8] = 0.0156076;
	hivwPi[ 9] = 0.0983641;
	hivwPi[10] = 0.0577867;
	hivwPi[11] = 0.0641682;
	hivwPi[12] = 0.0158419;
	hivwPi[13] = 0.0422741;
	hivwPi[14] = 0.0458601;
	hivwPi[15] = 0.0550846;
	hivwPi[16] = 0.0813774;
	hivwPi[17] = 0.0195970;
	hivwPi[18] = 0.0205847;
	hivwPi[19] = 0.0515639;

	/* FLU model */
	aaFlu[ 0][ 0] = 0;
	aaFlu[ 0][ 1] = 0.138658764751059;
	aaFlu[ 0][ 2] = 0.0533665787145181;
	aaFlu[ 0][ 3] = 0.584852305649886;
	aaFlu[ 0][ 4] = 0.0264470951166826;
	aaFlu[ 0][ 5] = 0.353753981649393;
	aaFlu[ 0][ 6] = 1.4842345032161;
	aaFlu[ 0][ 7] = 1.13231312248046;
	aaFlu[ 0][ 8] = 0.214757862168721;
	aaFlu[ 0][ 9] = 0.149926734229061;
	aaFlu[ 0][10] = 0.0231169515264061;
	aaFlu[ 0][11] = 0.474333610192982;
	aaFlu[ 0][12] = 0.0587454231508643;
	aaFlu[ 0][13] = 0.0804909094320368;
	aaFlu[ 0][14] = 0.659311477863896;
	aaFlu[ 0][15] = 3.01134451903854;
	aaFlu[ 0][16] = 5.4182981753166;
	aaFlu[ 0][17] = 0.195966354027106;
	aaFlu[ 0][18] = 0.0182892882245349;
	aaFlu[ 0][19] = 3.53200526987468;
	aaFlu[ 1][ 0] = 0.138658764751059;
	aaFlu[ 1][ 1] = 0;
	aaFlu[ 1][ 2] = 0.161000889039552;
	aaFlu[ 1][ 3] = 0.00677184253227681;
	aaFlu[ 1][ 4] = 0.16720700818221;
	aaFlu[ 1][ 5] = 3.29271694159791;
	aaFlu[ 1][ 6] = 0.124897616909194;
	aaFlu[ 1][ 7] = 1.19062446519178;
	aaFlu[ 1][ 8] = 1.87956993845887;
	aaFlu[ 1][ 9] = 0.246117171830255;
	aaFlu[ 1][10] = 0.296045557460629;
	aaFlu[ 1][11] = 15.3000966197798;
	aaFlu[ 1][12] = 0.890162345593224;
	aaFlu[ 1][13] = 0.0160550314767596;
	aaFlu[ 1][14] = 0.154027179890711;
	aaFlu[ 1][15] = 0.950138410087378;
	aaFlu[ 1][16] = 0.183076905018197;
	aaFlu[ 1][17] = 1.36942940801512;
	aaFlu[ 1][18] = 0.0998554972524385;
	aaFlu[ 1][19] = 0.103964386383736;
	aaFlu[ 2][ 0] = 0.0533665787145181;
	aaFlu[ 2][ 1] = 0.161000889039552;
	aaFlu[ 2][ 2] = 0;
	aaFlu[ 2][ 3] = 7.73739287051356;
	aaFlu[ 2][ 4] = 0.0000130249856764315;
	aaFlu[ 2][ 5] = 0.530642655337477;
	aaFlu[ 2][ 6] = 0.0616521921873234;
	aaFlu[ 2][ 7] = 0.322524647863997;
	aaFlu[ 2][ 8] = 1.38709603234116;
	aaFlu[ 2][ 9] = 0.21857197541607;
	aaFlu[ 2][10] = 0.000835873174542931;
	aaFlu[ 2][11] = 2.6468479652886;
	aaFlu[ 2][12] = 0.00525168778853117;
	aaFlu[ 2][13] = 0.000836445615590923;
	aaFlu[ 2][14] = 0.0364417719063219;
	aaFlu[ 2][15] = 3.88131053061457;
	aaFlu[ 2][16] = 2.14033231636063;
	aaFlu[ 2][17] = 0.000536284040016542;
	aaFlu[ 2][18] = 0.373101926513925;
	aaFlu[ 2][19] = 0.0102575172450253;
	aaFlu[ 3][ 0] = 0.584852305649886;
	aaFlu[ 3][ 1] = 0.00677184253227681;
	aaFlu[ 3][ 2] = 7.73739287051356;
	aaFlu[ 3][ 3] = 0;
	aaFlu[ 3][ 4] = 0.014132062548787;
	aaFlu[ 3][ 5] = 0.145469388422239;
	aaFlu[ 3][ 6] = 5.37051127867923;
	aaFlu[ 3][ 7] = 1.93483278448943;
	aaFlu[ 3][ 8] = 0.887570549414031;
	aaFlu[ 3][ 9] = 0.0140859174993809;
	aaFlu[ 3][10] = 0.00573068208525287;
	aaFlu[ 3][11] = 0.290042980143818;
	aaFlu[ 3][12] = 0.0417629637305017;
	aaFlu[ 3][13] = 0.0000010600102849456;
	aaFlu[ 3][14] = 0.188539456415654;
	aaFlu[ 3][15] = 0.338372183381345;
	aaFlu[ 3][16] = 0.135481232622983;
	aaFlu[ 3][17] = 0.000014893873721753;
	aaFlu[ 3][18] = 0.525398542949365;
	aaFlu[ 3][19] = 0.297123975243582;
	aaFlu[ 4][ 0] = 0.0264470951166826;
	aaFlu[ 4][ 1] = 0.16720700818221;
	aaFlu[ 4][ 2] = 0.0000130249856764315;
	aaFlu[ 4][ 3] = 0.014132062548787;
	aaFlu[ 4][ 4] = 0;
	aaFlu[ 4][ 5] = 0.00254733397966779;
	aaFlu[ 4][ 6] = 0.0000000000391106992668137;
	aaFlu[ 4][ 7] = 0.116941459124876;
	aaFlu[ 4][ 8] = 0.0218446166959521;
	aaFlu[ 4][ 9] = 0.00111215807314139;
	aaFlu[ 4][10] = 0.00561362724916376;
	aaFlu[ 4][11] = 0.00000383228119049152;
	aaFlu[ 4][12] = 0.111457310321926;
	aaFlu[ 4][13] = 0.10405366623526;
	aaFlu[ 4][14] = 0.000000000000159312060172652;
	aaFlu[ 4][15] = 0.336263344504404;
	aaFlu[ 4][16] = 0.011975265782196;
	aaFlu[ 4][17] = 0.0941066800969967;
	aaFlu[ 4][18] = 0.601692431136271;
	aaFlu[ 4][19] = 0.0549045639492389;
	aaFlu[ 5][ 0] = 0.353753981649393;
	aaFlu[ 5][ 1] = 3.29271694159791;
	aaFlu[ 5][ 2] = 0.530642655337477;
	aaFlu[ 5][ 3] = 0.145469388422239;
	aaFlu[ 5][ 4] = 0.00254733397966779;
	aaFlu[ 5][ 5] = 0;
	aaFlu[ 5][ 6] = 1.19562912226203;
	aaFlu[ 5][ 7] = 0.108051341246072;
	aaFlu[ 5][ 8] = 5.33031341222104;
	aaFlu[ 5][ 9] = 0.0288399502994541;
	aaFlu[ 5][10] = 1.02036695531654;
	aaFlu[ 5][11] = 2.559587177122;
	aaFlu[ 5][12] = 0.190259181297527;
	aaFlu[ 5][13] = 0.0326806570137471;
	aaFlu[ 5][14] = 0.712769599068934;
	aaFlu[ 5][15] = 0.487822498528951;
	aaFlu[ 5][16] = 0.60234096342392;
	aaFlu[ 5][17] = 0.0440205200833047;
	aaFlu[ 5][18] = 0.0722059354079545;
	aaFlu[ 5][19] = 0.406697814049488;
	aaFlu[ 6][ 0] = 1.4842345032161;
	aaFlu[ 6][ 1] = 0.124897616909194;
	aaFlu[ 6][ 2] = 0.0616521921873234;
	aaFlu[ 6][ 3] = 5.37051127867923;
	aaFlu[ 6][ 4] = 0.0000000000391106992668137;
	aaFlu[ 6][ 5] = 1.19562912226203;
	aaFlu[ 6][ 6] = 0;
	aaFlu[ 6][ 7] = 1.59309882471598;
	aaFlu[ 6][ 8] = 0.256491863423002;
	aaFlu[ 6][ 9] = 0.0142107118685268;
	aaFlu[ 6][10] = 0.016499535540562;
	aaFlu[ 6][11] = 3.88148880863814;
	aaFlu[ 6][12] = 0.313974351356074;
	aaFlu[ 6][13] = 0.00100350082518749;
	aaFlu[ 6][14] = 0.319558828428154;
	aaFlu[ 6][15] = 0.307140298031341;
	aaFlu[ 6][16] = 0.2801248951174;
	aaFlu[ 6][17] = 0.155245492137294;
	aaFlu[ 6][18] = 0.104092870343653;
	aaFlu[ 6][19] = 0.285047948309311;
	aaFlu[ 7][ 0] = 1.13231312248046;
	aaFlu[ 7][ 1] = 1.19062446519178;
	aaFlu[ 7][ 2] = 0.322524647863997;
	aaFlu[ 7][ 3] = 1.93483278448943;
	aaFlu[ 7][ 4] = 0.116941459124876;
	aaFlu[ 7][ 5] = 0.108051341246072;
	aaFlu[ 7][ 6] = 1.59309882471598;
	aaFlu[ 7][ 7] = 0;
	aaFlu[ 7][ 8] = 0.0587745274250666;
	aaFlu[ 7][ 9] = 0.0000162662283098296;
	aaFlu[ 7][10] = 0.00651622937676521;
	aaFlu[ 7][11] = 0.264148929349066;
	aaFlu[ 7][12] = 0.00150046692269255;
	aaFlu[ 7][13] = 0.00123664495412902;
	aaFlu[ 7][14] = 0.0386317614553493;
	aaFlu[ 7][15] = 1.58564657669139;
	aaFlu[ 7][16] = 0.0188080299490973;
	aaFlu[ 7][17] = 0.196486447133033;
	aaFlu[ 7][18] = 0.0748149970972622;
	aaFlu[ 7][19] = 0.337229618868315;
	aaFlu[ 8][ 0] = 0.214757862168721;
	aaFlu[ 8][ 1] = 1.87956993845887;
	aaFlu[ 8][ 2] = 1.38709603234116;
	aaFlu[ 8][ 3] = 0.887570549414031;
	aaFlu[ 8][ 4] = 0.0218446166959521;
	aaFlu[ 8][ 5] = 5.33031341222104;
	aaFlu[ 8][ 6] = 0.256491863423002;
	aaFlu[ 8][ 7] = 0.0587745274250666;
	aaFlu[ 8][ 8] = 0;
	aaFlu[ 8][ 9] = 0.243190142026506;
	aaFlu[ 8][10] = 0.321611693603646;
	aaFlu[ 8][11] = 0.347302791211758;
	aaFlu[ 8][12] = 0.00127350890508147;
	aaFlu[ 8][13] = 0.119028506158521;
	aaFlu[ 8][14] = 0.924466914225534;
	aaFlu[ 8][15] = 0.580704249811294;
	aaFlu[ 8][16] = 0.368713573381758;
	aaFlu[ 8][17] = 0.0223729191088972;
	aaFlu[ 8][18] = 6.44895444648517;
	aaFlu[ 8][19] = 0.0986313546653266;
	aaFlu[ 9][ 0] = 0.149926734229061;
	aaFlu[ 9][ 1] = 0.246117171830255;
	aaFlu[ 9][ 2] = 0.21857197541607;
	aaFlu[ 9][ 3] = 0.0140859174993809;
	aaFlu[ 9][ 4] = 0.00111215807314139;
	aaFlu[ 9][ 5] = 0.0288399502994541;
	aaFlu[ 9][ 6] = 0.0142107118685268;
	aaFlu[ 9][ 7] = 0.0000162662283098296;
	aaFlu[ 9][ 8] = 0.243190142026506;
	aaFlu[ 9][ 9] = 0;
	aaFlu[ 9][10] = 3.51207228207807;
	aaFlu[ 9][11] = 0.227707997165566;
	aaFlu[ 9][12] = 9.01795420287895;
	aaFlu[ 9][13] = 1.46335727834648;
	aaFlu[ 9][14] = 0.0805433268150369;
	aaFlu[ 9][15] = 0.290381075260226;
	aaFlu[ 9][16] = 2.90405228596936;
	aaFlu[ 9][17] = 0.0321321499585514;
	aaFlu[ 9][18] = 0.273934263183281;
	aaFlu[ 9][19] = 14.3940521944257;
	aaFlu[10][ 0] = 0.0231169515264061;
	aaFlu[10][ 1] = 0.296045557460629;
	aaFlu[10][ 2] = 0.000835873174542931;
	aaFlu[10][ 3] = 0.00573068208525287;
	aaFlu[10][ 4] = 0.00561362724916376;
	aaFlu[10][ 5] = 1.02036695531654;
	aaFlu[10][ 6] = 0.016499535540562;
	aaFlu[10][ 7] = 0.00651622937676521;
	aaFlu[10][ 8] = 0.321611693603646;
	aaFlu[10][ 9] = 3.51207228207807;
	aaFlu[10][10] = 0;
	aaFlu[10][11] = 0.129223639195248;
	aaFlu[10][12] = 6.74693648486614;
	aaFlu[10][13] = 2.98680003596399;
	aaFlu[10][14] = 0.634308520867322;
	aaFlu[10][15] = 0.570766693213698;
	aaFlu[10][16] = 0.0449263566753846;
	aaFlu[10][17] = 0.431277662888057;
	aaFlu[10][18] = 0.340058468374384;
	aaFlu[10][19] = 0.890598579382591;
	aaFlu[11][ 0] = 0.474333610192982;
	aaFlu[11][ 1] = 15.3000966197798;
	aaFlu[11][ 2] = 2.6468479652886;
	aaFlu[11][ 3] = 0.290042980143818;
	aaFlu[11][ 4] = 0.00000383228119049152;
	aaFlu[11][ 5] = 2.559587177122;
	aaFlu[11][ 6] = 3.88148880863814;
	aaFlu[11][ 7] = 0.264148929349066;
	aaFlu[11][ 8] = 0.347302791211758;
	aaFlu[11][ 9] = 0.227707997165566;
	aaFlu[11][10] = 0.129223639195248;
	aaFlu[11][11] = 0;
	aaFlu[11][12] = 1.33129161941264;
	aaFlu[11][13] = 0.319895904499071;
	aaFlu[11][14] = 0.195750631825315;
	aaFlu[11][15] = 0.283807671568883;
	aaFlu[11][16] = 1.52696419998775;
	aaFlu[11][17] = 0.0000497641445484395;
	aaFlu[11][18] = 0.0124162215506117;
	aaFlu[11][19] = 0.0731279296372675;
	aaFlu[12][ 0] = 0.0587454231508643;
	aaFlu[12][ 1] = 0.890162345593224;
	aaFlu[12][ 2] = 0.00525168778853117;
	aaFlu[12][ 3] = 0.0417629637305017;
	aaFlu[12][ 4] = 0.111457310321926;
	aaFlu[12][ 5] = 0.190259181297527;
	aaFlu[12][ 6] = 0.313974351356074;
	aaFlu[12][ 7] = 0.00150046692269255;
	aaFlu[12][ 8] = 0.00127350890508147;
	aaFlu[12][ 9] = 9.01795420287895;
	aaFlu[12][10] = 6.74693648486614;
	aaFlu[12][11] = 1.33129161941264;
	aaFlu[12][12] = 0;
	aaFlu[12][13] = 0.279910508981581;
	aaFlu[12][14] = 0.0568693216513547;
	aaFlu[12][15] = 0.00702658828739369;
	aaFlu[12][16] = 2.03151132062208;
	aaFlu[12][17] = 0.0704600385245663;
	aaFlu[12][18] = 0.874272174533394;
	aaFlu[12][19] = 4.90484223478739;
	aaFlu[13][ 0] = 0.0804909094320368;
	aaFlu[13][ 1] = 0.0160550314767596;
	aaFlu[13][ 2] = 0.000836445615590923;
	aaFlu[13][ 3] = 0.0000010600102849456;
	aaFlu[13][ 4] = 0.10405366623526;
	aaFlu[13][ 5] = 0.0326806570137471;
	aaFlu[13][ 6] = 0.00100350082518749;
	aaFlu[13][ 7] = 0.00123664495412902;
	aaFlu[13][ 8] = 0.119028506158521;
	aaFlu[13][ 9] = 1.46335727834648;
	aaFlu[13][10] = 2.98680003596399;
	aaFlu[13][11] = 0.319895904499071;
	aaFlu[13][12] = 0.279910508981581;
	aaFlu[13][13] = 0;
	aaFlu[13][14] = 0.0071324304661639;
	aaFlu[13][15] = 0.996685669575839;
	aaFlu[13][16] = 0.000134906239484254;
	aaFlu[13][17] = 0.814753093809928;
	aaFlu[13][18] = 5.39392424532822;
	aaFlu[13][19] = 0.592587985458668;
	aaFlu[14][ 0] = 0.659311477863896;
	aaFlu[14][ 1] = 0.154027179890711;
	aaFlu[14][ 2] = 0.0364417719063219;
	aaFlu[14][ 3] = 0.188539456415654;
	aaFlu[14][ 4] = 0.000000000000159312060172652;
	aaFlu[14][ 5] = 0.712769599068934;
	aaFlu[14][ 6] = 0.319558828428154;
	aaFlu[14][ 7] = 0.0386317614553493;
	aaFlu[14][ 8] = 0.924466914225534;
	aaFlu[14][ 9] = 0.0805433268150369;
	aaFlu[14][10] = 0.634308520867322;
	aaFlu[14][11] = 0.195750631825315;
	aaFlu[14][12] = 0.0568693216513547;
	aaFlu[14][13] = 0.0071324304661639;
	aaFlu[14][14] = 0;
	aaFlu[14][15] = 2.08738534433198;
	aaFlu[14][16] = 0.54225109402693;
	aaFlu[14][17] = 0.000431020702277328;
	aaFlu[14][18] = 0.000182294881489116;
	aaFlu[14][19] = 0.0589719751511691;
	aaFlu[15][ 0] = 3.01134451903854;
	aaFlu[15][ 1] = 0.950138410087378;
	aaFlu[15][ 2] = 3.88131053061457;
	aaFlu[15][ 3] = 0.338372183381345;
	aaFlu[15][ 4] = 0.336263344504404;
	aaFlu[15][ 5] = 0.487822498528951;
	aaFlu[15][ 6] = 0.307140298031341;
	aaFlu[15][ 7] = 1.58564657669139;
	aaFlu[15][ 8] = 0.580704249811294;
	aaFlu[15][ 9] = 0.290381075260226;
	aaFlu[15][10] = 0.570766693213698;
	aaFlu[15][11] = 0.283807671568883;
	aaFlu[15][12] = 0.00702658828739369;
	aaFlu[15][13] = 0.996685669575839;
	aaFlu[15][14] = 2.08738534433198;
	aaFlu[15][15] = 0;
	aaFlu[15][16] = 2.2068599339404;
	aaFlu[15][17] = 0.0998357527014247;
	aaFlu[15][18] = 0.392552239890831;
	aaFlu[15][19] = 0.0882564232979724;
	aaFlu[16][ 0] = 5.4182981753166;
	aaFlu[16][ 1] = 0.183076905018197;
	aaFlu[16][ 2] = 2.14033231636063;
	aaFlu[16][ 3] = 0.135481232622983;
	aaFlu[16][ 4] = 0.011975265782196;
	aaFlu[16][ 5] = 0.60234096342392;
	aaFlu[16][ 6] = 0.2801248951174;
	aaFlu[16][ 7] = 0.0188080299490973;
	aaFlu[16][ 8] = 0.368713573381758;
	aaFlu[16][ 9] = 2.90405228596936;
	aaFlu[16][10] = 0.0449263566753846;
	aaFlu[16][11] = 1.52696419998775;
	aaFlu[16][12] = 2.03151132062208;
	aaFlu[16][13] = 0.000134906239484254;
	aaFlu[16][14] = 0.54225109402693;
	aaFlu[16][15] = 2.2068599339404;
	aaFlu[16][16] = 0;
	aaFlu[16][17] = 0.207066205546908;
	aaFlu[16][18] = 0.124898020409882;
	aaFlu[16][19] = 0.654109108255219;
	aaFlu[17][ 0] = 0.195966354027106;
	aaFlu[17][ 1] = 1.36942940801512;
	aaFlu[17][ 2] = 0.000536284040016542;
	aaFlu[17][ 3] = 0.000014893873721753;
	aaFlu[17][ 4] = 0.0941066800969967;
	aaFlu[17][ 5] = 0.0440205200833047;
	aaFlu[17][ 6] = 0.155245492137294;
	aaFlu[17][ 7] = 0.196486447133033;
	aaFlu[17][ 8] = 0.0223729191088972;
	aaFlu[17][ 9] = 0.0321321499585514;
	aaFlu[17][10] = 0.431277662888057;
	aaFlu[17][11] = 0.0000497641445484395;
	aaFlu[17][12] = 0.0704600385245663;
	aaFlu[17][13] = 0.814753093809928;
	aaFlu[17][14] = 0.000431020702277328;
	aaFlu[17][15] = 0.0998357527014247;
	aaFlu[17][16] = 0.207066205546908;
	aaFlu[17][17] = 0;
	aaFlu[17][18] = 0.42775543040588;
	aaFlu[17][19] = 0.256900461407996;
	aaFlu[18][ 0] = 0.0182892882245349;
	aaFlu[18][ 1] = 0.0998554972524385;
	aaFlu[18][ 2] = 0.373101926513925;
	aaFlu[18][ 3] = 0.525398542949365;
	aaFlu[18][ 4] = 0.601692431136271;
	aaFlu[18][ 5] = 0.0722059354079545;
	aaFlu[18][ 6] = 0.104092870343653;
	aaFlu[18][ 7] = 0.0748149970972622;
	aaFlu[18][ 8] = 6.44895444648517;
	aaFlu[18][ 9] = 0.273934263183281;
	aaFlu[18][10] = 0.340058468374384;
	aaFlu[18][11] = 0.0124162215506117;
	aaFlu[18][12] = 0.874272174533394;
	aaFlu[18][13] = 5.39392424532822;
	aaFlu[18][14] = 0.000182294881489116;
	aaFlu[18][15] = 0.392552239890831;
	aaFlu[18][16] = 0.124898020409882;
	aaFlu[18][17] = 0.42775543040588;
	aaFlu[18][18] = 0;
	aaFlu[18][19] = 0.167581646770807;
	aaFlu[19][ 0] = 3.53200526987468;
	aaFlu[19][ 1] = 0.103964386383736;
	aaFlu[19][ 2] = 0.0102575172450253;
	aaFlu[19][ 3] = 0.297123975243582;
	aaFlu[19][ 4] = 0.0549045639492389;
	aaFlu[19][ 5] = 0.406697814049488;
	aaFlu[19][ 6] = 0.285047948309311;
	aaFlu[19][ 7] = 0.337229618868315;
	aaFlu[19][ 8] = 0.0986313546653266;
	aaFlu[19][ 9] = 14.3940521944257;
	aaFlu[19][10] = 0.890598579382591;
	aaFlu[19][11] = 0.0731279296372675;
	aaFlu[19][12] = 4.90484223478739;
	aaFlu[19][13] = 0.592587985458668;
	aaFlu[19][14] = 0.0589719751511691;
	aaFlu[19][15] = 0.0882564232979724;
	aaFlu[19][16] = 0.654109108255219;
	aaFlu[19][17] = 0.256900461407996;
	aaFlu[19][18] = 0.167581646770807;
	aaFlu[19][19] = 0;
	fluPi[ 0] = 0.0470718;
	fluPi[ 1] = 0.0509102;
	fluPi[ 2] = 0.0742143;
	fluPi[ 3] = 0.0478596;
	fluPi[ 4] = 0.0250216;
	fluPi[ 5] = 0.0333036;
	fluPi[ 6] = 0.0545874;
	fluPi[ 7] = 0.0763734;
	fluPi[ 8] = 0.0199642;
	fluPi[ 9] = 0.0671336;
	fluPi[10] = 0.0714981;
	fluPi[11] = 0.0567845;
	fluPi[12] = 0.0181507;
	fluPi[13] = 0.0304961;
	fluPi[14] = 0.0506561;
	fluPi[15] = 0.0884091;
	fluPi[16] = 0.0743386;
	fluPi[17] = 0.0185237;
	fluPi[18] = 0.0314741;
	fluPi[19] = 0.0632292;

	/* now, check that the matrices are symmetrical */

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaJones[i][j] - aaJones[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: Jones model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaDayhoff[i][j] - aaDayhoff[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: Dayhoff model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaMtrev24[i][j] - aaMtrev24[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: mtrev24 model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaMtmam[i][j] - aaMtmam[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: mtmam model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aartREV[i][j] - aartREV[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: aartREV model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaWAG[i][j] - aaWAG[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: aaWAG model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aacpREV[i][j] - aacpREV[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: cpREV model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaVt[i][j] - aaVt[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: Vt model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaBlosum[i][j] - aaBlosum[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: Blosum model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaMtart[i][j] - aaMtart[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: mtart model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaMtzoa[i][j] - aaMtzoa[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: mtzoa model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaPmb[i][j] - aaPmb[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: pmb model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaLg[i][j] - aaLg[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: lg model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaHivb[i][j] - aaHivb[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: hivb model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaHivw[i][j] - aaHivw[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: hivw model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			diff = aaFlu[i][j] - aaFlu[j][i];

			if (diff < 0.0)
				diff = -diff;

			if (diff > 0.001) {
				MrBayesPrint ("%s   ERROR: flu model is not symmetrical.\n");
				return (ERROR);
			}
		}
	}

	/* make + F model matrices */
	for (i = 0; i < 20; i++) {
		for (j = 0; j < 20; j++) {
			aaJonesF[i][j] = aaJones[i][j];
			aaDayhoffF[i][j] = aaDayhoff[i][j];
			aaMtrev24F[i][j] = aaMtrev24[i][j];
			aaMtmamF[i][j] = aaMtmam[i][j];
			aartREVF[i][j] = aartREV[i][j];
			aaWAGF[i][j] = aaWAG[i][j];
			aacpREVF[i][j] = aacpREV[i][j];
			aaVtF[i][j] = aaVt[i][j];
			aaBlosumF[i][j] = aaBlosum[i][j];
			aaMtartF[i][j] = aaMtart[i][j];
			aaMtzoaF[i][j] = aaMtzoa[i][j];
			aaPmbF[i][j] = aaPmb[i][j];
			aaLgF[i][j] = aaLg[i][j];
			aaHivbF[i][j] = aaHivb[i][j];
			aaHivwF[i][j] = aaHivw[i][j];
			aaFluF[i][j] = aaFlu[i][j];
		}
	}

	/* rescale stationary frequencies, to make certain they sum to 1.0 */
	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += jonesPi[i];

	for (i = 0; i < 20; i++)
		jonesPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += dayhoffPi[i];

	for (i = 0; i < 20; i++)
		dayhoffPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += mtrev24Pi[i];

	for (i = 0; i < 20; i++)
		mtrev24Pi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += mtmamPi[i];

	for (i = 0; i < 20; i++)
		mtmamPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += rtrevPi[i];

	for (i = 0; i < 20; i++)
		rtrevPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += wagPi[i];

	for (i = 0; i < 20; i++)
		wagPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += cprevPi[i];

	for (i = 0; i < 20; i++)
		cprevPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += vtPi[i];

	for (i = 0; i < 20; i++)
		vtPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += blosPi[i];

	for (i = 0; i < 20; i++)
		blosPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += mtartPi[i];

	for (i = 0; i < 20; i++)
		mtartPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += mtzoaPi[i];

	for (i = 0; i < 20; i++)
		mtzoaPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += pmbPi[i];

	for (i = 0; i < 20; i++)
		pmbPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += lgPi[i];

	for (i = 0; i < 20; i++)
		lgPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += hivbPi[i];

	for (i = 0; i < 20; i++)
		hivbPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += hivwPi[i];

	for (i = 0; i < 20; i++)
		hivwPi[i] /= sum;

	sum = 0.0;

	for (i = 0; i < 20; i++)
		sum += fluPi[i];

	for (i = 0; i < 20; i++)
		fluPi[i] /= sum;

	/* multiply entries by amino acid frequencies */
	for (i = 0; i < 20; i++) {
		for (j = 0; j < 20; j++) {
			aaJones[i][j]   *= jonesPi[j];
			aaDayhoff[i][j] *= dayhoffPi[j];
			aaMtrev24[i][j] *= mtrev24Pi[j];
			aaMtmam[i][j]   *= mtmamPi[j];
			aartREV[i][j]   *= rtrevPi[j];
			aaWAG[i][j]     *= wagPi[j];
			aacpREV[i][j]   *= cprevPi[j];
			aaVt[i][j]      *= vtPi[j];
			aaBlosum[i][j] *= blosPi[j];
			aaMtart[i][j]   *= mtartPi[j];
			aaMtzoa[i][j]   *= mtzoaPi[j];
			aaPmb[i][j]   *= pmbPi[j];
			aaLg[i][j]   *= lgPi[j];
			aaHivb[i][j]   *= hivbPi[j];
			aaHivw[i][j]   *= hivwPi[j];
			aaFlu[i][j]   *= fluPi[j];
		}
	}

	/* rescale, so branch lengths are in terms of expected number of
	   amino acid substitutions per site */
	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += jonesPi[i] * aaJones[i][j];
			scaler += jonesPi[j] * aaJones[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaJones[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += dayhoffPi[i] * aaDayhoff[i][j];
			scaler += dayhoffPi[j] * aaDayhoff[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaDayhoff[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += mtrev24Pi[i] * aaMtrev24[i][j];
			scaler += mtrev24Pi[j] * aaMtrev24[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaMtrev24[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += mtmamPi[i] * aaMtmam[i][j];
			scaler += mtmamPi[j] * aaMtmam[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaMtmam[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += rtrevPi[i] * aartREV[i][j];
			scaler += rtrevPi[j] * aartREV[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aartREV[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += wagPi[i] * aaWAG[i][j];
			scaler += wagPi[j] * aaWAG[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaWAG[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += cprevPi[i] * aacpREV[i][j];
			scaler += cprevPi[j] * aacpREV[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aacpREV[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += vtPi[i] * aaVt[i][j];
			scaler += vtPi[j] * aaVt[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaVt[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += blosPi[i] * aaBlosum[i][j];
			scaler += blosPi[j] * aaBlosum[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaBlosum[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += mtartPi[i] * aaMtart[i][j];
			scaler += mtartPi[j] * aaMtart[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaMtart[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += mtzoaPi[i] * aaMtzoa[i][j];
			scaler += mtzoaPi[j] * aaMtzoa[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaMtzoa[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += pmbPi[i] * aaPmb[i][j];
			scaler += pmbPi[j] * aaPmb[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaPmb[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += lgPi[i] * aaLg[i][j];
			scaler += lgPi[j] * aaLg[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaLg[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += hivbPi[i] * aaHivb[i][j];
			scaler += hivbPi[j] * aaHivb[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaHivb[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += hivwPi[i] * aaHivw[i][j];
			scaler += hivwPi[j] * aaHivw[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaHivw[i][j] *= scaler;

	scaler = 0.0;

	for (i = 0; i < 20; i++) {
		for (j = i + 1; j < 20; j++) {
			scaler += fluPi[i] * aaFlu[i][j];
			scaler += fluPi[j] * aaFlu[j][i];
		}
	}

	scaler = 1.0 / scaler;

	for (i = 0; i < 20; i++)
		for (j = 0; j < 20; j++)
			aaFlu[i][j] *= scaler;

	/* set diagonal of matrix */
	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaJones[i][j];
		}

		aaJones[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaDayhoff[i][j];
		}

		aaDayhoff[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaMtrev24[i][j];
		}

		aaMtrev24[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaMtmam[i][j];
		}

		aaMtmam[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aartREV[i][j];
		}

		aartREV[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaWAG[i][j];
		}

		aaWAG[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aacpREV[i][j];
		}

		aacpREV[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaVt[i][j];
		}

		aaVt[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaBlosum[i][j];
		}

		aaBlosum[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaMtart[i][j];
		}

		aaMtart[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaMtzoa[i][j];
		}

		aaMtzoa[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaPmb[i][j];
		}

		aaPmb[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaLg[i][j];
		}

		aaLg[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaHivb[i][j];
		}

		aaHivb[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaHivw[i][j];
		}

		aaHivw[i][i] = -sum;
	}

	for (i = 0; i < 20; i++) {
		sum = 0.0;

		for (j = 0; j < 20; j++) {
			if (i != j)
				sum += aaFlu[i][j];
		}

		aaFlu[i][i] = -sum;
	}

#	if 0
	for (i = 0; i < 20; i++) {
		MrBayesPrint ("%s   ", spacer);

		for (j = 0; j < 20; j++) {
			if (aaJones[i][j] < 0.0)
				MrBayesPrint ("%1.3lf ", aaJones[i][j]);
			else
				MrBayesPrint (" %1.3lf ", aaJones[i][j]);
		}

		MrBayesPrint ("\n");
	}

#	endif

	return (NO_ERROR);

}
